﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master"
    CodeBehind="AnalisisHallazgoCumplControl.aspx.vb" Inherits="AudiControl.AnalisisHallazgoCumplControl"
    Title="<%$ Resources:TituloPaginas, TitAnalisisHallazgos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenazaAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioOficinaAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdHallazgoCumplimientoControl" runat="server" Text="" Visible="false"></asp:Label>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblAnalisisHallazgoCumplControl %>"
            CssClass="ruta"></asp:Label>
    </div>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblComunicacionResultados %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblAnalisisHallazgosPorAmenaza %>"></asp:Label>
    </div>
    <br />
    <div style="text-align: center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <div class="alineacionIzquierda">
            <asp:Label ID="lblDatos" runat="server" Visible="False" CssClass="subtituloSegundoNivel"></asp:Label></div>
        <br />
        <table>
            <tr>
                <td colspan="3">
                    <asp:Label ID="lblHallazgo" runat="server" Text="<%$ Resources:Idioma, lblHallazgo %>"
                        CssClass="subtituloTercerNivel"></asp:Label><asp:GridView ID="gvHallazgos" runat="server"
                            AutoGenerateColumns="false" Visible="false">
                            <Columns>
                                <asp:BoundField DataField="descripcionHallazgo" SortExpression="descripcionHallazgo"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="350px">
                                </asp:BoundField>
                                <asp:BoundField DataField="detalleHallazgo" SortExpression="detalleHallazgo" HeaderText="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                                    ItemStyle-Width="450px"></asp:BoundField>
                            </Columns>
                        </asp:GridView>
                    <br />
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <asp:Label ID="lblCausasHallazgo" runat="server" Text="<%$ Resources:Idioma, lblCausasHallazgo %>"
                        CssClass="subtituloTercerNivel"></asp:Label>
                    <asp:GridView ID="gvCausasHallazgo" runat="server" AutoGenerateColumns="false" Visible="false">
                        <Columns>
                            <asp:BoundField DataField="motivo" SortExpression="motivo" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                ItemStyle-Width="650px"></asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblControles %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="60px"
                                HeaderStyle-Width="60px">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER CONTROLES" CommandArgument='<%# Eval("idMotivoIncumplimientoSgr")%>'
                                        CausesValidation="false">
                                        <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>&nbsp;
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblImpacto" runat="server" Text="<%$ Resources:Idioma, lblImpacto %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtImpacto" runat="server" Width="596px" Height="58px" TextMode="MultiLine"
                        MaxLength="500"></asp:TextBox>
                    <br />
                    <asp:CustomValidator ID="cvImpacto" runat="server" ControlToValidate="txtImpacto">
                        <asp:Label ID="lblMaximoCaracterImpacto" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblValorImpacto" runat="server" Text="<%$ Resources:Idioma, lblImplicacionImp %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:DropDownList ID="drpImpacto" runat="server">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblRecomendacion" runat="server" Text="<%$ Resources:Idioma, lblRecomendacion %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtRecomendacion" runat="server" Height="51px" TextMode="MultiLine"
                        Width="593px" MaxLength="500"></asp:TextBox>
                    <br />
                    <asp:CustomValidator ID="cvRecomendcion" runat="server" ControlToValidate="txtRecomendacion">
                        <asp:Label ID="lblMaximoCaracterRecomendacion" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right">
                    <asp:Label ID="lblPrioridad" runat="server" Text="<%$ Resources:Idioma, lblPrioridadRecoHallazgo %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:DropDownList ID="drpPrioridad" runat="server">
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
        &nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" />
        <br />
        <br />
    </div>
</asp:Content>