﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="EditarAccionTratamientoCumplControles.aspx.vb" Inherits="AudiControl.EditarAccionTratamientoCumplControles" 
    title="<%$ Resources:TituloPaginas, TitEdicionAcciones %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

<div style="text-align: center;">

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAccionTratamiento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstadoAccion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTipoPlan" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    
<div style="text-align: center">
    <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEditarATCumplControles %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPasoEtapa" runat="server" Text="<%$ Resources:TituloPasos, lblSeguimiento %>" ></asp:Label>
</div>
    <div class="header">
            <asp:Label ID="lblEditarAccionesTratamiento" runat="server" Text="<%$ Resources:TituloPasos, lblEditarAccionesM %>" ></asp:Label></div>

          <br /> 
<uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio><br />
    <table>
    <tr><td colspan="3">
        <asp:Label ID="lblDatosAmenaza" runat="server" Text="" CssClass="subtitulo"></asp:Label>
         <br />
          <asp:GridView ID="gvMotivosIncumplimiento" runat="server" 
            AutoGenerateColumns="false" visible="false">
            <Columns>
                <asp:BoundField DataField="idMotivoIncumplimientoSgr" ItemStyle-Width="70px" 
                    SortExpression="idMotivoIncumplimientoSgr">
                </asp:BoundField>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                    HeaderText="<%$ Resources:Idioma, lblMotivosIncumplimiento %>" 
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" 
                    ItemStyle-Width="480px">
                    <ItemTemplate>
                        <asp:Label ID="lblMotivo" runat="server" 
                            Text='<%# Eval("motivo") %>'></asp:Label>
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Center" />
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnRelacionarAcciones" runat="server" 
            Text="<%$ Resources: Idioma, btnAccionesTratamiento %>" Width="240px" 
            CausesValidation="False" Height="19px" />
       
      &nbsp;
               <br />
        <asp:GridView ID="gvListaAccionesTratamiento" runat="server" AutoGenerateColumns="false" Visible="false">
        <Columns>
            <asp:BoundField DataField="idPrioridad" SortExpression="idPrioridad" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" Visible="false"><ItemStyle Width="80px"></ItemStyle>
            </asp:BoundField>
           <asp:BoundField DataField="descripcionAccion" 
                SortExpression="descripcionAccion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="350px" ><ItemStyle Width="350px"></ItemStyle>
            </asp:BoundField>
            <asp:BoundField DataField="detalleAccion" SortExpression="detalleAccion" 
                HeaderText="<%$ Resources:Idioma, lblDescripcionDetallada %>" ItemStyle-Width="450px" ><ItemStyle Width="450px"></ItemStyle>
            </asp:BoundField>
            <asp:BoundField DataField="prioridad" 
                SortExpression="prioridad" HeaderText="<%$ Resources:Idioma, lblPrioridad %>" ItemStyle-Width="90px" ><ItemStyle Width="90px"></ItemStyle>
            </asp:BoundField>
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccionesMejoramiento %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                <asp:Label ID="lblDescripcionAccion" runat="server"  Text='<%# Eval("descripcionAccion") %>' Visible="false"></asp:Label>
                <asp:Label ID="lblDetalleAccion" runat="server"  Text='<%# Eval("detalleAccion") %>' Visible="false"></asp:Label>
                <asp:Label ID="lblIdPrioridad" runat="server"  Text='<%# Eval("idPrioridad") %>' Visible="false"></asp:Label>
                    <asp:LinkButton ID="lnkVerAcciones" runat="server" 
                        CommandName="VERACCIONESTRATAMIENTO" 
                        CommandArgument='<%# Eval("descripcionAccion")%>' CausesValidation="False">
                            <asp:Label ID="lblVerAcciones" runat="server" Text="<%$ Resources:Idioma, lblSeleccionar %>"></asp:Label></asp:LinkButton>                        
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>

<ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
            </asp:TemplateField> 
        </Columns>
    </asp:GridView>
                <br />
                <asp:Button ID="btnVolverConsulta" runat="server" 
            Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" 
            Visible="False"/>
                <asp:Label ID="lblExito" runat="server"  Visible="False" CssClass="colorExito"></asp:Label>
        <br />
                </td></tr>            
        <tr>
        <td align="right" style="text-align: right">
            <asp:Label ID="lblDescAccionTratamiento" runat="server" 
                Text="<%$ Resources:Idioma, lblDescripcionRecomendacion %>"></asp:Label>        
            <asp:Label ID="lblAsterisco" runat="server" 
                Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
        </td>
        <td>
        </td><td style="text-align: left">
                <br />
            <asp:TextBox ID="txtDescAccionTratamiento" runat="server" Width="461px" 
                MaxLength="245"></asp:TextBox>   
                <br />
               <asp:CustomValidator ID="cvDescAccionTratamiento" runat="server" ControlToValidate="txtDescAccionTratamiento">
                </asp:CustomValidator>  
                <asp:RequiredFieldValidator ID="rfvDescAccionTratamiento"  runat="server" 
                    ControlToValidate="txtDescAccionTratamiento" Height="16px" Width="261px">
                    <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator> 
            </td>
        </tr>
        <tr>
            <td align="right" style="text-align: right">
                <asp:Label ID="lblDetalleAccionTratamiento" runat="server" 
                    Text="<%$ Resources:Idioma, lblDetalleRecomendacion %>"></asp:Label>
                <asp:Label ID="lblAsterisco0" runat="server" 
                    Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
            </td>
            <td></td><td style="text-align: left;">
                <asp:TextBox ID="txtDetalleAccionTratamiento" runat="server" Height="81px" 
                    TextMode="MultiLine" Width="460px" MaxLength="995"></asp:TextBox><br />
                <asp:CustomValidator ID="cvDetalleAccionTratamiento" runat="server" ControlToValidate="txtDetalleAccionTratamiento">
                </asp:CustomValidator> 
                <asp:RequiredFieldValidator ID="rfvDetalleAccionTratamiento"  runat="server" 
                    ControlToValidate="txtDetalleAccionTratamiento" Height="16px" Width="261px"><asp:Label ID="lblDetalleRecomendacionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
        </tr>
        <tr><td colspan="3">
        <table>
        <tr>
        <td >
            <asp:Label ID="lblAlternativaTratamiento" runat="server" 
                Text="<%$ Resources:Idioma, lblAlternativaTratamiento %>"></asp:Label>
            <asp:Label ID="lblAsterisco1" runat="server" 
                Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
        </td><td>
            <asp:Label ID="lblPrioridad" runat="server" Text="<%$ Resources:Idioma, lblPrioridad %>" ></asp:Label>
                <asp:Label ID="lblAsterisco2" runat="server" 
                    Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
            </td>
        </tr>
        <tr>
        <td>
            <asp:DropDownList ID="drpAlternativaTratamiento" runat="server" ></asp:DropDownList>
        </td><td>
            <asp:DropDownList ID="drpPrioridad" runat="server" ></asp:DropDownList>
            </td></tr>
        <tr><td>
            &nbsp;
            <asp:RequiredFieldValidator ID="rfvAlternativa" runat="server"  
                ControlToValidate="drpAlternativaTratamiento" 
                ErrorMessage="<%$ Resources:Idioma, lblSeleccionAlternativa %>"></asp:RequiredFieldValidator>
            </td>
            <td>
            &nbsp;
            &nbsp;
                <asp:RequiredFieldValidator ID="rfvPrioridad" runat="server"  ControlToValidate="drpPrioridad" ErrorMessage="<%$ Resources:Idioma, lblSeleccionPrioridad %>">
             </asp:RequiredFieldValidator>
            </td></tr>
           <tr><td colspan="4" style="text-align: center">
        <asp:Button ID="btnAgregar" runat="server" 
            Text="<%$ Resources:Idioma, btnAdicionarOtro %>" Width="105px" 
            CausesValidation="False" />
    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>" CausesValidation="true" />
                <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>" CausesValidation="false"/>
                <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false"/>
                </td></tr>
    </table>
 </td></tr></table>
</div>

    </div>
</asp:Content>