﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarAmenaza.aspx.vb" Inherits="AudiControl.EditarAmenaza" Title="<%$ Resources:TituloPaginas, TitEditarAmenaza %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblFecha" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoAmenaza" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoAmenaza %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <br />
            <table width="700px">
                <tr>
                    <td style="height: 44px; text-align: right; width: 280px;">
                        <asp:Label ID="lblDescripcionAmenaza" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        *<br />
                        <br />
                        &nbsp;
                        <br />
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtDescripcionAmenaza" runat="server" Width="520px" MaxLength="300"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvDescripcionAmenaza" runat="server" ControlToValidate="txtDescripcionAmenaza">
                        </asp:CustomValidator>
                        <asp:RequiredFieldValidator ID="rfvDescripcionAmenaza" runat="server" ControlToValidate="txtDescripcionAmenaza"
                            Height="16px" Width="458px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblDetalleAmenaza" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"></asp:Label>
                        *
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDetalleAmenaza" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="2000"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDetalleAmenaza" runat="server" ControlToValidate="txtDetalleAmenaza"
                            Height="16px" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvDetalleAmenaza" runat="server" ControlToValidate="txtDetalleAmenaza">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right; width: 280px;">
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblEvento" runat="server" Text="<%$ Resources: Idioma, lblEventoOperativo %>"
                            Width="150px"></asp:Label>
                        <br />
                    </td>
                    <td style="text-align: left;">
                        <asp:RadioButtonList ID="rblEvento" runat="server" RepeatDirection="Horizontal">
                            <asp:ListItem Text="<%$ Resources: Idioma,lblSi %>" Value="1"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources: Idioma,lblNo %>" Value="0"></asp:ListItem>
                        </asp:RadioButtonList>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, lblCodigo %>"
                            Width="168px"></asp:Label>
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="284px" MaxLength="30"></asp:TextBox>
                        <asp:CustomValidator ID="cvCodigo" runat="server" ControlToValidate="txtCodigo">
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarAmenaza" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtraAmenaza" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
