<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarModeloRiesgo.aspx.vb" Inherits="AudiControl.EditarModeloRiesgo"
    Title="<%$ Resources:TituloPaginas, TitEditarModeloRiesgo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoModRiesgo" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoModRiesgo %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <br />
            <table>
                <tr>
                    <td style="height: 44px; text-align: right;">
                        <asp:Label ID="lblNombreModelo" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 26px; text-align: left;">
                        <asp:TextBox ID="txtNombreModelo" runat="server" Width="520px" MaxLength="50" Height="21px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNombreModelo" runat="server" ControlToValidate="txtNombreModelo"
                            Height="22px" Width="458px" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvNombreModelo" runat="server" ControlToValidate="txtNombreModelo">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblDescripcionModelo" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionModelo" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="1000"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionModelo" runat="server" ControlToValidate="txtDescripcionModelo"
                            Height="22px" Width="458px" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDescripcionModelo" runat="server" ControlToValidate="txtDescripcionModelo">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources: Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="520px" MaxLength="30" Height="19px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvCodigo" runat="server" ControlToValidate="txtCodigo">
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarModelo" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtroModelo" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
        </div>
    </div>
</asp:Content>
