<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarZona.aspx.vb" Inherits="AudiControl.EditarZona" Title="<%$ Resources:TituloPaginas, TitEditarZona %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdZona" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoZona" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoZona %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="width: 274px; text-align: right; height: 32px;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;
                        <asp:Label ID="lblNombreZona" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                        *<br />
                        <br />
                    </td>
                    <td style="width: 390px; height: 32px; text-align: left;">
                        <asp:TextBox ID="txtNombreZona" runat="server" Width="144px" MaxLength="30"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNombreZona" Width="246px" runat="server" ControlToValidate="txtNombreZona"
                            Height="16px">
                            <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources: Idioma, lblValidacionNombre %>"></asp:Label>
                            </asp:RequiredFieldValidator>&nbsp;
                           <asp:CustomValidator ID="cvNombreZona" runat="server" 
                            ControlToValidate="txtNombreZona">
                        </asp:CustomValidator> 
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right; width: 280px;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources: Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left; width: 400px;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="144px" MaxLength="30"></asp:TextBox>
                           <asp:CustomValidator ID="cvCodigo" runat="server" 
                            ControlToValidate="txtCodigo">
                        </asp:CustomValidator> 
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarZona" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;<asp:Button ID="btnAdicionarOtraZona" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
