﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarActivosImpactados.aspx.vb" Inherits="AudiControl.ListarActivosImpactados"
    Title="<%$ Resources:TituloPaginas, TitActivos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaActivo %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoActivos" runat="server" Text="<%$ Resources:Menu, m0403020206 %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <div align="center">
            <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:Label ID="lblNoActivo" runat="server" Visible="false" CssClass="colorExito"></asp:Label><br />
            <asp:GridView ID="gvListaActivo" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idActivo" SortExpression="idActivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="80px" />
                    <asp:BoundField DataField="descripcionActivo" SortExpression="descripcionActivo"
                        HeaderText="<%$ Resources:Idioma, lblNombreActivo %>" ItemStyle-Width="350px" />
                    <asp:BoundField DataField="valorActivoS" SortExpression="valorActivoS" HeaderText="<%$ Resources:Idioma, lblValor %>"
                        ItemStyle-Width="150px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idActivo")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idActivo")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td style="text-align: center">
                        <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                        <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombre"></asp:ListItem>
                        </asp:RadioButtonList>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                            <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                    <td style="text-align: center">
                        <br />
                        <asp:TextBox ID="txtCriterio" runat="server" />
                        <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                            CausesValidation="true" />
                        <br />
                        <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                            <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma,  lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                    <td style="text-align: center;">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:Button ID="btnAgregarActivo" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                            CausesValidation="false" />
                        &nbsp;
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="false" />&nbsp;&nbsp;
                        <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>"
                            CausesValidation="False" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
