﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarFrecuenciaEjecucionControl.aspx.vb" Inherits="AudiControl.ListarFrecuenciaEjecucionControl"
    Title="<%$ Resources:TituloPaginas, TitFrecuenciaControl %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaFrecuenciaAplicacionControl %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblFrecuenciaAplicacion" runat="server" Text="<%$ Resources:Menu, m0403020209 %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <asp:Label ID="lblIdFrecuenciaAplicacion" runat="server" Text="" Visible="false"></asp:Label>
    <br />
     <div align="center">
        <asp:Label ID="lblExisteFrecuenciaAplicacion" runat="server" Visible="false"></asp:Label>
        <asp:GridView ID="gvListaFrecuenciaAplicacion" runat="server" AutoGenerateColumns="false"
            Visible="False" AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idFrecuenciaAplicacion" HeaderText="<%$ Resources:Idioma, lblId %>"
                    SortExpression="idFrecuenciaAplicacion" Visible="False">
                    <ItemStyle Width="150px" />
                </asp:BoundField>
                <asp:BoundField DataField="valorFrecuencia" HeaderText="<%$ Resources:Idioma, lblValor %>"
                    SortExpression="valorFrecuencia">
                    <ItemStyle Width="100px" />
                </asp:BoundField>
                <asp:BoundField DataField="nombreFrecuencia" HeaderText="<%$ Resources:Idioma, lblFrecuenciaAplicacionControl %>"
                    SortExpression="nombreFrecuencia" FooterStyle-HorizontalAlign="Left">
                    <ItemStyle Width="250px" />
                </asp:BoundField>
                <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblAccion %>">
                    <ItemTemplate>
                        <div style="text-align: center">
                            <asp:LinkButton ID="lnkEditarFrecuenciaAplicacion" runat="server" CommandArgument='<%# Eval("idFrecuenciaAplicacion")%>'
                                CommandName="EDITAR">
                                <asp:Label ID="lblEditarFrecuenciaAplicacion" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idFrecuenciaAplicacion")%>'>
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        </div>
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Center" />
                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <table>
            <tr>
                <td>
                    <br />
                    <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
