﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRelacionesAmenazaControl.aspx.vb" Inherits="AudiControl.ListarRelacionesAmenazaControl"
    Title="<%$ Resources:TituloPaginas, TitRelacionAmenazaControl %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCategria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaRelacion %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblRelacionesAmenazaControl" runat="server" Text="<%$ Resources:TituloPasos, lblRelacionesAmenazaControl %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr style="width: 400px">
                <td style="width: 632px; text-align: left;">
                    <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources:Idioma, lblAmenaza %>"
                        CssClass="subtitulo" Height="25px" Width="86px"></asp:Label>
                    <asp:Label ID="lblDescripcionAmenaza" runat="server" CssClass="subtitulo"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
     <div align="center">
        <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
        <asp:GridView ID="gvListaRelAmenazaControl" runat="server" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idAmenazaControl" SortExpression="idAmenazaControl" HeaderText="<%$ Resources:Idioma, lblRelacion %>"
                    ItemStyle-Width="80px" Visible="false" />
                <asp:BoundField DataField="idControl" SortExpression="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="80px" />
                <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl"
                    HeaderText="<%$ Resources:Idioma, lblControl %>" ItemStyle-Width="350px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEliminarRelacion" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idAmenazaControl")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminarRelacion %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"
            CausesValidation="false" />
    </div>
</asp:Content>
