﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="CaracterizacionAplicacionA.aspx.vb" Inherits="AudiControl.CaracterizacionAplicacionA"
    Title="<%$ Resources:TituloPaginas, TitCaracterizacionAplicacion %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAplicacion" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="alineacionIzquierda">
            <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblCaracterizacionAplicacion %>"
                CssClass="ruta"></asp:Label>
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblEstablecerMarcoReferencia %>"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblCaracterizacionAplicacion" runat="server" Text="<%$ Resources:TituloPasos, lblCaracterizacionAplicacion %>"></asp:Label>
        </div>
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <table>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: center; width: 470px;">
                        <asp:Label ID="lblNombreAplicacion" runat="server" Text="<%$ Resources: lblNombreAplicacion %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td style="height: 24px; width: 200px;">
                        <asp:Label ID="lblProcesoApoyo" runat="server" Text="<%$ Resources:lblProcesoApoyo %>"
                            Width="226px" CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; width: 470px; text-align: center;">
                        <br />
                        <asp:TextBox ID="txtNombreAplicacion" runat="server" Width="395px" Height="70px"
                            TextMode="MultiLine" MaxLength="600" Style="text-align: justify"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNombreAplicacion" runat="server" ControlToValidate="txtNombreAplicacion"
                            Height="19px" Width="395px" Style="text-align: center;">
                            <asp:Label ID="lblNombreAplicacionObligatorio" runat="server" Text="<%$ Resources:lblNombreAplicacionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvNombreAplicacion" runat="server" ControlToValidate="txtNombreAplicacion"
                            Style="text-align: center">
                        </asp:CustomValidator>
                    </td>
                    <td style="width: 200px; height: 24px; text-align: center;">
                        <asp:TextBox ID="txtProcesoApoyo" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="1000" Style="text-align: justify"></asp:TextBox>
                        <asp:CustomValidator ID="cvProcesoApoyo" runat="server" ControlToValidate="txtProcesoApoyo"
                            Height="19px">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: center; width: 470px;">
                        <asp:Label ID="lblObjetivoAplicacion" runat="server" Text="<%$ Resources: lblObjetivoAplicacion %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: center; width: 200px;">
                        <asp:Label ID="lblInformacionManeja" runat="server" Text="<%$ Resources: lblInformacionManeja %>"
                            Style="text-align: center" CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; width: 470px;">
                        <asp:TextBox ID="txtObjetivoAplicacion" runat="server" Width="395px" Height="70px"
                            TextMode="MultiLine" MaxLength="1000" Style="text-align: justify"></asp:TextBox>
                        <asp:CustomValidator ID="cvObjetivoAplicacion" runat="server" ControlToValidate="txtObjetivoAplicacion">
                        </asp:CustomValidator>
                    </td>
                    <td style="width: 200px; height: 24px; text-align: center;">
                        <asp:TextBox ID="txtInformacionManeja" runat="server" Width="395px" Height="70px"
                            TextMode="MultiLine" MaxLength="1000" Style="text-align: justify"></asp:TextBox>
                        <asp:CustomValidator ID="cvInformacionManeja" runat="server" ControlToValidate="txtInformacionManeja">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: center; width: 470px;">
                        <asp:Label ID="lblEntrada" runat="server" Text="<%$ Resources: lblEntrada %>" CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: center; width: 200px;">
                        <asp:Label ID="lblSalida" runat="server" Text="<%$ Resources: lblSalida %>" Style="text-align: center"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; width: 470px;">
                        <asp:TextBox ID="txtEntrada" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="1000" Style="text-align: justify"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvEntrada" runat="server" ControlToValidate="txtEntrada">
                        </asp:CustomValidator>
                    </td>
                    <td style="width: 200px; height: 24px; text-align: center;">
                        <asp:TextBox ID="txtSalida" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="1000" Style="text-align: justify"></asp:TextBox>
                        <asp:CustomValidator ID="cvSalida" runat="server" ControlToValidate="txtSalida" Height="19px">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: center; width: 470px;">
                        <asp:Label ID="lblProveedor" runat="server" Text="<%$ Resources: lblProveedor %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: center; width: 200px;">
                        <asp:Label ID="lblCliente" runat="server" Text="<%$ Resources: lblCliente %>" Style="text-align: center"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; width: 470px;">
                        <asp:TextBox ID="txtProveedor" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="800" Style="text-align: justify"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvProveedor" runat="server" ControlToValidate="txtProveedor">
                        </asp:CustomValidator>
                    </td>
                    <td style="width: 200px; height: 24px; text-align: center;">
                        <asp:TextBox ID="txtCliente" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="1000" Style="text-align: justify"></asp:TextBox>
                        <asp:CustomValidator ID="cvCliente" runat="server" ControlToValidate="txtCliente">
                        </asp:CustomValidator>
                        <br />
                    </td>
                </tr>
            </table>
            <br />
            <table style="width: 800px" align="center">
                <tr>
                    <td>
                        <br />
                        <asp:Label ID="lblSeleccionEscenario" runat="server" Text="<%$ Resources:Idioma, lblSeleccionEscenario %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                        <asp:Label ID="lblAsterisco0" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"
                            CssClass="subtituloSegundoNivel"></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center">
                        <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false" Width="477px">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkEscenario" runat="server" />
                                        <asp:Label ID="lblIdEstudioEscenario" runat="server" Text='<%# Eval("idEstudioEscenario") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="50px">
                                    <ItemStyle Width="50px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="150px">
                                    <ItemStyle Width="150px"></ItemStyle>
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                        <br />
                        <asp:Button ID="btnEscenarios" runat="server" Text="<%$ Resources: Idioma, lblAdicionarEscenarios %>"
                            CausesValidation="False" Width="142px" />
                        &nbsp;
                        <asp:LinkButton ID="lnkSiguiente" runat="server">
                            <asp:Label ID="lblSiguiente" runat="server" Text="<%$ Resources:Idioma, lblSiguiente %>"></asp:Label>
                        </asp:LinkButton>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2" style="height: 60px">
                        <br />
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
                            CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                        &nbsp;
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        &nbsp;
                        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                            CausesValidation="false" /><br />
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <br />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
