<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="IdentificarControlesNecesarios.aspx.vb" Inherits="AudiControl.IdentificarControlesNecesarios"
    Title="<%$ Resources:Menu, m04040501 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblEscenariosNoterminados" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblEscenarioSeleccionado" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblIdentificarControlesNecesarios" runat="server" Text="<%$ Resources:Menu, m04040501 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito " Visible="False"></asp:Label>
            <asp:Label ID="lblSeleccionAmenaza" runat="server" CssClass="colorError " Text=""
                Visible="false"></asp:Label>
            <br />
            <asp:Label ID="lblEscenario" runat="server" CssClass="subtitulo" Text="<%$ Resources: Idioma, lblSeleccionUnEscenario %>"></asp:Label>
            &nbsp;<asp:DropDownList ID="drpEscenario" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblRelacionEstudioAmenazaControl" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblAmenaza" runat="server" CssClass="subtitulo" Text="<%$ Resources: Idioma, lblAmenaza %>"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="overflow: auto; width: 700px; height: 200px;">
                            <asp:GridView ID="gvAmenaza" runat="server" AutoGenerateColumns="false" Width="650px"
                                DataKeyNames="idEstudioAmenaza" AutoGenerateSelectButton="true" SelectedRowStyle-BackColor="Bisque"
                                SelectedRowStyle-ForeColor="Sienna">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px">
                                        <ItemStyle Width="50px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" />
                                    <asp:TemplateField HeaderText="<%$ Resources: Idioma, lblTerminadoM %>">
                                        <ItemTemplate>
                                            <asp:Label ID="lblTerminado" Text='<%# Eval("Terminado") %>' Visible="false" runat="server"></asp:Label>
                                            <asp:Label ID="lblSiNo" runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="idEstudioAmenaza" Visible="false" />
                                </Columns>
                                <SelectedRowStyle BackColor="Bisque" ForeColor="Sienna"></SelectedRowStyle>
                            </asp:GridView>
                        </div>
                    </td>
                    <td style="vertical-align: top">
                        <asp:TextBox ID="txtDetalleAmenaza" runat="server" TextMode="MultiLine" Height="150px"
                            Width="280px" ReadOnly="true"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        &nbsp;<asp:CheckBox ID="chkNoTieneControl" runat="server" AutoPostBack="true" CssClass="subtituloTercerNivel "
                            Text="<%$ Resources:Idioma, chkNoControl %>" Visible="False" />
                        &nbsp;&nbsp;<asp:Button ID="btnGuardarNohayControl" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="False" Enabled="false" Visible="False" />
                        <asp:Label ID="lblAmenazaSinControl" runat="server" Text="<%$ Resources: Idioma, lblAmenzaSinControl %>"
                            CssClass="colorError" Visible="false"></asp:Label>
                    </td>
                    <td style="text-align: left;">
                        <asp:Label ID="lblExitoNoHayControl" runat="server" Visible="False" CssClass="colorExito"
                            Style="text-align: left"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblControles" runat="server" Text="<%$ Resources: Idioma,lblControlesBaseEmpresa %>"
                            CssClass="subtitulo "></asp:Label>
                        <br />
                        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="width: 500px; text-align: center">
                            <div style="text-align: center; width: 250px; float: left">
                                <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                                    Width="162px">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                            </div>
                            <div style="text-align: center; width: 250px; float: left">
                                <asp:TextBox ID="txtCriterio" runat="server" Height="18px" />
                                <asp:Button ID="btnBuscarControles" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                    CausesValidation="true" />
                                <br />
                                <%--<asp:Button ID="btnMostrarControles" runat="server" Text="<%$ Resources:Idioma, btnMostrarControles %>" CausesValidation="true" Width="199px" />--%>
                            </div>
                        </div>
                    </td>
                    <td>
                        <asp:Label ID="lblControl" runat="server" Text="<%$ Resources: Idioma,lblControl %>"
                            CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="overflow: auto; width: 700px; height: 200px;">
                            <asp:GridView ID="gvListaControles" runat="server" AutoGenerateColumns="false" Width="613px">
                                <Columns>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkControl" runat="server" OnCheckedChanged="chkSeleccionarControl_CheckedChanged"
                                                AutoPostBack="true" />
                                            <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                                            <asp:Label ID="lblSeleccion" runat="server" Text='<%# Eval("Seleccionado") %>' Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdEstudioAmenazaControl" runat="server" Text='<%# Eval("EstudioAmenazaCtl") %>'
                                                Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdAmenazaControl" runat="server" Text='<%# Eval("AmenazaCtl") %>'
                                                Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px">
                                        <ItemStyle Width="50px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionControl" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" />
                                    <asp:BoundField DataField="ClaseControl" HeaderText="<%$ Resources: Idioma, lblClaseControl %>" />
                                    <asp:BoundField DataField="TipoControl" HeaderText="<%$ Resources: Idioma, lblTipOControl %>" />
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                    <td valign="top">
                        <asp:TextBox ID="txtDetalleControl" runat="server" TextMode="MultiLine" Height="150px"
                            Width="280px"></asp:TextBox>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnMantenimientoControl" runat="server" Text="<%$ Resources:Idioma, lblMantenimientoControles %>"
                CausesValidation="False" UseSubmitBehavior="False" Width="173px" />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="False" />
            &nbsp;&nbsp;
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources:Idioma, btnReporteGuiaControles %>" Value="1"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:Idioma, btnReporteControlesEscenario %>" Value="2"></asp:ListItem>
            </asp:DropDownList>
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />&nbsp;
            <asp:Button ID="btnAgregarToDos" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" CausesValidation="False" />
        </div>
    </div>
</asp:Content>
