<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="PerfilRIEscenario.aspx.vb" Inherits="AudiControl.PerfilRIEscenario"
    Title="<%$ Resources:TituloPaginas, TitPerfilRIEscenario %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblPerfilRIEscenario" runat="server" Text="<%$ Resources:TituloPasos, lblPerfilRIEscenario %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:GridView ID="gvPerfilRIEscenario" runat="server" AutoGenerateColumns="False"
                Width="850px" Style="margin-top: 1px">
                <Columns>
                    <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="50px"></asp:BoundField>
                    <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                        HeaderText="<%$ Resources:Idioma, lblEscenario %>" ItemStyle-Width="400px"></asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTotalAmenazas %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                        <ItemTemplate>
                            <asp:Label ID="lblTotalAmenazas" runat="server" Text='<%# Eval("TotalAmenazas")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="50px">
                        <ItemTemplate>
                            <asp:Label ID="lblRI" runat="server" Text='<%# Eval("RInherente")%>' Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSignificadoRI %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblSignificadoRI" runat="server" Text='<%# Eval("significadoRiesgo")%>'
                                Visible="true"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                        ItemStyle-Width="150px">
                        <ItemTemplate>
                            <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEscenario")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVer" runat="server" Text="<%$ Resources: Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <div>
                <telerik:ReportViewer ID="rvReporteGraficaPerfileriesgoInherentePorEscenario" runat="server"
                    Height="440px" Report="Com.Audisis.Reportes.ReporteGraficaPerfileriesgoInherentePorEscenario, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                    ToolbarVisible="False" Width="680px">
                </telerik:ReportViewer>
            </div>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
        </div>
    </div>
    <br />
</asp:Content>
