﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ResponderGuia.aspx.vb" Inherits="AudiControl.ResponderGuia" Title="<%$ Resources:TituloPaginas, TitResponderGuia %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioOficina" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdMonitoreo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioArea" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="alineacionIzquierda">
        </div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMonitoreoDeRiesgos %>"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblGuiaCumplimientoControlesXOficina" runat="server" Text="<%$ Resources:TituloPasos, lblGuiaCumplimientoControlesXOficina %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblNoMonitoreo" runat="server" Text="<%$ Resources:lblNoMonitoreo %>"
                Visible="false" CssClass="sinPermisos "></asp:Label>
            <br />
            <asp:Label ID="lblArea" runat="server" Text="" CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <asp:Label ID="lblOficina" runat="server" CssClass="subtitulo "></asp:Label>
            <br />
            <asp:Label ID="lblOficinaNoMonitoreada" runat="server" Text="<%$ Resources:Idioma, lblAmenazas %>"
                Visible="false" CssClass="subtituloSegundoNivel "></asp:Label>
            <br />
            <table id="tblListaAmenazas" runat="server">
                <tr>
                    <td>
                        <asp:Label ID="lblAmenazas" runat="server" Text="<%$ Resources:Idioma, lblAmenazas %>"
                            CssClass="subtituloSegundoNivel "></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="100px" />
                                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="300px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRespondida %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSi" runat="server" Text='<%# Eval("respondida")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblRespondida" runat="server" Text=""></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkResponder" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idEstudioAmenaza")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblResponder" runat="server" Text="<%$ Resources:Idioma,lblResponder %>"></asp:Label></asp:LinkButton>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                            CausesValidation="false" /><br />
                    </td>
                </tr>
            </table>
            <asp:Button ID="btnVolverDos" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                CausesValidation="false" Visible="false" /><br />
            <table id="tblControles" runat="server" visible="false">
                <tr>
                    <td>
                        <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources:Idioma, lblAmenaza %>"
                            CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvControlesRespuesta" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="300px" HeaderText="<%$ Resources:Idioma, lblControl %>">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="15px" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblIdGuia" runat="server" Text='<%# Eval("idGuiaAutoaseguramientoControl") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblDescripcionControl" runat="server" Text='<%# Eval("descripcionControl") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdCargoSupervisor" runat="server" Text='<%# Eval("idCargoSupervisor") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblNombreCargoSupervisor" runat="server" Text='<%# Eval("nombreCargoSupervisor") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdCargoEjecutor" runat="server" Text='<%# Eval("idCargoEjecutor") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblNombreCargoEjecutor" runat="server" Text='<%# Eval("nombreCargoEjecutor") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdEstudioAmenazaArea" runat="server" Text='<%# Eval("idEstudioAmenazaArea") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblPregunta" runat="server" Width="280px"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    HeaderText="<%$ Resources: Idioma,lblRespuestaGridView %>" ItemStyle-VerticalAlign="Top"
                                    ItemStyle-Width="200px">
                                    <ItemTemplate>
                                        <asp:DropDownList ID="drpRespuestasMonitoreo" runat="server" Width="180px" OnSelectedIndexChanged="drpRespuestasMonitoreo_OnSelectedIndexChanged"
                                            AutoPostBack="true">
                                        </asp:DropDownList>
                                        <asp:Label ID="lblIdRespuestaEmpresa" runat="server" Text='<%# Eval("idRespuestaEmpresa") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px" HeaderText="<%$ Resources:Idioma, lblComentario %>">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="15px" />
                                    <ItemTemplate>
                                        <asp:TextBox ID="txtComentario" runat="server" Text='<%# Eval("comentario") %>' Width="180px"
                                            Hight="80px" TextMode="MultiLine" MaxLength="300" onblur="valirLongitud(this,300);"></asp:TextBox>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
