﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarMotivosSobretiempo.aspx.vb" Inherits="AudiControl.ListarMotivosSobretiempo"
    Title="<%$ Resources:TituloPaginas, TitmotivosSobretiempo %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="~/Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <asp:MultiView ID="mvOtrosRecursos" ActiveViewIndex="0" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div class="header">
                    <asp:Label ID="lblMotivos" runat="server" Text="<%$ Resources:Idioma, lblMotivosSobretiempo %>"></asp:Label>
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaCifraCritica %>"
                        runat="server" Style="display: none"></asp:Label>
                </div>
                <br />
                <div align="center">
                    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                    <asp:Label ID="lblNo" runat="server" Visible="false"></asp:Label>
                    <asp:GridView ID="gvListaMotivosSobretiempo" runat="server" AutoGenerateColumns="False"
                        Visible="False" AllowPaging="True" PageSize="15" >
                        <Columns>
                            <asp:BoundField DataField="idMotivo" SortExpression="idMotivo" HeaderText="<%$ Resources:idioma, lblId %>">
                            </asp:BoundField>
                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:idioma, lbldescripcion %>"
                                ItemStyle-Width="500px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idMotivo")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <table>
                        <tr>
                            <td >
                                <br />
                                <asp:Button ID="btnAgregarOtrosRecursos" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="true" Width="100px" />
                                &nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblMantenimientoMotivosSobretiempo" runat="server" Text="<%$ Resources:Idioma, btnMantenimientoMotivosSobretiempo %>"></asp:Label>
                    <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                </div>
                <br />
                <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                <br />
                <div align="center">
                    <table>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                <br />
                            </td>
                            <td style="text-align: left; vertical-align: top">
                                <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                    ReadOnly="true"></asp:TextBox>
                                <br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtDescripcion" runat="server" Width="400px" MaxLength="120"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidaciondescripcion %>"></asp:Label></asp:RequiredFieldValidator>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblPrecioUnitario" runat="server" Text="<%$ Resources:Idioma, lblDetalle %>"></asp:Label>
                                &nbsp;
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtDetalle" runat="server" MaxLength="120" Width="400px" TextMode="MultiLine"
                                    Height="89px"></asp:TextBox>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                &nbsp;
                            </td>
                            <td style="text-align: left;" valign="top">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: center; height: 60px">
                                <br />
                                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="true" />
                                &nbsp;
                                <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                                    CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                                &nbsp;
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
