﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarPapelesdeTrabajo.aspx.vb" Inherits="AudiControl.ListarPapelesdeTrabajo"
    Title="<%$ Resources:TituloPaginas, TitPapelesTrabajo %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%--<script language="javascript" type="text/javascript" src="~/Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <div class="header">
                <asp:Label ID="lblPapelesTrabajo" runat="server" Text="<%$ Resources:Idioma, lblPapelesdeTrabajo %>"></asp:Label>
            </div>
            <br />
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblImpacto" runat="server" Visible="false"></asp:Label>
            <asp:Panel ID="panelGrid" runat="server" SkinID="panelSkinned">
                <div style="text-align: center">
                    <asp:GridView ID="gvListapapelesTrabajo" runat="server" AutoGenerateColumns="False"
                        Visible="False" AllowPaging="True" PageSize="15" Style="text-align: center" Width="700px">
                        <Columns>
                            <asp:BoundField DataField="idPapel" SortExpression="idPapel" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px">
                                <ItemStyle Width="30px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="descripcionpapelTrabajo" SortExpression="descripcionpapelTrabajo"
                                HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="550px">
                                <ItemStyle Width="550px" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idPapel")%>'>
                                            <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Label ID="lblReferenciasMagneticasArchivoPermanente" runat="server" Text="<%$ Resources:TituloPasos, lblReferenciaArchivoPermanente %>"
                        CssClass="subtitulo " Visible="false"></asp:Label>
                    <br />
                    <asp:GridView ID="gvReferencias" runat="server" AutoGenerateColumns="False" DataKeyNames="idReferencia"
                        Style="text-align: center">
                        <Columns>
                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblRequerimiento %>"
                                ItemStyle-Width="300px" />
                            <asp:BoundField DataField="referencia" HeaderText="<%$ Resources:Idioma, lblReferencia %>"
                                ItemStyle-Width="300px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idReferencia")%>'
                                        CommandName="MODIFICAR">
                                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                    </asp:LinkButton>
                                    &nbsp;&nbsp;
                                    <asp:LinkButton ID="lnkVerref" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idReferencia")%>'
                                        CommandName="VER">
                                        <asp:Label ID="lblVerref" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label>
                                    </asp:LinkButton>
                                    <asp:Label ID="lblidReq" runat="server" Text='<%# Eval("idRequerimiento") %>' Visible="false"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Label ID="lblReferenciasMagneticasHallazgos" runat="server" CssClass="subtitulo "
                        Text="<%$ Resources:Idioma, ReferenciasHallazgosPT %>" Visible="false"></asp:Label>
                    <br />
                    <asp:GridView ID="gvListaReferenciasHalazgos" runat="server" AutoGenerateColumns="False"
                        Width="589px">
                        <Columns>
                            <asp:BoundField DataField="idReferencia" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="70px" SortExpression="idReferencia">
                                <ItemStyle Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="medio" HeaderText="<%$ Resources:Idioma, lblMedio %>"
                                ItemStyle-Width="150px" SortExpression="medio">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="referencia" HeaderText="<%$ Resources:Idioma, lblReferencia %>"
                                ItemStyle-HorizontalAlign="Left" ItemStyle-Width="65%" SortExpression="referencia" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25%">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lnkVerrefHallazgos" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idReferencia")%>'
                                        CommandName="VER">
                                        <asp:Label ID="lblVerrefHallazgos" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label>
                                    </asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Label ID="lblReferenciasMagneticasDisennoyPlan" runat="server" CssClass="subtitulo "
                        Text="<%$ Resources:Idioma, ReferenciasDisenoyPlanEjecucionPT %>" Visible="False"></asp:Label>
                    <br />
                    <asp:GridView ID="gvListaReferenciasDisenoyPlanEjecucion" runat="server" AutoGenerateColumns="False"
                        Width="589px">
                        <Columns>
                            <asp:BoundField DataField="idReferencia" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="70px" SortExpression="idReferencia">
                                <ItemStyle Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="medio" HeaderText="<%$ Resources:Idioma, lblMedio %>"
                                ItemStyle-Width="150px" SortExpression="medio">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="referencia" HeaderText="<%$ Resources:Idioma, lblReferencia %>"
                                ItemStyle-HorizontalAlign="Left" ItemStyle-Width="65%" SortExpression="referencia" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25%">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lnkVerrefDiseno" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idReferencia")%>'
                                        CommandName="VER">
                                        <asp:Label ID="lblVerrefDiseno" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label>
                                    </asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div>
            </asp:Panel>
        </div>
    </div>
</asp:Content>
