﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ObjetivosdelaAuditoria.aspx.vb" Inherits="AudiControl.ObjetivosdelaAuditoria"
    Title="<%$ Resources:Menu, m0404010101 %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%-- <link rel="Stylesheet" type="text/css" href="~/Estilos/EstilosAudap.css" />--%>
    <%--<script language="javascript" type="text/javascript" src="../../Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblSeleccionarObjetivosAuditoria %>"></asp:Label></div>
        <br />
        <asp:Label ID="lblNoObjetivosSeleccion" runat="server" Text="" CssClass="colorError"></asp:Label>
        <asp:Panel ID="PanelObjetivos" runat="server" SkinID="panelSkinned">
            <table>
                <tr>
                    <td style="width: 411px">
                        <asp:Label ID="lblObjetivosaSeleccionar" runat="server" Text="<%$ Resources:Idioma, ObjetivosSeleccionar %>"
                            Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                    </td>
                    <td style="width: 54px">
                        &nbsp;
                    </td>
                    <td style="width: 381px;" align="center">
                        <asp:Label ID="lblObjetivosSeleccionados" runat="server" Text="<%$ Resources:Idioma, Objetivosseleccionados %>"
                            Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lblObjetivoSeleccionObligatorio" runat="server" CssClass="colorError"
                            Text=""></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 411px">
                        <div style="overflow: auto; width: 400px; height: 225px;">
                            <asp:GridView ID="gvListaObjetivos" runat="server" AutoGenerateColumns="False" Width="393px"
                                DataKeyNames="IdObjetivoAuditoria">
                                <Columns>
                                    <asp:TemplateField HeaderText="<%$ Resources:Idioma, Seleccionar %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkobjetivo" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="IdObjetivoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>">
                                        <ControlStyle BackColor="#FF9933" />
                                        <HeaderStyle Height="5px" />
                                        <ItemStyle Height="5px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="DescripcionObjetivoAud" HeaderText="<%$ Resources:Idioma, NombreObjetivo %>" />
                                </Columns>
                            </asp:GridView>
                        </div>
                        <br />
                        <br />
                    </td>
                    <td style="width: 54px">
                        <asp:Button ID="btnSelUno" runat="server" Text=" &gt; " CausesValidation="false"
                            Width="36px" />
                        <br />
                        <br />
                        <asp:Button ID="btnSelTodos" runat="server" Text="&gt;&gt;" CausesValidation="false"
                            Width="36px" />
                        <br />
                        <br />
                        <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaObjetivoAuditoria %>"
                            runat="server" Style="display: none"></asp:Label>
                        <asp:Button ID="btndesSelUno" runat="server" Text=" &lt; " CausesValidation="false"
                            Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" />
                        <br />
                        <br />
                        <asp:Button ID="btndesSelTodos" runat="server" Text="&lt;&lt;" CausesValidation="false"
                            Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" />
                        <br />
                    </td>
                    <td style="width: 381px; text-align: left; vertical-align: top; overflow: scroll;">
                        <div style="overflow: auto; width: 400px; height: 225px;">
                            <asp:GridView ID="gvListaSeleccionObjetivos" runat="server" AutoGenerateColumns="False"
                                Width="371px" DataKeyNames="IdObjetivoAuditoria">
                                <Columns>
                                    <asp:TemplateField HeaderText="<%$ Resources:Idioma, Seleccionar %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkobjetivoSel" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="IdObjetivoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>">
                                        <HeaderStyle Height="5px" />
                                        <ItemStyle Height="5px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="DescripcionObjetivoAud" HeaderText="<%$ Resources:Idioma, NombreObjetivo %>" />
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <div align="center">
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblCodigoNoValido" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td valign="top">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="width: 500px; text-align: center">
                            <div style="text-align: center; width: 189px; float: left">
                                <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                                    Width="162px">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </div>
                            <div style="text-align: center; width: 208px; float: left">
                                <asp:TextBox ID="txtCriterio" runat="server" Height="18px" />
                                <asp:Button ID="btnBuscarControles" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnBuscar %>" />
                                <br />
                                <%--<asp:Button ID="btnMostrarControles" runat="server" Text="<%$ Resources:Idioma, btnMostrarControles %>" CausesValidation="true" Width="199px" />--%>
                            </div>
                        </div>
                    </td>
                    <td>
                    </td>
                    <td valign="top">
                        <table>
                            <tr>
                                <td valign="Top">
                                    <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnReporte %>"
                                        Width="100px" />
                                    &nbsp;
                                    <asp:Button ID="btnMantenimientoObjetivos" runat="server" Text="<%$ Resources:Idioma, lblMantenimientoObjetivos %>"
                                        CausesValidation="false" />
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <br />
        </div>
    </div>
</asp:Content>
