﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="RecursosTiempo.aspx.vb" Inherits="AudiControl.RecursosTiempo" Title="<%$ Resources:TituloPaginas, TitRecursoTiempo %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%--<script language="javascript" type="text/javascript" src="~/Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoRecursosTiempos" runat="server" Text="<%$ Resources:menu, m0404010201 %>"></asp:Label>
        </div>
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblHorasRequeridas" runat="server" Text="<%$ Resources:Idioma, lblHorasReq %>"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtHorasRequeridas" runat="server" ReadOnly="True"></asp:TextBox>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblNoEtapas" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:Label ID="lblExito" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:GridView ID="gvListaRecusosTiempo" runat="server" AutoGenerateColumns="False"
                Width="70%">
                <Columns>
                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblNombreEtapa %>"
                        ItemStyle-Width="220px" SortExpression="descripcion"></asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblPorHorasReq %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="130px">
                        <ItemTemplate>
                            <asp:Label ID="lblIdEtapa" runat="server" Text='<%# Eval("idEtapa") %>' Visible="false"></asp:Label>
                            <asp:TextBox ID="txtporcentaje" runat="server" Height="17" MaxLength="5" Text='<%# Eval("porcentaje") %>'
                                TextMode="SingleLine" Width="40"></asp:TextBox>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:BoundField DataField="Horas" HeaderText="<%$ Resources:Idioma, lblHorasReq %>"
                        ItemStyle-Width="70px" SortExpression="Horas">
                        <ItemStyle Width="70px" />
                    </asp:BoundField>
                </Columns>
            </asp:GridView>
            <table>
                <tr>
                    <td style="height: 21px; width: 700px;">
                    </td>
                </tr>
                <tr style="width: 700px">
                    <td style="width: 100%; text-align: center;">
                        <asp:DropDownList ID="drpReportes" runat="server">
                            <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaRecursosTiempoGeneral %>"
                                Value="2"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaRecursosTiempoAuditor %>"
                                Value="3"></asp:ListItem>
                        </asp:DropDownList>
                        &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        &nbsp; &nbsp;
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
