﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarCifrasCriticas.aspx.vb" Inherits="AudiControl.ListarCifrasCriticas"
    Title="<%$ Resources:TituloPaginas, TitCifrasCriticas %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%-- <link rel="stylesheet" href="~/Estilos/EstilosAudap.css" type="text/css"  />--%>
    <%--<script language="javascript" type="text/javascript" src="~/Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <asp:MultiView ID="mvCifrasCriticas" ActiveViewIndex="0" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div class="header">
                    <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblListaCifrasCriticas %>"></asp:Label>
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaCifraCritica %>"
                        runat="server" Style="display: none"></asp:Label>
                </div>
                <br />
                <div align="center">
                    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                    <asp:Label ID="lblImpacto" runat="server" Visible="false"></asp:Label>
                    <asp:GridView ID="gvListaCifrasCriticas" runat="server" AutoGenerateColumns="False"
                        Visible="False" AllowPaging="True" PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="idCifra" SortExpression="idCifra" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="descripcion" SortExpression="descripcion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                ItemStyle-Width="250px" />
                            <asp:BoundField DataField="tipoDato" SortExpression="tipoDato" HeaderText="<%$ Resources:Idioma, lblTipo %>"
                                ItemStyle-Width="150px">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idCifra")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCifra")%>'>
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <table>
                        <tr>
                            <td style="width: 356px; text-align: center;">
                                <br />
                                <asp:Button ID="btnAgregarCifraCritica" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="true" Width="100px" />
                                &nbsp;&nbsp;
                                <asp:Button ID="btnReporte" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnReporte %>"
                                    Width="100px" />
                                &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                                    Width="100px" />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblDeficionTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoCifrasCriticas %>"></asp:Label>
                    <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                </div>
                <br />
                <div align="center">
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <table>
                        <tr>
                            <td style="text-align: right; vertical-align: top; height: 50px;">
                                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                <br />
                            </td>
                            <td style="text-align: left; vertical-align: top; height: 50px;">
                                <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                    ReadOnly="true"></asp:TextBox>
                                <br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:TextBox ID="txtDescripcion" Height="20px" runat="server" Width="400px" MaxLength="1000"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionDescripcion %>"></asp:Label></asp:RequiredFieldValidator>
                                <asp:CustomValidator ID="cvdescripcion" runat="server" ControlToValidate="txtDescripcion"></asp:CustomValidator>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblDetalle" runat="server" Text="<%$ Resources: Idioma, lblDetalle %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtDetalle" runat="server" Width="400px" MaxLength="5000" TextMode="MultiLine"
                                    Height="60px"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rvDetalle" runat="server" ControlToValidate="txtDetalle"
                                    Height="16px" Width="394px">
                                    <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                                <asp:CustomValidator ID="cvdetalle" runat="server" ControlToValidate="txtDetalle"></asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblTipo" runat="server" Text="<%$ Resources:Idioma, lblTipo %>"></asp:Label>
                                *
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:DropDownList ID="drpTipo" runat="server">
                                    <asp:ListItem Value="Calculado">Calculado</asp:ListItem>
                                    <asp:ListItem Value="Asumido">Asumido</asp:ListItem>
                                    <asp:ListItem Value="Ingresado">Ingresado</asp:ListItem>
                                    <asp:ListItem Value="De Referencias a documentos Legales">De Referencias a documentos Legales</asp:ListItem>
                                    <asp:ListItem Value="Otros">Otros</asp:ListItem>
                                </asp:DropDownList>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: center; height: 60px">
                                <br />
                                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="true" />
                                &nbsp;
                                <asp:Button ID="btnAdicionarOtroImpacto" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                                    CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                                &nbsp;
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
