<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ConsolidadoSAPEporEscenario.aspx.vb" Inherits="AudiControl.ConsolidadoSAPEporEscenario"
    Title="<%$ Resources:TituloPaginas, TitVerSape %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblVerSAPE" runat="server" Text="<%$ Resources:Idioma, EvaluacionPEporEscenario %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td style="width: 720px" align="center">
                        <asp:Label ID="lblopinionAuditor0" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditor %>"
                            CssClass="subtitulo "></asp:Label>
                        &nbsp; *
                        <br />
                        <br />
                        <asp:Label ID="lblExito" runat="server" CssClass="colorExito"></asp:Label>
                        <br />
                        <asp:TextBox ID="txtopinionAuditor" runat="server" Height="52px" TextMode="MultiLine"
                            Width="710px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvtxtopinionAuditor" runat="server" ControlToValidate="txtopinionAuditor">
                            <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditorObligatoria %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <br />
                        <asp:Button ID="btnguardarOpinionAuditor" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        <br />
                        <asp:Label ID="lblEscenario" runat="server" Text="<%$ Resources:Idioma, lblEscenarios %>"
                            CssClass="subtitulo "></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="width: 720px">
                        <div style="overflow: auto; width: 800px; height: 250px;">
                            <asp:GridView ID="gvListaEscenarios" runat="server" AutoGenerateColumns="False" Width="688px"
                                ShowFooter="True">
                                <Columns>
                                    <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px">
                                        <ItemStyle Width="50px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                                        HeaderText="<%$ Resources:Idioma, lblEscenario %>" ItemStyle-Width="400px">
                                        <ItemStyle Width="400px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="valorRiesgoInherente" SortExpression="valorRiesgoInherente"
                                        HeaderText="<%$ Resources:Idioma,lblValorRI %>" ItemStyle-Width="20px">
                                        <ItemStyle Width="20px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="RiesgoInherente" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-Width="150px">
                                        <ItemStyle Width="150px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                        ItemStyle-Width="150px">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="valorProteccion" SortExpression="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorPE %>"
                                        ItemStyle-Width="20px">
                                        <ItemStyle Width="20px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="proteccionExistente" SortExpression="proteccionExistente"
                                        HeaderText="<%$ Resources:Idioma, lblPE %>" ItemStyle-Width="150px">
                                        <ItemStyle Width="150px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="ValorRiesgoResidual" SortExpression="ValorRiesgoResidual"
                                        HeaderText="<%$ Resources:Idioma,lblValorRR %>" ItemStyle-Width="20px">
                                        <ItemStyle Width="20px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="TextoriesgoResidual" SortExpression="TextoriesgoResidual"
                                        HeaderText="<%$ Resources:Idioma, lblRR %>" ItemStyle-Width="150px">
                                        <ItemStyle Width="150px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                        ItemStyle-Width="150px">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorNivelRR")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="Hallazgo" ItemStyle-Width="200px" HeaderText="<%$ Resources:Idioma, lblHallazgos %>">
                                        <ItemStyle Width="200px"></ItemStyle>
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                        </div>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <telerik:ReportViewer ID="rvSemaforo" runat="server" Height="400px" Report="Com.Audisis.Reportes.ReporteGraficaConsolidadoPEporEscenario, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                            Width="800px" ToolbarVisible="False">
                        </telerik:ReportViewer>
                    </td>
                </tr>
            </table>
            &nbsp; &nbsp;&nbsp;
            <br />
        </div>
    </div>
</asp:Content>
