﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarHallazgosdeAuditoria.aspx.vb" Inherits="AudiControl.ListarHallazgosdeAuditoria"
    Title="<%$ Resources:TituloPaginas, TitHallazgos %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="~/Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblescenariosnoTerminados" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTieneRecomendacion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTienValidacion" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources:Idioma, lblHallazgosControlInterno %>"></asp:Label>
            <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaPuntoInteres %>"
                runat="server" Style="display: none"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <asp:Label ID="lblSeleccionUnEscenario" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,lblSeleccionUnEscenario %>"></asp:Label>
            <br />
            <br />
            <asp:DropDownList ID="drpEscenarios" runat="server" AutoPostBack="true" Width="500px">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblNoHallazgosControlInterno" runat="server" Text="" Visible="False"
                CssClass="colorError"></asp:Label>
            <br />
            <asp:GridView ID="gvListaHallazgosControlInterno" runat="server" AutoGenerateColumns="False"
                Visible="False" AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idHallazgo" SortExpression="idHallazgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="150px">
                        <ItemStyle Width="150px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcionHallazgo" SortExpression="descripcionHallazgo"
                        HeaderText="<%$ Resources:Idioma, descripcionHallazgos %>" ItemStyle-Width="650px"
                        ItemStyle-HorizontalAlign="Left"></asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, Documentado %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblSi" runat="server" Text='<%# Eval("respondido")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblRespondido" runat="server" Text=""></asp:Label>
                            <asp:Label ID="lblIdAmenaza" runat="server" Text='<%# Eval("idAmenaza")%>' Visible="false"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkResponder" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idHallazgo")%>'
                                CausesValidation="false">
                                <asp:Label CommandName="ACCION" ID="lblResponder" runat="server" CommandArgument="<%$ Resources:Idioma, btnAgregar %>"
                                    Text="<%$ Resources:Idioma, btnAgregar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources:Idioma, Hallazgosyrecomendaciones %>" Value="2"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:Idioma, resumenhallazgosyRecomendaciones %>" Value="3"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnreporte %>" />
            <br />
        </div>
    </div>
</asp:Content>
