<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionAmenazasyControlesaVerificar.aspx.vb" Inherits="AudiControl.SeleccionAmenazasyControlesaVerificar"
    Title="<%$ Resources:Menu, m0404060102 %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblAreasSinOpinion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblAreaSeleccionada" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTituloMayor" runat="server" Text="<%$ Resources:Idioma, SeleccionAmenazasCumplimiento %>"></asp:Label>
    </div>
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblSeleccionUnEscenario" runat="server" Text="<%$ Resources:Idioma,lblSeleccionAreaOrg %>"
            CssClass="subtitulo "></asp:Label>
        <br />
        <br />
        <asp:DropDownList ID="drpAreas" runat="server" Width="500px" AutoPostBack="true">
        </asp:DropDownList>
        <br />
        <br />
        &nbsp;
        <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources:Idioma, lblAmenazas %>"
            CssClass="subtitulo "></asp:Label>
        <br />
        <br />
        <table>
            <tr>
                <td align="center">
                    <div style="overflow: auto; width: 836px; height: 250px; text-align:center;" >
                        <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" Width="814px"
                            ShowFooter="True" Style="text-align: center" EnableTheming="True" AutoGenerateSelectButton="True"
                            SelectedRowStyle-BackColor="Aqua" SelectedRowStyle-ForeColor="Black" SelectedIndex="0">
                            <Columns>
                                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="50px">
                                    <ItemStyle Width="50px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="400px">
                                    <ItemStyle Width="400px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="valorRiesgoInherente" SortExpression="valorRiesgoInherente"
                                    HeaderText="<%$ Resources:Idioma,lblValorRI %>" ItemStyle-Width="20px">
                                    <ItemStyle Width="20px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="RiesgoInherente" SortExpression="descripcionRiesgoInherente"
                                    HeaderText="<%$ Resources:Idioma, lblRI %>" ItemStyle-Width="150px">
                                    <ItemStyle Width="150px"></ItemStyle>
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                    Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                    ItemStyle-Width="150px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblidEstudioAmenaza" runat="server" Text='<%# Eval("idEstudioAmenaza")%>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="valorProteccion" SortExpression="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorPE %>"
                                    ItemStyle-Width="20px">
                                    <ItemStyle Width="20px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="proteccionExistente" SortExpression="proteccionExistente"
                                    HeaderText="<%$ Resources:Idioma, lblPE %>" ItemStyle-Width="150px">
                                    <ItemStyle Width="150px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="valorProteccion" SortExpression="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorRR %>"
                                    ItemStyle-Width="20px">
                                    <ItemStyle Width="20px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="riesgoResidual" SortExpression="riesgoResidual" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px"></ItemStyle>
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                    Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                    ItemStyle-Width="150px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorNivelRR")%>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                    <br />
                </td>
            </tr>
            <tr>
                <td align="center">
                    <asp:Label ID="lblControlesSeleccionados" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,Controlesxamenaza %>"></asp:Label>
                </td>
            </tr>
            <tr>
                <td align="center">
                    <asp:GridView ID="gvListaControles" runat="server" AutoGenerateColumns="false">
                        <Columns>
                            <asp:BoundField DataField="idControl" SortExpression="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px"></asp:BoundField>
                            <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl"
                                HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px">
                            </asp:BoundField>
                            <asp:BoundField DataField="tipoControl" SortExpression="tipoControl" HeaderText="<%$ Resources:Idioma, lblTipoControl %>"
                                ItemStyle-Width="150px"></asp:BoundField>
                            <asp:BoundField DataField="claseControl" SortExpression="claseControl" HeaderText="<%$ Resources:Idioma, lblClaseControl %>"
                                ItemStyle-Width="150px"></asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                HeaderText="<%$ Resources: idioma,lblFrecuenciasControl %>" ItemStyle-VerticalAlign="Top"
                                ItemStyle-Width="200px">
                                <ItemTemplate>
                                    <asp:Label ID="lblIdFrecuencia" runat="server" Text='<%# Eval("nombreFrecuencia") %>'
                                        Visible="True"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <br />
        &nbsp;<asp:DropDownList ID="drpReportes" runat="server">
            <asp:ListItem Text="<%$ Resources:TituloPasos, RepAmenazasSelPC %>" Value="2"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:TituloPasos, RepControlesVerificaPC %>" Value="3"></asp:ListItem>
        </asp:DropDownList>
        &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
            CausesValidation="false" />
        <br />
    </div>
</asp:Content>
