<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionTecnicaE7.aspx.vb" Inherits="AudiControl.SeleccionTecnicaE7"
    Title="<%$ Resources: Menu, m0404070103 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources: msgQuitaControl %>" runat="server"
        Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources: Menu, m0404060103 %>"></asp:Label></div>
        <asp:Label ID="lbltenicaSeleccionadaendrp" runat="server" Text="" Visible="false"></asp:Label>
        <br />
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources: Pestana1 %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources: Pestana2 %>" Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ActiveViewIndex="0" ID="mvTecnica" runat="server">
                <asp:View ID="vwTecnica" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="lblTecnicasSeleccionadas" runat="server" CssClass="subtitulo" Text="<%$ Resources: TecnicaSustantiva %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblTecnicaElegible" runat="server" Text="<%$ Resources: TecnicaElegible %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                            <br />
                                        </td>
                                        <td>
                                            <br />
                                            <br />
                                        </td>
                                        <td>
                                            <asp:Label runat="server" Text="<%$ Resources: TecnicaElegida %>" Font-Bold="True"
                                                Font-Size="12pt" ForeColor="#009900"></asp:Label>&nbsp;
                                            <asp:Label ID="lblAsterisco" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvTecnicaElegible" runat="server" AutoGenerateColumns="false" DataKeyNames="id">
                                                    <Columns>
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkTecnicaElegible" runat="server" OnCheckedChanged="chkSeleccionarTecnica_CheckedChanged"
                                                                    AutoPostBack="true" />
                                                                <asp:Label ID="lblidTecnica" runat="server" Text='<%# Eval("id") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center" />
                                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="id" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px" />
                                                        <asp:BoundField DataField="nombre" HeaderText="<%$ Resources: TecnicaAuditoria %>"
                                                            ItemStyle-Width="280px" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                            <br />
                                        </td>
                                        <td style="width: 50px">
                                            <asp:Button ID="btnPasarTodas" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnPasarUna" runat="server" Text="&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnQuitarUna" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <asp:Button ID="btnQuitarTodas" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <br />
                                            <br />
                                        </td>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvTecnicaElegida" runat="server" AutoGenerateColumns="False" DataKeyNames="idTecnicaAuditoriaSeleccionada,id">
                                                    <Columns>
                                                        <asp:BoundField DataField="idTecnicaAuditoriaSeleccionda" Visible="false" />
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkTecnicaElegida" runat="server" OnCheckedChanged="chkSeleccionarTecnica_CheckedChanged"
                                                                    AutoPostBack="true" />
                                                                <asp:Label ID="lblidTecnica" runat="server" Text='<%# Eval("id") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="id" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px">
                                                        </asp:BoundField>
                                                        <asp:BoundField DataField="nombre" HeaderText="<%$ Resources: TecnicaAuditoria %>"
                                                            ItemStyle-Width="280px"></asp:BoundField>
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblTecnicasSeleccion" runat="server" CssClass="subtituloSegundoNivel"
                                                Text="<%$ Resources: DescribeTecnica %>"></asp:Label>
                                            <br />
                                            <asp:TextBox ID="txtDescripcionTecnica" runat="server" Height="65px" Width="847px"
                                                TextMode="MultiLine"></asp:TextBox>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                                <asp:Button ID="btnMantenimiento" runat="server" Text="<%$ Resources: Mantenimiento %>"
                                    Width="240px" />&nbsp;
                                <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>" />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwCifra" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="lblControlesTecnicasSeleccion" runat="server" CssClass="subtitulo"
                                    Text="<%$ Resources: CifraTecnica %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblSeleccioneTecnica" runat="server" CssClass="subtitulo " Text="<%$ Resources: Tecnica %>"></asp:Label>
                                            <br />
                                            &nbsp;
                                            <asp:DropDownList ID="drpTecnica" runat="server" AutoPostBack="true">
                                            </asp:DropDownList>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblTEcnicaSeleccionada" runat="server" CssClass="subtituloSegundoNivel"
                                                Text="<%$ Resources:Idioma, DescribeTecnica %>"></asp:Label>
                                            <br />
                                            <asp:TextBox ID="txtDescripcionTecnicaVerificar" runat="server" Height="75px" TextMode="MultiLine"
                                                Width="847px"></asp:TextBox>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblSinControl" runat="server" CssClass="colorError" Text="<%$ Resources: SinControl %>"
                                                Visible="False"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorError"
                                                Text=""></asp:Label>
                                            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
                                            <asp:Label ID="lblNoControl" runat="server" CssClass="colorError" Text="<%$ Resources: CifraElegida %>"
                                                Visible="false"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCifraElegible" runat="server" Text="<%$ Resources: CifraElegible %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                            <br />
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                            <asp:Label ID="lblCifaElegida" runat="server" Text="<%$ Resources: CifraElegida %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                                            &nbsp;<asp:Label ID="lblAsterisco1" runat="server" Text="<%$ Resources: Idioma, lblAsterisco %>"></asp:Label><br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvCifraElegible" runat="server" AutoGenerateColumns="false" DataKeyNames="idCifraCriticaAmenaza">
                                                    <Columns>
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkCifraElegible" runat="server" OnCheckedChanged="chkCifra_CheckedChanged"
                                                                    AutoPostBack="true" />
                                                                <asp:Label ID="lblidCifra" runat="server" Text='<%# Eval("idCifra") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center" />
                                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idCifra" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px" />
                                                        <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources: Cifra %>" ItemStyle-Width="280px" />
                                                        <asp:BoundField DataField="idCifraCriticaAmenaza" Visible="false" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                            <br />
                                        </td>
                                        <td style="width: 50px">
                                            <asp:Button ID="btnCifraPasa" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnCifraPasaUno" runat="server" Text="&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnCifraQuitaUno" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <asp:Button ID="btnCifraQuita" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <br />
                                            <br />
                                        </td>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvCifraElegida" runat="server" AutoGenerateColumns="False" DataKeyNames="idCifraCriticaAmenaza">
                                                    <Columns>
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkCifraElegida" runat="server" OnCheckedChanged="chkCifra_CheckedChanged"
                                                                    AutoPostBack="true" />
                                                                <asp:Label ID="lblidCifra" runat="server" Text='<%# Eval("idCifra") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idCifra" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
                                                        <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources: Cifra %>" ItemStyle-Width="280px" />
                                                        <asp:BoundField DataField="idCifraCriticaAmenaza" Visible="false" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblControlSel" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources: Idioma, CifraCritica %>"></asp:Label>
                                            <br />
                                            <asp:TextBox ID="txtDescripcionCifra" runat="server" Height="58px" TextMode="MultiLine"
                                                Width="847px"></asp:TextBox>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                &nbsp;<asp:Button ID="btnReporteCifra" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>" />&nbsp;
                                <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>" />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
