<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarHallazgosdeAuditoriaporSitio.aspx.vb" Inherits="AudiControl.ListarHallazgosdeAuditoriaporSitio"
    Title="<%$ Resources:Menu, m0404080201 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="~/Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblescenariosnoTerminados" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTerminado" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTieneRecomendacion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblTienValidacion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblEtapa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text=""></asp:Label>
        </div>
        <br />
        <asp:Label ID="lblNoGeneraNingunHallazgoPruebas" runat="server" Text="" Visible="False"
            CssClass="colorError"></asp:Label>
        <br />
        <asp:Panel ID="PanelHallazgos" runat="server" SkinID="panelSkinned">
            <br />
            <asp:Label ID="lblSeleccionUnEscenario" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,SeleccionSitio %>"></asp:Label>
            <br />
            <br />
            <asp:DropDownList ID="drpSitioPrueba" runat="server" AutoPostBack="true" Width="500px">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblNoHallazgosPruebas" runat="server" Text="" Visible="False" CssClass="colorError"></asp:Label>
            <br />
            <asp:GridView ID="gvListaHallazgosPruebas" runat="server" AutoGenerateColumns="False"
                Visible="False" AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idHallazgo" SortExpression="idHallazgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="150px">
                        <ItemStyle Width="150px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcionHallazgo" SortExpression="descripcionHallazgo"
                        HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="650px"
                        ItemStyle-HorizontalAlign="Left"></asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, Planeado %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblSi" runat="server" Text='<%# Eval("respondido")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblRespondido" runat="server" Text=""></asp:Label>
                            <asp:Label ID="lblIdAmenaza" runat="server" Text='<%# Eval("idAmenaza")%>' Visible="false"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkResponder" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idHallazgo")%>'
                                CausesValidation="false">
                                <asp:Label CommandName="ACCION" ID="lblResponder" runat="server" CommandArgument="<%$ Resources:Idioma, btnAgregar %>"
                                    Text="<%$ Resources:Idioma, btnAgregar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources:Idioma, ResponsablessegArea %>" Value="2"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:Idioma, RecomendacionesVenceAreayResponsImplantar %>"
                    Value="3"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:Idioma, RecomendacionesVenceAuditorAsignado %>"
                    Value="4"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:Idioma, RecomendacionesVenceCargosRespImplantar %>"
                    Value="5"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:Idioma, PlanMejoramientoP %>" Value="6"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnreporte %>" />
            <br />
        </asp:Panel>
    </div>
</asp:Content>
