﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarMotivosIncumplimientoE8.aspx.vb" Inherits="AudiControl.ListarMotivosIncumplimientoE8"
    Title="<%$ Resources: Menu, m0404080202 %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <link rel="stylesheet" href="~/Estilos/EstilosAudap.css" type="text/css" />

    <script language="javascript" type="text/javascript" src="~/Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div align="center">
            <asp:MultiView ID="mvMotivosIncumplimiento" ActiveViewIndex="0" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <div class="header">
                        <asp:Label ID="lblListaMotivos" runat="server"></asp:Label>
                        <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaMotivoIncumplimiento %>"
                            runat="server" Style="display: none"></asp:Label>
                    </div>
                    <br />
                    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                    <asp:Label ID="lblNoMotivo" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <asp:GridView ID="gvListaMotivosIncumplimiento" runat="server" AutoGenerateColumns="False"
                        Visible="False" AllowPaging="True" PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="idMotivo" SortExpression="idMotivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" SortExpression="Descripcion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                ItemStyle-Width="250px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idMotivo")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idMotivo")%>'>
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <table>
                        <tr>
                            <td style="width: 356px; text-align: center;">
                                <br />
                                <asp:Button ID="btnAgregarMotivo" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="true" Width="100px" />
                                &nbsp;&nbsp;
                                <asp:Button ID="btnReporte" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnReporte %>"
                                    Width="100px" />
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <div class="header">
                        <asp:Label ID="lblEditaMotivos" runat="server"></asp:Label>
                        <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                    </div>
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <div style="text-align: center; width: 70%">
                        <table>
                            <tr>
                                <td style="text-align: right; vertical-align: top; height: 50px;">
                                    <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                    <br />
                                </td>
                                <td style="text-align: left; vertical-align: top; height: 50px;">
                                    <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                        ReadOnly="true"></asp:TextBox>
                                    <br />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                    *
                                </td>
                                <td style="text-align: left;" valign="top">
                                    <asp:TextBox ID="txtDescripcion" Height="20px" runat="server" Width="400px" MaxLength="120"></asp:TextBox>
                                    <br />
                                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                        Height="16px" Width="394px">
                                        <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    &nbsp;
                                </td>
                                <td style="text-align: left;" valign="top">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="text-align: center; height: 60px">
                                    <br />
                                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                        CausesValidation="true" />
                                    &nbsp; &nbsp;
                                    <br />
                                    <br />
                                </td>
                            </tr>
                        </table>
                    </div>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
