﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarAuditoriasE1.aspx.vb" Inherits="AudiControl.ListarAuditoriasE1"
    Title="<%$ Resources:TituloPaginas, TitAuditoria %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <br />
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMsgCopiaAuditoria" Text="<%$ Resources:Idioma, msgCopiaAuditoria %>"
        runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMsgCopiaEstudio" Text="<%$ Resources:Idioma, msgCopiaEstudio %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <div class="izquierda">
                <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                &nbsp;<asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label></div>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoEstudiosAuditorias" runat="server" Text="<%$ Resources:TituloPasos, lblAuditoria %>"></asp:Label>
        </div>
        <br />
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblNoEstudio" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <asp:MultiView ActiveViewIndex="0" ID="mvAuditoria" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <br />
                <div align="center">
                    <asp:GridView ID="gvListaEstudios" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                        PageSize="15" AutoGenerateSelectButton="true" SelectedRowStyle-BackColor="Bisque"
                        SelectedRowStyle-ForeColor="Sienna">
                        <Columns>
                            <asp:BoundField DataField="idEstudio" SortExpression="idEstudio" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px" />
                            <asp:BoundField DataField="nombreEstudio" SortExpression="nombreEstudio" HeaderText="<%$ Resources:Idioma, lblAuditoria %>"
                                ItemStyle-Width="300px" />
                            <asp:BoundField DataField="FechaCreacion" HeaderText="<%$ Resources: Idioma, FechaCreacion %>"
                                DataFormatString="{0: dd MMM yyyy}" />
                            <asp:BoundField DataField="nombreAuditoria" HeaderText="<%$ Resources: Idioma, lblNombreTipoAud %>" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                <ItemTemplate>
                                    <div>
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEstudio")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>&#160;&#160;
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <table>
                        <tr>
                            <td style="height: 42px">
                                <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                            </td>
                            <td style="height: 42px">
                                <asp:TextBox ID="txtCriterio" runat="server" />
                                &nbsp;
                                <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                    CausesValidation="true" />
                                &nbsp;
                            </td>
                            <td style="text-align: center; height: 42px;">
                                &nbsp;
                                <asp:Button ID="btnAgregarEstudio" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="false" />
                                &nbsp;
                                <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources: Idioma, btnReporte %>"
                                    CausesValidation="false" />
                            </td>
                            <td style="text-align: center; height: 42px; width: 195px;">
                                <asp:Button ID="btnEnvioRecordatorios" runat="server" CausesValidation="false" Text="<%$ Resources: Idioma, btnEnvioRecordatorios %>"
                                    Visible="false" />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div align="center">
                    <asp:Label ID="lblNoModifica" runat="server" Text="<%$ Resources: Idioma, lblModificaAuditoria %>"
                        CssClass="colorError" Visible="false"></asp:Label><br />
                    <br />
                    <table style="width: 741px">
                        <tr>
                            <td style="text-align: right; width: 114px; height: 42px;">
                                <asp:Label ID="lblTipoEstudio" runat="server" Text="<%$ Resources:Idioma, lblNombreTipoAud %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td style="width: 3px; height: 42px">
                            </td>
                            <td style="text-align: left; height: 42px;">
                                <asp:RadioButtonList ID="rbtnTipoEstudio" runat="server" RepeatDirection="Horizontal"
                                    Width="100%">
                                </asp:RadioButtonList>
                                <br />
                                <asp:RequiredFieldValidator ControlToValidate="rbtnTipoEstudio" ErrorMessage="<%$ Resources:Idioma, TipoAuditoriaObligatorio %>"
                                    runat="server"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 23px; text-align: right; width: 114px;">
                                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"
                                    Height="22px"></asp:Label>
                                &nbsp;*
                            </td>
                            <td style="width: 3px; height: 23px;">
                            </td>
                            <td align="left" style="height: 23px;">
                                <asp:TextBox ID="txtEstudio" runat="server" Width="483px" Height="20px" MaxLength="400"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNombre" runat="server" ControlToValidate="txtEstudio">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 24px; text-align: right; width: 114px;">
                                <asp:Label ID="lblTipoProceso" runat="server" Text="<%$ Resources:Idioma, lblProceso %>"></asp:Label>
                                &nbsp;*<br />
                                <br />
                                <br />
                            </td>
                            <td style="width: 3px">
                            </td>
                            <td style="text-align: left;">
                                <asp:DropDownList ID="drpTipoProceso" runat="server">
                                </asp:DropDownList>
                                <br />
                                <br />
                                <asp:Button ID="btnMantenimientoProceso" runat="server" Text="<%$ Resources:Idioma, btnMantenimientoProceso %>"
                                    CausesValidation="false" Width="125px" />
                                <br />
                                <asp:RequiredFieldValidator ID="rfvTipoProceso" runat="server" ControlToValidate="drpTipoProceso"
                                    ErrorMessage="<%$ Resources:Idioma, rfvSeleccionProceso %>"></asp:RequiredFieldValidator>&nbsp;
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />&nbsp;
                    <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                        CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />&nbsp;
                    <asp:Button ID="btnCargar" runat="server" Text="<%$ Resources: Idioma, CargarTrabajoAuditoria %>"
                        CausesValidation="false" Width="220px" />&nbsp;
                    <asp:Button ID="btnCopiar" runat="server" Text="<%$ Resources: Idioma, CopiarAuditoria %>"
                        CausesValidation="true" Width="200px" Height="19px" />&nbsp;
                    <asp:Button ID="btnDuplicar" runat="server" Text="<%$ Resources: Idioma, CopiarEstudio %>"
                        CausesValidation="false" Width="220px" />
                    <br />
                    <br />
                </div>
            </asp:View>
            <asp:View ID="vwTrabajo" runat="server">
                <div align="center">
                    <asp:Label ID="lblTrabajoAuditoria" CssClass="colorError" Text="<%$ Resources: Idioma, CerrarPlanAuditoriaObligatorio %>"
                        runat="server"></asp:Label>&nbsp;
                    <asp:Label ID="lblFaltaAuditoria" CssClass="colorError" Text="<%$ Resources: Idioma, lblDebeSeleccionarAuditoria %>"
                        runat="server"></asp:Label><br />
                    <br />
                    <asp:GridView ID="gvTrabajoAuditoria" runat="server" AutoGenerateColumns="false">
                        <Columns>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-Width="120px">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkElegir" runat="server" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="annoFiscal" HeaderText="<%$ Resources: Idioma, lblAnnoFiscal %>"
                                ItemStyle-Width="90px" />
                            <asp:BoundField DataField="idTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px" />
                            <asp:BoundField DataField="nombreTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblAuditoria %>"
                                ItemStyle-Width="400px" />
                            <asp:BoundField DataField="iniciada" HeaderText="<%$ Resources: Idioma, lblIniciada %>" />
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnInsertar" Text="<%$ Resources: Idioma, btnAgregar %>" runat="server" />
                    <br />
                    <br />
                </div>
            </asp:View>
            <asp:View ID="vwEstudio" runat="server">
                <div align="center">
                    <asp:Label CssClass="subtitulo" ID="lblCopiaEstudio" Text="<%$ Resources: Idioma, EstudioCotrolRisk %>"
                        runat="server"></asp:Label>&nbsp;
                    <br />
                    <br />
                    <asp:GridView ID="gvEstudio" runat="server" AllowPaging="True" AutoGenerateColumns="false"
                        AutoGenerateSelectButton="true" PageSize="15" SelectedRowStyle-BackColor="Bisque"
                        SelectedRowStyle-ForeColor="Sienna">
                        <Columns>
                            <asp:BoundField DataField="idEstudio" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px" SortExpression="idEstudio" />
                            <asp:BoundField DataField="nombreEstudio" HeaderText="<%$ Resources:Idioma, lblAuditoria %>"
                                ItemStyle-Width="400px" SortExpression="nombreEstudio" />
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnAdicionaEstudio" Text="<%$ Resources: Idioma, btnAgregar %>" runat="server"
                        OnClientClick="if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMsgCopiaEstudio').innerHTML)) return false;" />
                    <br />
                    <br />
                </div>
            </asp:View>
            <asp:View ID="vwCopia" runat="server">
                <div align="center">
                    <asp:Label CssClass="subtitulo" Text="<%$ Resources: Idioma, CopiaAuditoria %>" runat="server"></asp:Label><br />
                    <asp:Label ID="lblErrorCopia" CssClass="colorError" runat="server"></asp:Label>
                    <asp:Label ID="lblNoHayAuditoria" CssClass="colorError" runat="server" Text="<%$ Resources: idioma, NoHayAuditoria %>"
                        Visible="false"></asp:Label>
                    <br />
                    <br />
                    <asp:GridView ID="gvCopia" runat="server" AllowPaging="True" AutoGenerateColumns="false"
                        AutoGenerateSelectButton="true" PageSize="15" SelectedRowStyle-BackColor="Bisque"
                        SelectedRowStyle-ForeColor="Sienna">
                        <Columns>
                            <asp:BoundField DataField="idEstudio" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px" SortExpression="idEstudio" />
                            <asp:BoundField DataField="nombreEstudio" HeaderText="<%$ Resources:Idioma, lblAuditoria %>"
                                ItemStyle-Width="400px" SortExpression="nombreEstudio" />
                            <asp:BoundField DataField="fechaCreacion" HeaderText="<%$ Resources: Idioma, FechaCreacion %>"
                                DataFormatString="{0: dd MMM yyyy}" />
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Label ID="lblNuevoNombre" runat="server" Text="<%$ Resources: Idioma, lblNuevoNombre %>"></asp:Label>&nbsp;*&nbsp;
                    <asp:TextBox ID="txtNuevoNombre" runat="server" Width="460px" Height="20px" MaxLength="400"></asp:TextBox><br />
                    <asp:RequiredFieldValidator ID="rfvNuevoNombre" ControlToValidate="txtNuevoNombre"
                        ErrorMessage="<%$ Resources:Idioma, TipoAuditoriaObligatorio %>" runat="server"></asp:RequiredFieldValidator><br />
                    <br />
                    <asp:Button ID="btnCopia" Text="<%$ Resources: Idioma, btnAgregar %>" runat="server"
                        OnClientClick="if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMsgCopiaAuditoria').innerHTML)) return false;"
                        CausesValidation="true" />
                    <br />
                    <br />
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
