﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarFactorRiesgo.aspx.vb" Inherits="AudiControl.EditarFactorRiesgo"
    Title="<%$ Resources:TituloPaginas, TitEditarFactorRiesgo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div>
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdFactorRiesgo" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblidFactor" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblEditarFactor %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="width: 233px; height: 23px; text-align: right;">
                        <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                            Height="22px" Width="125px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 23px;">
                    </td>
                    <td align="left" style="width: 322px; height: 23px;">
                        <asp:TextBox ID="txtTipoAuditoria" runat="server" Width="520px" Height="20px" MaxLength="90"
                            ReadOnly="true"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 233px; height: 23px; text-align: right;">
                        <asp:Label ID="lblFactor" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                            Height="22px" Width="125px"></asp:Label>
                        *
                    </td>
                    <td style="width: 8px; height: 23px;">
                    </td>
                    <td align="left" style="width: 322px; height: 23px;">
                        <asp:TextBox ID="txtFactor" runat="server" Width="520px" Height="20px" MaxLength="90"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtFactor">
                            <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvDescripcionFactor" runat="server" ControlToValidate="txtFactor">
                            <asp:Label ID="lblMaximoCaracterDescripcion" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="width: 233px; height: 40px; text-align: right;">
                        <asp:Label ID="lblDetalleFactor" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                            Height="24px" Width="144px"></asp:Label>
                    </td>
                    <td style="width: 8px; height: 40px;">
                    </td>
                    <td align="left" style="width: 322px; height: 40px;">
                        <asp:TextBox ID="txtDetalleFactor" runat="server" Width="520px" Height="125px" TextMode="MultiLine"
                            MaxLength="1000"></asp:TextBox>
                        <asp:CustomValidator ID="cvDetalleFactor" runat="server" ControlToValidate="txtDetalleFactor">
                            <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <table style="width: 784px">
                <tr>
                    <td style="height: 23px; text-align: right; width: 236px;">
                        <asp:Label ID="lblPonderacion" runat="server" Text="<%$ Resources:Idioma, lblPonderacion %>"
                            Height="21px" Width="137px"></asp:Label>
                        *
                    </td>
                    <td style="width: 13px; height: 23px;">
                    </td>
                    <td style="height: 23px; text-align: left;">
                        <asp:TextBox ID="txtPonderacion" runat="server" Width="200px" Height="20px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPonderacion" runat="server" ControlToValidate="txtPonderacion">
                            <asp:Label ID="lblPonderacionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblPonderacionObligatoria %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <asp:RangeValidator ID="rangetxtponderacion" runat="server" ErrorMessage="<%$ Resources:Idioma, lblRangoponderacion %>"
                            ControlToValidate="txtPonderacion" Type="Integer" MinimumValue="0" MaximumValue="100"
                            Display="Dynamic"></asp:RangeValidator>
                        <asp:RegularExpressionValidator ID="rvNumerosDuracionEstimada" runat="server" ControlToValidate="txtPonderacion"
                            Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                            ValidationExpression="\d+"></asp:RegularExpressionValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 23px; text-align: right; width: 236px;">
                        <asp:Label ID="lblTipoRespuesta" runat="server" Text="<%$ Resources:Idioma, lblTipoRespuesta %>"
                            Height="21px" Width="159px"></asp:Label>
                        *
                    </td>
                    <td style="width: 13px; height: 23px;">
                    </td>
                    <td style="height: 23px; text-align: left;">
                        <asp:RadioButtonList ID="rbtnTipoRespuesta" runat="server" RepeatDirection="Horizontal"
                            Height="16px" Width="200px">
                            <asp:ListItem Text="<%$ Resources:Idioma, lblUnica %>" Value="1"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources:Idioma, lblMultiple %>" Value="2"></asp:ListItem>
                        </asp:RadioButtonList>
                        <asp:RequiredFieldValidator ID="rfvTipoRespuesta" runat="server" ControlToValidate="rbtnTipoRespuesta">
                            <asp:Label ID="lblSeleccionTipoRespuesta" runat="server" Text="<%$ Resources:Idioma, lblSeleccionTipoRespuesta %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td align="center" colspan="3" style="height: 26px; width: 583px;">
                        <br />
                        &nbsp;<asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                            CausesValidation="true" />
                        &nbsp;&nbsp;
                        <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                            CausesValidation="false" />
                        &nbsp; &nbsp;&nbsp;<br />
                        &nbsp;&nbsp;
                        <br />
                    </td>
                </tr>
            </table>
        </div>
</asp:Content>
