﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarRespuestaFactor.aspx.vb" Inherits="AudiControl.EditarRespuestaFactor"
    Title="<%$ Resources:TituloPaginas, TitEditarRespuesta %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdFactorRiesgo" runat="server" Text="" Visible="False"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="False"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblEditarRespuestaFactor %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="lblDatos" runat="server" CssClass="subtitulo"></asp:Label>
        <br />
        <br />
        <asp:Label ID="lblExito" runat="server" Text="<%$ Resources:Idioma, lblExito %>"
            Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td style="width: 86px; height: 11px;">
                    &nbsp;
                    <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                        Height="17px" Style="margin-bottom: 0px" Width="66px"></asp:Label>
                    *<br />
                </td>
                <td style="width: 450px; height: 11px; text-align: left;">
                    <asp:TextBox ID="txtDescripcion" runat="server" Width="445px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion">
                        <asp:Label ID="lblValidacionNombre" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator><br />
                </td>
            </tr>
            <tr>
                <td style="width: 86px; height: 11px;">
                    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    <asp:Label ID="lblPeso" runat="server" Text="<%$ Resources:Idioma, lblPeso %>" Height="16px"
                        Width="30px"></asp:Label>*&nbsp;
                </td>
                <td style="width: 450px; height: 11px; text-align: left;">
                    <asp:TextBox ID="txtPeso" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvPesoRta" runat="server" ControlToValidate="txtPeso">
                        <asp:Label ID="lblValidacionPeso" runat="server" Text="<%$ Resources:Idioma, lblPesoObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
            </tr>
        </table>
        <br />
        <div>
            <asp:Button ID="btnAgregar" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnAceptar%>" />
            &nbsp;&nbsp; &nbsp;
            <br />
            <br />
        </div>
    </div>
</asp:Content>
