﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTrabajosPlanAnual.aspx.vb" Inherits="AudiControl.ListarTrabajosPlanAnual"
    Title="<%$ Resources:TituloPaginas, TitProgramacionPorEntidad %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresaAuditada" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblProgramacionVistasEntidad %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <br />
    </div>
    <div class="alineacionIzquierda">
        <table>
            <tr>
                <td class="alineacionIzquierda">
                    <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <br />
    <div align="center">
        <asp:GridView ID="gvTrabajos" runat="server" AutoGenerateColumns="false" AllowPaging="True"
            PageSize="15">
            <Columns>
                <asp:BoundField DataField="idTrabajoAudCandidato" SortExpression="idTrabajoAudCandidato"
                    HeaderText="<%$ Resources:Idioma, lblTrabajo %>" ItemStyle-Width="10px" Visible="false" />
                <asp:BoundField DataField="nombreTrabajo" SortExpression="nombreTrabajo" HeaderText="<%$ Resources:Idioma, lblTrabajo %>"
                    ItemStyle-Width="200px" ItemStyle-Font-Bold="True" ItemStyle-Font-Italic="True" />
                <asp:BoundField DataField="alcance" SortExpression="alcance" HeaderText="<%$ Resources:Idioma, lblAlcance %>"
                    ItemStyle-Width="250px" />
                <asp:BoundField DataField="duracionEstimada" SortExpression="duracionEstimada" HeaderText="<%$ Resources:Idioma, lblDurEstimada %>"
                    ItemStyle-Width="250px" />
                <asp:BoundField DataField="cantidadAuditores" SortExpression="cantidadAuditores"
                    HeaderText="<%$ Resources:Idioma, lblCantAuditores %>" ItemStyle-Width="100px" />
                <asp:BoundField DataField="costosPersonal" SortExpression="costosPersonal" HeaderText="<%$ Resources:Idioma, lblCostosEst %>"
                    ItemStyle-Width="100px" />
                <asp:BoundField DataField="fechaInicio" SortExpression="fechaInicio" HeaderText="<%$ Resources:Idioma, lblFechaInicio %>"
                    ItemStyle-Width="100px" />
                <asp:BoundField DataField="fechaFin" SortExpression="fechaFin" HeaderText="<%$ Resources:Idioma, lblFechaFin %>"
                    ItemStyle-Width="100px" />
                <asp:BoundField DataField="responsable" SortExpression="responsable" HeaderText="<%$ Resources:Idioma, lblResponsable %>"
                    ItemStyle-Width="200px" />
                <asp:BoundField DataField="auditores" SortExpression="auditores" HeaderText="<%$ Resources:Idioma, lblAuditores %>"
                    ItemStyle-Width="200px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkProgramar" runat="server" CommandName="VER" CommandArgument='<%# Eval("idTrabajoAudCandidato")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblProgramar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
            CausesValidation="false" />
        &nbsp;
    </div>
</asp:Content>
