﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ProgramacionGeneraPlanEmpresa.aspx.vb" Inherits="AudiControl.ProgramacionGeneraPlanEmpresa"
    Title="<%$ Resources:Menu, m0402010304 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblProgramacionVisitas" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402010304 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <br />
            <asp:GridView ID="gvEmpresas" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idEmpresa" SortExpression="idEmpresa" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="70px" />
                    <asp:BoundField DataField="nombreEmpresa" SortExpression="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblEmpresa %>"
                        ItemStyle-Width="350px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkProgramar" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEmpresa")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblProgramar" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
        </div>
    </div>
</asp:Content>
