﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audEditarEmpresa.aspx.vb" Inherits="AudiControl.audEditarEmpresa"
    Title="<%$ Resources:TituloPaginas, TitEditarEmpresa %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdMetodo" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresaa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblEditarEmpresa" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoEmpresa%>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server" />
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <asp:Label ID="lblNombreRepetido" runat="server" Visible="False" CssClass="colorError"></asp:Label>
        <div>
            <table>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblNombreEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>*
                    </td>
                    <td style="width: 450px; height: 26px; text-align: left;">
                        <asp:TextBox ID="txtNombreEmpresa" runat="server" Width="398px" MaxLength="100"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNombreEmpresa" runat="server" ControlToValidate="txtNombreEmpresa">
                            <asp:Label ID="lblValidacionNombre" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvNombreEmpresa" runat="server" ControlToValidate="txtNombreEmpresa"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblDescripcionEmpresa" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                    </td>
                    <td style="width: 450px; height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionEmpresa" runat="server" Height="81px" TextMode="MultiLine"
                            Width="400px" MaxLength="250"></asp:TextBox>
                        <asp:CustomValidator ID="cvDescripcionEmpresa" runat="server" ControlToValidate="txtDescripcionEmpresa"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblFechaC" runat="server" Text="<%$ Resources:lblFechaC %>"></asp:Label>
                    </td>
                    <td style="width: 450px; height: 31px; text-align: left;">
                        <asp:TextBox ID="txtFechaC" runat="server" Width="168px" Height="16px" MaxLength="10"></asp:TextBox>
                        <asp:CustomValidator ID="cvValidadorFecha" runat="server" ControlToValidate="txtFechaC"
                            ErrorMessage="CustomValidator">
                            <asp:Label ID="lblFormatoFecha" runat="server" Text="<%$ Resources:Idioma, lblFormatoFechaNoValido %>"
                                Visible="false"></asp:Label>
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblDireccion" runat="server" Text="<%$ Resources:lblDireccion %>"></asp:Label>
                    </td>
                    <td style="width: 450px; height: 26px; text-align: left;">
                        <asp:TextBox ID="txtDireccion" runat="server" Width="168px" Height="16px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblTelefono" runat="server" Text="<%$ Resources:lblTelefono %>"></asp:Label>
                    </td>
                    <td style="width: 450px; height: 17px; text-align: left;">
                        <asp:TextBox ID="txtTelefono" runat="server" Width="168px" Height="16px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td style="width: 450px; height: 33px; text-align: left;">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="168px" Height="16px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 159px; height: 26px; text-align: right;">
                        <asp:Label ID="lblContacto" runat="server" Text="<%$ Resources:Idioma, lblContacto %>"></asp:Label>
                    </td>
                    <td style="width: 450px; height: 33px; text-align: left;">
                        <asp:TextBox ID="txtContacto" runat="server" Width="168px" Height="16px" MaxLength="120"></asp:TextBox>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div align="center">
        <table>
            <tr>
                <td style="width: 250px; height: 44px">
                    <asp:Label ID="lblTipoE" runat="server" Text="<%$ Resources: lblTipoE %>" Height="24px"></asp:Label>*&nbsp;<br />
                    &nbsp;
                    <asp:DropDownList ID="drpTipoE" runat="server" Width="130px" Height="20px">
                    </asp:DropDownList>
                </td>
                <td style="width: 250px; height: 44px">
                    <asp:Label ID="lblSectorE" runat="server" Text="<%$ Resources: lblSectorE %>" Height="24px"></asp:Label>
                    *&nbsp;
                    <asp:DropDownList ID="drpSectorE" runat="server" Width="130px" Height="20px">
                    </asp:DropDownList>
                    &nbsp;
                </td>
                <td style="width: 200px; height: 44px">
                    &nbsp;&nbsp;
                </td>
            </tr>
            <tr>
                <td style="height: 23px; width: 250px;">
                    <asp:RequiredFieldValidator ID="rvfTipoE" runat="server" ControlToValidate="drpTipoE"
                        ErrorMessage="<%$ Resources: lblValidacionSE %>">
                    </asp:RequiredFieldValidator>
                </td>
                <td style="height: 23px; width: 250px;">
                    <asp:RequiredFieldValidator ID="rfvSectorE" runat="server" ControlToValidate="drpSectorE"
                        ErrorMessage="<%$ Resources: lblValidacionSE %>">
                    </asp:RequiredFieldValidator>
                </td>
                <td style="height: 23px; width: 250px;">
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td style="width: 250px">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td align="center" colspan="3" style="height: 30px">
                    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />&nbsp;&nbsp;
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
