﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarControl.aspx.vb" Inherits="AudiControl.EditarControl" Title="<%$ Resources:TituloPaginas, TitEditarControl %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div style="text-align: center">
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdControl" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblFecha" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdEstudioAmenazaEscenario" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblPasoCuatroUno" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdAccionTratamiento" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblMensajeCambio" Text="<%$ Resources:Idioma, msgModificaControl %>"
            runat="server" Style="display: none"></asp:Label>
        <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgAgregaControl %>" runat="server"
            Style="display: none"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblEditarControl" runat="server" Text="<%$ Resources:TituloPasos, lblEditarControl %>"></asp:Label></div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
        &nbsp;<asp:Label ID="lblControlExisteevaluado" runat="server" Visible="False" CssClass="colorError "></asp:Label>
        <br />
    </div>
    <div align="center">
        <table>
            <tr>
                <td style="width: 233px; height: 23px; text-align: right;">
                    <asp:Label ID="lblControl" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                        Height="22px" Width="125px"></asp:Label>
                    *
                </td>
                <td style="width: 8px; height: 23px;">
                </td>
                <td align="left" style="width: 322px; height: 23px;">
                    <asp:TextBox ID="txtControl" runat="server" Width="520px" Height="20px" MaxLength="400"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtControl">
                        <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cvDescripcionControl" runat="server" ControlToValidate="txtControl">
                        <asp:Label ID="lblMaximoCaracterDescripcion" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 233px; height: 40px; text-align: right;">
                    <asp:Label ID="lblDetalleControl" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                        Height="24px" Width="144px"></asp:Label>
                    *
                </td>
                <td style="width: 8px; height: 40px;">
                </td>
                <td align="left" style="width: 322px; height: 40px;">
                    <asp:TextBox ID="txtDetalleControl" runat="server" Width="520px" Height="125px" TextMode="MultiLine"
                        MaxLength="3000"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvDetalleControl" runat="server" ControlToValidate="txtDetalleControl">
                        <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cvDetalleControl" runat="server" ControlToValidate="txtDetalleControl">
                        <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
        </table>
        <div>
            <table>
                <tr>
                    <td style="height: 23px; text-align: right;">
                        <asp:Label ID="lblTipoControl" runat="server" Text="<%$ Resources:Idioma, lblTipoControl %>"
                            Height="21px" Width="198px"></asp:Label>&nbsp;*
                    </td>
                    <td style="width: 13px; height: 23px;">
                    </td>
                    <td style="height: 23px; text-align: left;">
                        <asp:DropDownList ID="drpTipoControl" runat="server">
                        </asp:DropDownList>
                        <asp:RequiredFieldValidator ID="rfvTipoControl" runat="server" ControlToValidate="drpTipoControl">
                            <asp:Label ID="lblTipoControlObligatorio" runat="server" Text="<%$ Resources: lblTipoControl %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 23px; text-align: right;">
                        <asp:Label ID="lblClaseControl" runat="server" Text="<%$ Resources:Idioma, lblClaseControl %>"
                            Height="21px" Width="188px"></asp:Label>&nbsp;*
                    </td>
                    <td style="width: 13px; height: 23px;">
                    </td>
                    <td style="height: 23px; text-align: left;">
                        <asp:DropDownList ID="drpClaseControl" runat="server">
                        </asp:DropDownList>
                        <asp:RequiredFieldValidator ID="rfvClaseControl" runat="server" ControlToValidate="drpClaseControl">
                            <asp:Label ID="lblClasControl" runat="server" Text="<%$ Resources: lblClaseControl %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 23px; text-align: right;">
                        <asp:Label ID="lblEfectividad" runat="server" Text="<%$ Resources:Idioma, lblEfectividadControl %>"
                            Height="21px" Width="212px"></asp:Label>&nbsp;*
                    </td>
                    <td style="width: 13px; height: 23px;">
                    </td>
                    <td style="height: 23px; text-align: left;">
                        <asp:DropDownList ID="drpEfectividadControl" runat="server">
                        </asp:DropDownList>
                        <asp:RequiredFieldValidator ID="rfvEfectividadControl" runat="server" ControlToValidate="drpEfectividadControl">
                            <asp:Label ID="lblEfectividadObligatorio" runat="server" Text="<%$ Resources: lblEfectividadControl %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 23px; text-align: right;">
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, lblCodigo %>"></asp:Label>
                    </td>
                    <td>
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="159px" MaxLength="30"></asp:TextBox>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarControl" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;" />&nbsp;
            <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeCambio').innerHTML)) return false;" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtroControl" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
