﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarCostoControles.aspx.vb" Inherits="AudiControl.EditarCostoControles"
    Title="<%$ Resources:TituloPaginas, TitEditarCostoControl %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdFactorCostoControl" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="alineacionIzquierda">
            <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblCostoUno %>"
                CssClass="ruta"></asp:Label>
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblMantenimientoCostoControles" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoCostoControles %>"></asp:Label></div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" CssClass="colorExito " Visible="False"></asp:Label>
    </div>
    <br />
    <div align="center">
        <table>
            <tr>
                <td style="width: 274px; height: 44px; text-align: right;">
                    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;
                    <asp:Label ID="lblCosto" runat="server" Text="<%$ Resources:Idioma, lblCosto %>"
                        CssClass="subtitulo "></asp:Label>
                </td>
                <td style="width: 390px; height: 44px; text-align: left;">
                    &nbsp;<asp:Label ID="lblSignificadoCosto" runat="server" Width="220px" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="width: 274px; height: 24px; text-align: right;">
                    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    &nbsp;
                    <asp:Label ID="lblValorInicial" runat="server" Text="<%$ Resources:Idioma, lblValorInicial %>"></asp:Label>
                    *<br />
                    <br />
                </td>
                <td style="width: 390px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtValorInicial" runat="server" Width="144px" MaxLength="15"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvValorInicial" runat="server" ControlToValidate="txtValorInicial">
                        <asp:Label ID="lblValorInicialObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValorInicialObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                    <asp:CustomValidator ID="cvValorInicial" runat="server" ControlToValidate="txtValorInicial"></asp:CustomValidator>
                    <br />
                </td>
            </tr>
            <tr>
                <td style="width: 274px; height: 24px; text-align: right;">
                    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    &nbsp;&nbsp; &nbsp;
                    <asp:Label ID="lblValorFinal" runat="server" Text="<%$ Resources:Idioma, lblValorFinal %>">
                    </asp:Label>*<br />
                    <br />
                </td>
                <td style="width: 390px; height: 26px; text-align: left;">
                    <asp:TextBox ID="txtValorFinal" runat="server" Width="144px" MaxLength="15"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvValorFinal" runat="server" ControlToValidate="txtValorFinal"
                        Height="24px">
                        <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblValorFinalObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                    <asp:CustomValidator ID="cvValorFinal" runat="server" ControlToValidate="txtValorFinal"></asp:CustomValidator>
                    <br />
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2" style="height: 60px">
                    <br />
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                        CausesValidation="false" />
                    &nbsp;
                    <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                        CausesValidation="false" />
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
