<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarEmpresa.aspx.vb" Inherits="AudiControl.EditarEmpresa" Title="<%$ Resources:TituloPaginas, TitEditarEmpresa %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
            &nbsp;<asp:Label ID="lblEmpresa" runat="server"></asp:Label></div>
        <asp:MultiView ActiveViewIndex="0" ID="mwEditarEmpresa" runat="server">
            <asp:View ID="vwEmpresa" runat="server">
                <div class="header">
                    <asp:Label ID="lblEditarEmpresa" runat="server" Text="<%$ Resources:TituloPasos, lblEditarEmpresa%>"></asp:Label></div>
                <br />
                <div align="center">
                    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server" />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <asp:Label ID="lblMensaje" runat="server" CssClass="colorExito" Text="<%$ Resources: lblMensaje %>"></asp:Label>
                    <br />
                    <div>
                        <table>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    &nbsp;
                                </td>
                                <td style="width: 450px; height: 26px; text-align: left;">
                                    <asp:Label ID="lblErrorCargueArchivos" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    <asp:Label ID="lblNombreEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                                    &nbsp;*
                                </td>
                                <td style="width: 450px; height: 26px; text-align: left;">
                                    <asp:TextBox ID="txtNombreEmpresa" runat="server" Height="21px" MaxLength="100" Width="398px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvNombreEmpresa" runat="server" ControlToValidate="txtNombreEmpresa">
                                        <asp:Label ID="lblValidacionNombre" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                                    </asp:RequiredFieldValidator>
                                    <asp:CustomValidator ID="cvNombreEmpresa" runat="server" ControlToValidate="txtNombreEmpresa">
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    <asp:Label ID="lblDescripcionEmpresa" runat="server" Text="<%$ Resources:Idioma, ActividadEmpresa %>"></asp:Label>
                                    &nbsp;*
                                </td>
                                <td style="width: 450px; height: 24px; text-align: left;">
                                    <asp:TextBox ID="txtDescripcionEmpresa" runat="server" Height="81px" TextMode="MultiLine"
                                        Width="400px" MaxLength="250"></asp:TextBox>
                                    <asp:CustomValidator ID="cvDescripcionEmpresa" runat="server" ControlToValidate="txtDescripcionEmpresa">
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    <asp:Label ID="lblFechaC" runat="server" Text="<%$ Resources:lblFechaC %>"></asp:Label>
                                </td>
                                <td style="width: 450px; height: 31px; text-align: left;">
                                    <asp:TextBox ID="txtFechaC" runat="server" Width="168px" MaxLength="10" Height="21px"></asp:TextBox>
                                     <asp:CustomValidator ID="cvFechaC" runat="server" ControlToValidate="txtFechaC">
                                    </asp:CustomValidator>
                                    <asp:CustomValidator ID="cvValidadorFecha" runat="server" ControlToValidate="txtFechaC"
                                        ErrorMessage="CustomValidator">
                                        <asp:Label ID="lblFormatoFecha" runat="server" Text="<%$ Resources:Idioma, lblFormatoFechaNoValido %>"
                                            Visible="false"></asp:Label>
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    <asp:Label ID="lblDireccion" runat="server" Text="<%$ Resources:lblDireccion %>"></asp:Label>&nbsp;*
                                </td>
                                <td style="width: 450px; height: 26px; text-align: left;">
                                    <asp:TextBox ID="txtDireccion" runat="server" Width="323px" Height="21px" MaxLength="30"></asp:TextBox>
                                    <asp:CustomValidator ID="cvDireccion" runat="server" ControlToValidate="txtDireccion">
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right">
                                    <asp:Label ID="lblCiudad" Text="<%$ Resources: Idioma, lblCiudad %>" runat="server"></asp:Label>
                                </td>
                                <td style="text-align: left">
                                    <asp:TextBox ID="txtCiudad" MaxLength="150" runat="server" Width="167px" Height="21px"></asp:TextBox>
                                     <asp:CustomValidator ID="cvCiudad" runat="server" ControlToValidate="txtCiudad">
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    <asp:Label ID="lblTelefono" runat="server" Text="<%$ Resources:lblTelefono %>"></asp:Label>
                                </td>
                                <td style="width: 450px; height: 17px; text-align: left;">
                                    <asp:TextBox ID="txtTelefono" runat="server" Width="168px" Height="21px" MaxLength="20"></asp:TextBox>
                                     <asp:CustomValidator ID="cvTelefono" runat="server" ControlToValidate="txtTelefono">
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" style="width: 159px; height: 26px; text-align: right;">
                                    <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, ArchivoLogo %>"></asp:Label>
                                </td>
                                <td style="width: 450px; height: 33px; text-align: left;">
                                    <asp:Label ID="lblLogoActual" runat="server" CssClass="colorError" Style="font-size: small"
                                        Visible="false"></asp:Label>
                                    <asp:Label ID="lblNombreLogo" runat="server" CssClass="colorError" Style="font-size: small"></asp:Label>
                                    <br />
                                    <asp:FileUpload ID="fuLogo" runat="server" Width="236px" Height="21px" />
                                    <asp:Label ID="lblErrorArchivo" runat="server" CssClass="colorError" Style="font-size: small"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right">
                                    <asp:Label ID="lblContacto" Text="<%$ Resources: Idioma, lblContacto %>" runat="server"></asp:Label>
                                </td>
                                <td style="text-align: left">
                                    <asp:GridView ID="gvContacto" runat="server" AutoGenerateColumns="false" DataKeyNames="idEmpresa"
                                        Width="500px">
                                        <Columns>
                                            <asp:BoundField DataField="idContacto" HeaderText="<%$ Resources:Idioma, lblid %>" />
                                            <asp:BoundField DataField="nombreContacto" HeaderText="<%$ Resources: Idioma, lblNombre %>" />
                                            <asp:BoundField DataField="telefonos" HeaderText="<%$ Resources:Idioma, lblTelefonos %>" />
                                            <asp:BoundField DataField="cargo" HeaderText="<%$ Resources:Idioma, lblCargo %>" />
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                                <ItemTemplate>
                                                    <div style="text-align: center">
                                                        <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idContacto") %>'
                                                            CommandName="EDITAR">
                                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                                        </asp:LinkButton>
                                                        <asp:LinkButton ID="lnkEliminar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idContacto") %>'
                                                            CommandName="ELIMINAR">
                                                            <asp:Label ID="LblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label>
                                                        </asp:LinkButton>
                                                    </div>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:BoundField DataField="idEmpresa" Visible="false" />
                                        </Columns>
                                    </asp:GridView>
                                    <asp:Button ID="btnAdicionar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />
                                    <br />
                                </td>
                            </tr>
                        </table>
                    </div>
                    <table>
                        <tr>
                            <td style="width: 250px; height: 44px">
                                <asp:Label ID="lblTipoE" runat="server" Text="<%$ Resources: lblTipoE %>" Height="24px"></asp:Label>
                                &nbsp;<br />
                                &nbsp;<asp:DropDownList ID="drpTipoE" runat="server" Width="130px" Height="20px">
                                </asp:DropDownList>
                            </td>
                            <td style="width: 250px; height: 44px">
                                <asp:Label ID="lblSectorE" runat="server" Text="<%$ Resources: lblSectorE %>" Height="24px"></asp:Label>
                                &nbsp;
                                <asp:DropDownList ID="drpSectorE" runat="server" Width="130px" Height="20px">
                                </asp:DropDownList>
                                &nbsp;
                            </td>
                            <td style="width: 200px; height: 44px">
                                <asp:Label ID="lblMetodo" runat="server" Text="<%$ Resources: Idioma, lblMetodo %>"
                                    Height="24px"></asp:Label>
                                *&nbsp;
                                <asp:DropDownList ID="drpMetodo" runat="server" Width="130px" Height="20px">
                                </asp:DropDownList>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 23px; width: 250px;">
                                <asp:RequiredFieldValidator ID="rvfTipoE" runat="server" ControlToValidate="drpTipoE"
                                    ErrorMessage="<%$ Resources: lblValidacionSE %>">
                                </asp:RequiredFieldValidator>
                            </td>
                            <td style="height: 23px; width: 250px;">
                                <asp:RequiredFieldValidator ID="rfvSectorE" runat="server" ControlToValidate="drpSectorE"
                                    ErrorMessage="<%$ Resources: lblValidacionTE %>">
                                </asp:RequiredFieldValidator>
                            </td>
                            <td style="height: 23px; width: 250px;">
                                <asp:RequiredFieldValidator ID="rfvMetodo" runat="server" ControlToValidate="drpMetodo"
                                    ErrorMessage="<%$ Resources: lblValidacionMetodo %>">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Button ID="btnAdicionarTE" runat="server" Text="<%$ Resources: btnAdicionarTE %>"
                                    CausesValidation="false" Width="144px" />
                            </td>
                            <td style="width: 250px">
                                <asp:Button ID="btnVerSE" runat="server" Text="<%$ Resources: btnVerSE %>" CausesValidation="false"
                                    Width="172px" />
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="3" style="height: 30px">
                                &nbsp;
                                <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
                                    CausesValidation="true" />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblTituloContacto" Text="<%$ Resources: Idioma, btnMantenimientoContacto %>"
                        runat="server"></asp:Label>
                </div>
                <div align="center">
                    <table>
                        <tr>
                            <td colspan="2">
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblIdContacto" Text="<%$ Resources: idioma, lblId %>" runat="server"></asp:Label>
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtIdContacto" runat="server" ReadOnly="true" Height="21px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblNombreContacto" Text="<%$ Resources: NombreContacto %>" runat="server"></asp:Label>&nbsp;*
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtNombreContacto" runat="server" Height="21px" Width="312px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rvNombreContacto" runat="server" ErrorMessage="<%$ Resources: lblValidacionContacto %>"
                                    ControlToValidate="txtNombreContacto">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblCargoContacto" Text="<%$ Resources: Idioma, lblCargo %>" runat="server"></asp:Label>
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtCargoContacto" runat="server" Height="21px" Width="312px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblTelContacto" Text="<%$ Resources: Idioma, lblTelefonos %>" runat="server"></asp:Label>
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtTelContacto" runat="server" Height="21px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <br />
                                <asp:Button ID="btnAceptar" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>" /><br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
