<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/encabezadoAudap.Master"
    CodeBehind="EditarFrecuenciaAmenaza.aspx.vb" Inherits="AudiControl.EditarFrecuenciaAmenaza"
    Title="<%$ Resources:TituloPaginas, TitEditarFrecuenciaAmenaza %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdFrecuencia" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdProbabilidad" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdDescripcion" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdMetodo" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblEditarFrecuenciaOcurrecncia" runat="server" Text="<%$ Resources:TituloPasos, lblEditarFrecuenciaOcurrecncia %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExitoFrecuencia" runat="server" CssClass="colorExito " Visible="False"></asp:Label>
            <br />
            <table>
                <tr>
                    <td align="right" style="text-align: right;">
                        <asp:Label ID="lblMetodo" runat="server" Text="<%$ Resources:Idioma, lblMetodo %>"
                            Height="24px" CssClass="subtitulo "></asp:Label>
                    </td>
                    <td style="width: 8px">
                    </td>
                    <td align="left" style="text-align: left;">
                        <asp:Label ID="lblMetodoE" runat="server" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="text-align: right;">
                        <asp:Label ID="lblProb" runat="server" Text="<%$ Resources:Idioma, lblProbabilidad %>"
                            Height="24px" CssClass="subtituloSegundoNivel"></asp:Label>
                    </td>
                    <td style="width: 8px">
                    </td>
                    <td align="left" style="text-align: left;">
                        <asp:Label ID="lblProbabilidad" runat="server" CssClass="subtituloSegundoNivel"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <table>
                <tr>
                    <td align="right" style="text-align: right;">
                        <asp:Label ID="lblNumeroVeces" runat="server" Text="<%$ Resources:Idioma, lblNumero %>"></asp:Label>
                        *
                    </td>
                    <td style="width: 5px">
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtNumeroVeces" runat="server" MaxLength="20"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNumeroVeces" runat="server" ControlToValidate="txtNumeroVeces">
                            <asp:Label ID="lblValidacionVecesAno" runat="server" Text="<%$ Resources:Idioma, lblValidacionVecesAno %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvNumeroVeces" runat="server" ControlToValidate="txtNumeroVeces">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="text-align: right;">
                        <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        &nbsp;*
                    </td>
                    <td style="width: 5px; height: 26px;">
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtDescripcion" runat="server" Width="296px" MaxLength="255"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion">
                            <asp:Label ID="lblValidacionNombre" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvDescripcion" runat="server" ControlToValidate="txtDescripcion">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="3" style="height: 62px">
                        &nbsp;<asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                            CausesValidation="true" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
