<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarMacroproceso.aspx.vb" Inherits="AudiControl.EditarMacroproceso"
    Title="<%$ Resources:TituloPaginas, TitEditarMacroproceso %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdMacroproceso" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoMacroproceso" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblDeficionMacroprocesos" runat="server" Text="<%$ Resources:TituloPasos, lblDeficionMacroprocesos %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="height: 21px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp;
                        <asp:Label ID="lblDescripcionMacroproceso" runat="server" Height="20px" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                        *<br />
                        <br />
                    </td>
                    <td style="height: 21px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionMacroproceso" Height="20px" runat="server" Width="395px"
                            MaxLength="100"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionMacroproceso" runat="server" ControlToValidate="txtDescripcionMacroproceso"
                            Height="16px" Width="394px">
                            <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvNombreMacroproceso" runat="server" ControlToValidate="txtDescripcionMacroproceso">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp;&nbsp;
                        &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblDetalleMacroproceso" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDetalleMacroproceso" runat="server" Height="81px" TextMode="MultiLine"
                            Width="400px" MaxLength="500"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvDetalleMacroproceso" runat="server" ControlToValidate="txtDetalleMacroproceso">
                        </asp:CustomValidator>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDetalleMacroproceso" runat="server" ControlToValidate="txtDetalleMacroproceso"
                            Height="16px" Width="399px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblObjetivo" runat="server" Text="<%$ Resources: lblObjetivo %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtObjetivo" runat="server" Height="20px" Width="395px" MaxLength="200"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvObjetivo" runat="server" ControlToValidate="txtObjetivo">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblResponsable" runat="server" Text="<%$ Resources: lblResponsable %>"></asp:Label>
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtResponsable" runat="server" Height="20px" Width="395px" MaxLength="150"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvResponsable" runat="server" ControlToValidate="txtResponsable">
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarMacroproceso" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtroMacro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
