﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarRespuesta.aspx.vb" Inherits="AudiControl.EditarRespuesta" Title="<%$ Resources:TituloPaginas, TitEditarRespuesta %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblBCP" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblidRespuesta" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div align="center">
        <div class="header" style="text-align: center">
            <asp:Label ID="lblEditarParametrosMonitoreo" runat="server" Text="<%$ Resources:Menu, m0403030106 %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblCheck" runat="server" Text="<%$ Resources:Idioma, lblCheckAutoaseguramiento %>"
                        CssClass="subtitulo"></asp:Label>
                    <br />
                    <br />
                    <asp:GridView ID="gvRespuesta" runat="server" AutoGenerateColumns="False">
                        <Columns>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px" HeaderText="<%$ Resources:Idioma, lblCalificacion %>">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdRespuesta" runat="server" Text='<%# Eval("idRespuesta") %>' Visible="false"></asp:Label>
                                    <asp:Label ID="lblIdRespuestaEmpresa" runat="server" Text='<%# Eval("idRespuestaEmpresa") %>'
                                        Visible="false"></asp:Label>
                                    <asp:Label ID="lblCalificacion" runat="server" Text='<%# Eval("valorRespuesta") %>'
                                        Width="20px"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="140px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdDescripcion" runat="server" Text='<%# Eval("idDescripcion") %>'
                                        Visible="false"></asp:Label>
                                    <asp:TextBox ID="txtTextoRespuesta" BorderWidth="1px" runat="server" Text='<%# Eval("descripcion") %>'
                                        BorderColor="#CCCCCC" Width="120px"></asp:TextBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdDescripcionA" runat="server" Text='<%# Eval("idDescripcionA") %>'
                                        Visible="false"></asp:Label>
                                    <asp:TextBox ID="txtAbreviaturaR" BorderWidth="1px" runat="server" Text='<%# Eval("descripcionA") %>'
                                        BorderColor="#CCCCCC" Width="50px"></asp:TextBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
        <br />
        <br />
    </div>
</asp:Content>
