﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarObjetivoControl.aspx.vb" Inherits="AudiControl.ListarObjetivoControl"
    Title="<%$ Resources:TituloPaginas, TitObjetivo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div>
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaObjetivoControl %>"
            runat="server" Style="display: none"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoObjetivosControl" runat="server" Text="<%$ Resources:Menu, m0403020205 %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <div align="center">
            <div style="text-align: center">
                <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            </div>
            <asp:Label ID="lblNoObjControl" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
            <br />
            <asp:GridView ID="gvListaObjetivoControl" runat="server" AutoGenerateColumns="false"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="70px" />
                    <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                        HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="450px" />
                    <asp:BoundField DataField="descripcionModelo" SortExpression="descripcionModelo"
                        HeaderText="<%$ Resources:Idioma, lblModelo %>" ItemStyle-Width="110px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idObjetivo")%>'
                                    CausesValidation="false">
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                &nbsp;&nbsp;
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idObjetivo")%>'
                                    CausesValidation="false">
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td style="text-align: center">
                        <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                        <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombre"></asp:ListItem>
                        </asp:RadioButtonList>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                            <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                    </td>
                    <td style="text-align: center">
                        <br />
                        <asp:TextBox ID="txtCriterio" runat="server" />
                        <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                            CausesValidation="true" />
                        <br />
                        <br />
                    </td>
                    <td style="text-align: center;">
                        &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
                        <asp:Button ID="btnAgregarObjControl" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                            CausesValidation="False" />&nbsp;
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        &nbsp; &nbsp;
                        <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>"
                            CausesValidation="False" Width="85px" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
