﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarOficinas.aspx.vb" Inherits="AudiControl.ListarOficinas" Title="<%$ Resources:TituloPaginas, TitOficina %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdArea" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAccionTratamiento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaOficina %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoOficinas" runat="server" Text="<%$ Resources:TituloPasos, lblListadoOficinas %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblArea" runat="server" Text="<%$ Resources:Idioma, lblArea %>" CssClass="subtitulo "></asp:Label>&nbsp;<asp:Label
            ID="lblNombreArea" runat="server" CssClass="subtitulo "></asp:Label><br />
        <br />
    </div>
    <div align="center">
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError "></asp:Label>
        <asp:Label ID="lblNoOficina" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
        <asp:GridView ID="gvListaOficina" runat="server" AutoGenerateColumns="false" AllowPaging="True"
            PageSize="15">
            <Columns>
                <asp:BoundField DataField="idOficina" SortExpression="idOficina" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="70px" />
                <asp:BoundField DataField="nombreOficina" SortExpression="nombreOficina" HeaderText="<%$ Resources:Idioma, lblOficina %>"
                    ItemStyle-Width="350px" />
                <asp:BoundField DataField="nombreZona" SortExpression="nombreZona" HeaderText="<%$ Resources:Idioma, lblNombreZona %>"
                    ItemStyle-Width="180px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="170px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idOficina")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idOficina")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <div>
            <table>
                <tr>
                    <td style="width: 154px">
                        <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label><br />
                        <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                            Height="20px">
                            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombre"></asp:ListItem>
                        </asp:RadioButtonList>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                            <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                    <td>
                        <br />
                        <asp:TextBox ID="txtCriterio" runat="server" />
                        &nbsp;&nbsp;<asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                            CausesValidation="true" />
                        <br />
                        <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                            <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                    <td style="text-align: center;">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Button ID="btnReporte" runat="server"
                            Text="<%$ Resources:Idioma, btnReporte %>" CausesValidation="False" />
                        &nbsp;
                        <asp:Button ID="btnAgregarOficina" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                            CausesValidation="false" />
                        &nbsp;
                        <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>"
                            CausesValidation="False" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
