﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="UsuarioEmpresa.aspx.vb" Inherits="AudiControl.UsuarioEmpresa" Title="<%$ Resources:TituloPaginas, TitUsuarioEmpresa %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdUsuario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPerfil" runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:lblEmpresa %>"></asp:Label>
    </div>
    <div align="center">
        <asp:MultiView ID="mvUsuarioEmpresa" ActiveViewIndex="0" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div class="header">
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources: lblEmpresa %>"></asp:Label>
                    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources: msgEliminaUsuario %>" runat="server"
                        Style="display: none"></asp:Label>
                </div>
                <br />
                <div style="text-align: right">
                    <asp:Label ID="lblError" Text="<%$ Resources: errRepetido %>" CssClass="colorError"
                        runat="server" Width="350px" Visible="false"></asp:Label>
                </div>
                <asp:Label ID="lblCodigoUsuario" runat="server" Style="display: none"></asp:Label>
                <asp:Label ID="lblUsuario" runat="server" Text="<%$ Resources:lblUsuario %>" CssClass="subtituloTercerNivel"></asp:Label>&nbsp;
                <asp:Label ID="lblNombreUsuario" runat="server" CssClass="subtituloTercerNivel"></asp:Label>
                <br />
                <br />
                <asp:GridView ID="gvListaEmpresa" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                    PageSize="15" DataKeyNames="idUsuario,idEmpresa,idPerfil" Width="600px">
                    <Columns>
                        <asp:BoundField DataField="idEmpresa" SortExpression="idEmpresa" HeaderText="<%$ Resources:Idioma, lblId %>" />
                        <asp:BoundField DataField="nombreEmpresa" SortExpression="nombreEmpresa" HeaderText="<%$ Resources: lblNombreEmpresa %>" />
                        <asp:BoundField DataField="nombrePerfil" SortExpression="nombrePerfil" HeaderText="<%$ Resources: Perfil %>" />
                        <asp:CheckBoxField DataField="activo" HeaderText="<%$ Resources: Idioma, lblActivo %>"
                            runat="server" />
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px"
                            Visible="false">
                            <ItemTemplate>
                                <div style="text-align: center">
                                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument="<%# Container.DataItemIndex %>">
                                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources: VerPerfil %>"></asp:Label>
                                    </asp:LinkButton>
                                    <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                        runat="server" CommandName="ELIMINAR" CommandArgument="<%# Container.DataItemIndex %>"
                                        Visible="false">
                                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton></div>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="idUsuario" Visible="false" />
                        <asp:BoundField DataField="idEmpresa" Visible="false" />
                        <asp:BoundField DataField="idPerfil" Visible="false" />
                    </Columns>
                </asp:GridView>
                <br />
                <asp:Button ID="btnAgregarEmpresa" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                    CausesValidation="true" Width="100px" />
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div class="header">
                    <asp:Label ID="lblMantenimiento" runat="server" Text="<%$ Resources: Mantenimiento %>"></asp:Label>
                    <uc1:UCErroresLogicaNegocio ID="UCErroresLogicaNegocio1" runat="server"></uc1:UCErroresLogicaNegocio>
                </div>
                <br />
                <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label><br />
                <br />
                <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources: Usuario %>"
                    CssClass="subtituloTercerNivel"></asp:Label>&nbsp;
                <asp:Label ID="lblUsuarioActual" runat="server" CssClass="subtituloTercerNivel"></asp:Label>
                <div style="text-align: center; width: 70%">
                    <table>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblEtiquetaUsuario" runat="server" Text="<%$ Resources: lblUsuario %>"></asp:Label>
                            </td>
                            <td style="text-align: left; vertical-align: top">
                                <asp:Label ID="lblLogin" runat="server"></asp:Label><br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right; vertical-align: top">
                                <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources: lblNombreEmpresa %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td style="text-align: left;" valign="top">
                                <asp:DropDownList ID="drpEmpresa" runat="server">
                                </asp:DropDownList>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvEmpresa" runat="server" ControlToValidate="drpEmpresa"
                                    Width="400px" Height="16px">
                                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblDetalle" runat="server" Text="<%$ Resources: Perfil %>"></asp:Label>&nbsp;*
                            </td>
                            <td style="text-align: left">
                                <asp:DropDownList ID="drpPerfil" runat="server">
                                </asp:DropDownList>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvPerfil" runat="server" ControlToValidate="drpPerfil"
                                    Width="400px" Height="16px">
                                    <asp:Label ID="lblPerfilObligatorio" runat="server" Text="<%$ Resources: ValidacionPerfil %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: center; height: 60px">
                                <br />
                                <asp:Button ID="btnGuarda" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                                    CausesValidation="true" />&nbsp;
                                <asp:Button ID="btnDeshace" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                                    CausesValidation="false" />
                                <br />
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
