﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="DistribucionDeControlesEnObjetivos.aspx.vb" Inherits="AudiControl.DistribucionDeControlesEnObjetivos"
    Title="<%$ Resources:TituloPaginas, TitDistribucionControlesObjetivos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblDistribucionControlesEnObjetivos" runat="server" Text="<%$ Resources:TituloPasos, lblDistribucionControlesEnObjetivos %>"></asp:Label>
    </div>
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblSeleccionUnEscenario" runat="server" Text="<%$ Resources:Idioma,lblSeleccionUnEscenario %>"
            CssClass="subtitulo"></asp:Label>
        <br />
        <br />
        <asp:DropDownList ID="drpEscenarios" runat="server" Width="500px" AutoPostBack="true">
        </asp:DropDownList>
        <br />
        <br />
        <asp:Label ID="lblObjetivos" runat="server" Text="<%$ Resources:Idioma,lblObjetivosControl %>"
            Visible="false" CssClass="subtitulo"></asp:Label>
        <br />
        <br />
        <asp:GridView ID="gvListaobjetivos" runat="server" AutoGenerateColumns="false" Visible="false"
            Width="670px">
            <Columns>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                    <ItemTemplate>
                        <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                        <asp:CheckBox ID="chkObjetivo" runat="server" OnCheckedChanged="chkSeleccionarObjetivo_CheckedChanged"
                            AutoPostBack="true" />
                        <asp:Label ID="lblIdEscenarioObjetivoEstudio" runat="server" Text='<%# Eval("idEscenarioObjetivoEstudio") %>'
                            Visible="false"></asp:Label>
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                </asp:TemplateField>
                <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="70px"></asp:BoundField>
                <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                    HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="350px"></asp:BoundField>
                <asp:BoundField DataField="valorProteccion" SortExpression="valorProteccion" HeaderText="<%$ Resources:Idioma, lblValor %>"
                    ItemStyle-Width="60px"></asp:BoundField>
                <asp:BoundField DataField="proteccionExistente" SortExpression="proteccionExistente"
                    HeaderText="<%$ Resources:Idioma, lblPE %>" ItemStyle-Width="170px"></asp:BoundField>
                <asp:BoundField DataField="valorProteccion" SortExpression="valorProteccion" HeaderText="<%$ Resources:Idioma, lblValor %>"
                    ItemStyle-Width="60px"></asp:BoundField>
                <asp:BoundField DataField="riesgoResidual" SortExpression="riesgoResidual" HeaderText="<%$ Resources:Idioma, lblRR %>"
                    ItemStyle-Width="170px"></asp:BoundField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Label ID="lblNoControles" runat="server" Text="<%$ Resources:Idioma,lblNoControlEnObjetivo %>"
            Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblControles" runat="server" Text="<%$ Resources: Idioma,lblControles %>"
            Visible="false" CssClass="subtitulo"></asp:Label>
        <br />
        <br />
        <asp:GridView ID="gvListaControles" runat="server" AutoGenerateColumns="false" Visible="false"
            Width="475px">
            <Columns>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                    <ItemTemplate>
                        <asp:CheckBox ID="chkControl" runat="server" OnCheckedChanged="chkSeleccionarControl_CheckedChanged"
                            AutoPostBack="true" />
                        <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                </asp:TemplateField>
                <asp:BoundField DataField="idControl" SortExpression="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="100px">
                    <ItemStyle Width="100px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl"
                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px">
                    <ItemStyle Width="400px"></ItemStyle>
                </asp:BoundField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Label ID="lblControl" runat="server" Text="<%$ Resources: Idioma,lblAtributosControl %>"
            Visible="false" CssClass="subtitulo"></asp:Label>
        <br />
        <br />
        <table id="tblControl" visible="false" runat="server">
            <tr>
                <td>
                    <table style="width: 435px">
                        <tr>
                            <td>
                                <asp:Label ID="lblIdControl" runat="server" Text="<%$ Resources: Idioma,lblId %>"></asp:Label>
                            </td>
                            <td>
                                <asp:Label ID="lblClaseControl" runat="server" Text="<%$ Resources: Idioma,lblClaseControl %>"></asp:Label>
                            </td>
                            <td>
                                <asp:Label ID="lblTipoControl" runat="server" Text="<%$ Resources: Idioma,lblTipoControl %>"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:TextBox ID="txtIdControl" runat="server" Width="46px" ReadOnly="true" AutoPostBack="false"></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox ID="txtClaseControl" runat="server" Width="163px" ReadOnly="true" AutoPostBack="false"></asp:TextBox>
                            </td>
                            <td>
                                <asp:TextBox ID="txtTipoControl" runat="server" Width="101px" ReadOnly="true" AutoPostBack="false"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="txtDescripcionControl" runat="server" TextMode="MultiLine" Height="52px"
                        Width="435px" ReadOnly="true" AutoPostBack="false"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:TextBox ID="txtDetalleControl" runat="server" TextMode="MultiLine" Height="80px"
                        Width="435px" ReadOnly="true" AutoPostBack="false"></asp:TextBox>
                </td>
            </tr>
        </table>
        <br />
        <asp:DropDownList ID="drpReportes" runat="server">
            <asp:ListItem Text="<%$ Resources:Idioma, btnReporteObjetivos %>" Value="1"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Idioma, btnControlesObjetivos %>" Value="2"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Idioma, ResumenPEConsolidadaporOC %>" Value="3"></asp:ListItem>
        </asp:DropDownList>
        &nbsp;&nbsp;&nbsp;
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
            CausesValidation="False" />
        &nbsp;&nbsp;&nbsp;
    </div>
</asp:Content>
