﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarAmenazasEstudio.aspx.vb" Inherits="AudiControl.ListarAmenazasEstudio"
    Title="<%$ Resources:TituloPaginas, TitListaAmenazasEstudio %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblAmenazasEstudio" runat="server" Text="<%$ Resources:Menu, m04040305 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblEscenariosSinRelacionar" runat="server" Text="" Visible="false"
                CssClass="colorExito"></asp:Label><br />
            <asp:Label ID="lblAreasSinRelacionar" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
            <br />
            <br />
            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="80px" />
                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                        HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="490px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: lblTerminado %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblSi" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="130px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkDocumentar" runat="server" CommandName="DOCUMENTAR" CommandArgument='<%# Eval("idEstudioAmenaza")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblDocumentar" runat="server" Text="<%$ Resources:lblDocumentar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources: drpDocumentacionAmenazas %>" Value="2"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources: drpEstadisticasAmenazasDependencias %>" Value="3"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources: drpEstadisticasAmenazasEscenarios %>" Value="4"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources: drpEstadisticasAmenazasPorCategorias %>" Value="5"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;&nbsp;&nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" CausesValidation="False" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
