﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarRiesgosEstudio.aspx.vb" Inherits="AudiControl.ListarRiesgosEstudio"
    Title="<%$ Resources:TituloPaginas, TitCategoriasEstudio %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCat" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblAsignarAmenazasRiesgos" runat="server" Text="<%$ Resources:TituloPasos, lblAsignarAmenazasRiesgos %>"></asp:Label></div>
        <br />
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblNoCategoria" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvListaRiesgos" runat="server" AutoGenerateColumns="False">
                            <Columns>
                                <asp:BoundField DataField="idEstudioCategoria" SortExpression="idEstudioCategoria"
                                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" Visible="False">
                                </asp:BoundField>
                                <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px"></asp:BoundField>
                                <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                                    HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="350px">
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEstado %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSi" runat="server" Text='<%# Eval("estado")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px" HeaderText="<%$Resources: Idioma, lblAsterisco %>">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEstudioCategoria")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"></asp:Label></asp:LinkButton>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <div style="vertical-align: top">
                <asp:DropDownList ID="drpReportes" runat="server">
                    <asp:ListItem Text="<%$ Resources:Idioma, drpAmenazasElegiblesParaEstudio %>" Value="2"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:Idioma, drpAmenazasSelPorCategoriaEnEstudio %>"
                        Value="3"></asp:ListItem>
                </asp:DropDownList>
                &nbsp; &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                    CausesValidation="False" />
                &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                    Width="100px" />
                <br />
            </div>
        </div>
    </div>
</asp:Content>
