﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="PerfilRIEscenarioNivelCuatro.aspx.vb" Inherits="AudiControl.PerfilRIEscenarioNivelCuatro"
    Title="<%$ Resources:TituloPaginas, TitPerfilRIEscenario %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdNivel" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdRango" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenazaEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblIndicadoresRangoPerdida" runat="server" Text="<%$ Resources:TituloPasos, lblIndicadoresRangoPerdida %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblDatosEscenario" runat="server" Text="<%$ Resources:Idioma, lblDatosEscenario %>"
                            Visible="true" CssClass="subtitulo"></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblNombreEscenario" runat="server" Text="<%$ Resources:Idioma, lblEscenario %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblEscenario" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblNuneroTotalAmenazas" runat="server" Text="<%$ Resources:Idioma, lblTotalAmenazas %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblAmenazas" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblRiesgoEscenario" runat="server" Text="<%$ Resources:Idioma, lblRI %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblRiesgoInherente" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblSignificadoRiesgoInherente" runat="server" Text="<%$ Resources:Idioma, lblSignificadoRI %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblSignificadoRiesgo" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:GridView ID="gvAmenazasPorRangoPerdida" runat="server" AutoGenerateColumns="False">
                            <Columns>
                                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="90px" Visible="true">
                                    <ItemStyle Width="50px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="400px">
                                    <ItemStyle Width="130px"></ItemStyle>
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="50px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblRI" runat="server" Text='<%# Eval("RiesgoInherente")%>' Visible="true"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSignificadoRI %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSignificadoRI" runat="server" Text='<%# Eval("significadoRiesgo")%>'
                                            Visible="true"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
        </div>
        <div>
        </div>
</asp:Content>
