<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="PerfilRIEscenarioNivelDos.aspx.vb" Inherits="AudiControl.PerfilRIEscenarioNivelDos"
    Title="<%$ Resources:TituloPaginas, TitPerfilRIEscenario %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdNivelRojo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdNivelAmarillo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdNivelVerde" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenazaEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblPerfilRIEscenario" runat="server" Text="<%$ Resources:TituloPasos, lblPerfilRIEscenario %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblDatosEscenario" runat="server" Text="<%$ Resources:Idioma, lblDatosEscenario %>"
                            Visible="true"></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblNombreEscenario" runat="server" Text="<%$ Resources:Idioma, lblEscenario %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblEscenario" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblNuneroTotalAmenazas" runat="server" Text="<%$ Resources:Idioma, lblTotalAmenazas %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblAmenazas" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblRiesgoCategoria" runat="server" Text="<%$ Resources:Idioma, lblRI %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblRiesgoInherente" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblSignificadoRiesgoInherente" runat="server" Text="<%$ Resources:Idioma, lblSignificadoRI %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblSignificadoRiesgo" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <table>
                <tr>
                    <td align="center" style="width: 150px; background-color: #FF0000;">
                        <asp:Label ID="lblNivel1" runat="server" Text="<%$ Resources:Idioma, lblMuyAlto %>"
                            ForeColor="Black"></asp:Label>
                    </td>
                    <td align="center" style="width: 150px; background-color: #FFFF00;">
                        <asp:Label ID="lblNivel2" runat="server" Text="<%$ Resources:Idioma, lblAlto %>"
                            ForeColor="Black"></asp:Label>
                    </td>
                    <td align="center" style="width: 150px; background-color: #008000;">
                        <asp:Label ID="lblNivel3" runat="server" Text="<%$ Resources:Idioma, lblAceptable %>"
                            ForeColor="White"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td align="center" style="width: 150px">
                        <asp:Label ID="lblMuyAlto" runat="server" Text="" Visible="true"></asp:Label>
                        <asp:LinkButton ID="lnkNivelMuyAlto" runat="server" Visible="False">
                            <asp:Label ID="lblVerMA" runat="server" Text="<%$ Resources:Idioma, lblVer %>" Visible="true"></asp:Label>
                        </asp:LinkButton>
                    </td>
                    <td align="center" style="width: 150px">
                        <asp:Label ID="lblAlto" runat="server" Text="" Visible="true"></asp:Label>
                        <asp:LinkButton ID="lnkNivelAlto" runat="server" Visible="False">
                            <asp:Label ID="lblVerA" runat="server" Text="<%$ Resources:Idioma, lblVer %>" Visible="true"></asp:Label></asp:LinkButton>
                    </td>
                    <td align="center" style="width: 150px">
                        <asp:Label ID="lblAceptable" runat="server" Text="" Visible="true"></asp:Label>
                        <asp:LinkButton ID="lnkNivelAceptable" runat="server" Visible="False">
                            <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>" Visible="true"></asp:Label>
                        </asp:LinkButton>
                    </td>
                </tr>
            </table>
            <br />
            <div>
                <telerik:ReportViewer ID="rvReporteGraficaPerfileriesgoInherentePorEscenarioNivel2"
                    runat="server" Height="440px" Report="Com.Audisis.Reportes.ReporteGraficaPerfileriesgoInherentePorEscenarioNivel2, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                    ToolbarVisible="False" Width="680px">
                </telerik:ReportViewer>
            </div>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;
        </div>
    </div>
    <br />
</asp:Content>
