﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarRequArchivoPermanente.aspx.vb" Inherits="AudiControl.EditarRequArchivoPermanente"
    Title="<%$ Resources:TituloPaginas, TitEditarReqArchivoPermanente %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div>
        <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
        <asp:Label ID="lblIdTipoEstudio" runat="server" Style="display: none"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblEditarReqArchivoPermanente %>"></asp:Label></div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
        <br />
    </div>
    <div align="center">
        <table>
            <tr>
                <td style="width: 233px; height: 23px; text-align: right;">
                    <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                        Height="22px" Width="125px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px; height: 23px;">
                </td>
                <td align="left" style="width: 322px; height: 23px; text-align: left;">
                    <asp:TextBox ID="txtTipoAuditoria" runat="server" Width="326px" Height="20px" MaxLength="90"
                        ReadOnly="true"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="width: 233px; height: 23px; text-align: right;">
                    <asp:Label ID="lblRequerimiento" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                        Height="22px" Width="125px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px; height: 23px;">
                </td>
                <td align="left" style="width: 322px; height: 23px;">
                    <asp:TextBox ID="txtReqArchivoPermanente" runat="server" Width="520px" Height="36px"
                        MaxLength="90" TextMode="MultiLine"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtReqArchivoPermanente">
                        <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cvDescripcionFactor" runat="server" ControlToValidate="txtReqArchivoPermanente">
                        <asp:Label ID="lblMaximoCaracterDescripcion" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 233px; height: 40px; text-align: right;">
                    <asp:Label ID="lblDetalleFactor" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                        Height="24px" Width="144px"></asp:Label>
                </td>
                <td style="width: 8px; height: 40px;">
                </td>
                <td align="left" style="width: 322px; height: 40px;">
                    <asp:TextBox ID="txtDetalleReqArchivoPermanente" runat="server" Width="520px" Height="125px"
                        TextMode="MultiLine" MaxLength="300"></asp:TextBox>
                    <asp:CustomValidator ID="cvDetalleFactor" runat="server" ControlToValidate="txtDetalleReqArchivoPermanente">
                        <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
            CausesValidation="true" />
        &nbsp;
        <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
            CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
        &nbsp;
        <br />
    </div>
</asp:Content>
