﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EstablecerRelModeloCategoria.aspx.vb" Inherits="AudiControl.EstablecerRelModeloCategoria"
    Title="<%$ Resources:TituloPaginas, TitEstRelacionModeloCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdModRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lbl" runat="server" Text="" Visible="false"></asp:Label>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEstablecerRelModeloCategoria %>"
            CssClass="ruta"></asp:Label>
    </div>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblBaseConocimientos %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblEstRelacionModeloCategoria %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblRelacionExito" runat="server" Text="" Visible="false" CssClass="colorExito "></asp:Label>
        <br />
        <table>
            <tr style="width: 200px">
                <td style="width: 577px; text-align: center;">
                    <asp:Label ID="lblModeloRiesgo" runat="server" Text="<%$ Resources:Idioma, lblModeloRiesgo %>"
                        CssClass="subtitulo " Height="25px"></asp:Label>
                    &nbsp;&nbsp;
                    <asp:Label ID="lblDescripcion" runat="server" CssClass="subtitulo " Height="25px"
                        Width="396px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <div style="text-align: center">
            <asp:Label ID="lblNoCategorias" runat="server" Text="" Visible="false" CssClass="colorExito "></asp:Label>
            <asp:GridView ID="gvListaCategorias" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                        HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
                    <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                        HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="350px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEstablecerRelacion" runat="server" CommandName="ESTABLECER RELACION"
                                CommandArgument='<%# Eval("idCategoriaRiesgo")%>' CausesValidation="false">
                                <asp:Label ID="lblEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnMantCategoria" runat="server" Text="<%$ Resources:Idioma, btnMantCategoria %>"
                CausesValidation="false" Width="173px" ToolTip="<%$ Resources:AyudaBoton, btnMantCategoria %>" />
            &nbsp;
            <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                CausesValidation="false" />
        </div>
    </div>
</asp:Content>
