﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarObjetivosdeAuditoria.aspx.vb" Inherits="AudiControl.ListarObjetivosdeAuditoria"
    Title="<%$ Resources:TituloPaginas, TitObjetivoAud %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label><div
        style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div align="center">
            <asp:MultiView ID="mvObjetivoAuditoria" ActiveViewIndex="0" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <div class="header">
                        <asp:Label ID="lblObjetivo" runat="server" Text="<%$ Resources:Menu, m0403030202 %>"></asp:Label>
                        <asp:Label ID="lblMensajeBorrado" runat="server" Style="display: none" Text="<%$ Resources:Idioma, msgEliminaObjetivoAuditoria %>"></asp:Label>
                    </div>
                    <div align="center">
                        <asp:Label CssClass="colorError" ID="lblNoExiste" runat="server"></asp:Label>
                        &nbsp;
                        <asp:Label ID="lblNoEliminaObjetivo" runat="server" CssClass="colorError"></asp:Label>
                        <br />
                        <asp:Label ID="lblTipoauditoriaSeleccione" runat="server" Text="<%$ Resources: Idioma, lblNombreTipoAud %>"></asp:Label>
                        &nbsp;
                        <asp:DropDownList ID="drpTipoAuditoria" runat="server" AutoPostBack="true">
                        </asp:DropDownList>
                        <br />
                        <br />
                        <asp:GridView ID="gvListaObjetivos" runat="server" AllowPaging="True" AutoGenerateColumns="False">
                            <Columns>
                                <asp:BoundField DataField="idObjetivoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="150px">
                                    <ItemStyle Width="150px" />
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionobjetivoAud" HeaderText="<%$ Resources:Idioma, lblDescripcion %>">
                                    <ItemStyle Width="450px" />
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <ItemTemplate>
                                        <div style="text-align: center">
                                            <asp:LinkButton ID="lnkEditar" runat="server" CommandArgument='<%# Eval("idObjetivoAuditoria")%>'
                                                CommandName="EDITAR">
                                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                            </asp:LinkButton>
                                            &nbsp;&nbsp;
                                            <asp:LinkButton ID="lnkEliminar" runat="server" CommandArgument='<%# Eval("idObjetivoAuditoria")%>'
                                                CommandName="ELIMINAR" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;">
                                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label>
                                            </asp:LinkButton>
                                        </div>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <br />
                        <asp:Button ID="btnAgregar" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnAgregar %>"
                            Width="100px" />
                        &nbsp;&nbsp;&nbsp;<asp:Button ID="btnReporte" runat="server" CausesValidation="true"
                            Text="<%$ Resources:Idioma, btnReporte %>" Width="100px" />
                        <br />
                    </div>
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <div class="header">
                        <asp:Label ID="lblDeficionTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoObjetivos %>"></asp:Label>
                    </div>
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <div align="center">
                        <table>
                            <tr>
                                <td style="text-align: right; vertical-align: top; width: 137px;">
                                    <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources:Idioma, lblId %>"></asp:Label>
                                    <br />
                                </td>
                                <td style="text-align: left; vertical-align: top">
                                    <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                        ReadOnly="true"></asp:TextBox>
                                    <br />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top; width: 137px;">
                                    <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                    &nbsp;*
                                </td>
                                <td style="text-align: left;" valign="top">
                                    <asp:TextBox ID="txtDescripcion" runat="server" Width="601px" MaxLength="120" Height="53px"
                                        TextMode="MultiLine"></asp:TextBox>
                                    <br />
                                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                        Height="16px" Width="394px">
                                        <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; width: 137px;">
                                    <asp:Label ID="lblDetalle" runat="server" Text="<%$ Resources: Idioma, lblDetalle %>"></asp:Label>
                                    &nbsp;
                                </td>
                                <td style="text-align: left">
                                    <asp:TextBox ID="txtDetalle" runat="server" Width="601px" MaxLength="800" TextMode="MultiLine"
                                        Height="98px"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top; width: 137px;">
                                    <br />
                                    <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"></asp:Label>
                                </td>
                                <td style="text-align: left;" valign="top">
                                    <br />
                                    <asp:TextBox ID="txtTipoAuditoria" runat="server" MaxLength="120" Width="596px" Height="20px"
                                        ReadOnly="true"></asp:TextBox>
                                    <br />
                                </td>
                            </tr>
                        </table>
                        <br />
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp; &nbsp;<br />
                    </div>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
