﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarPreguntas.aspx.vb" Inherits="AudiControl.ListarPreguntas" Title="<%$ Resources: Menu, m0403020212 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdCriterio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaPregunta %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoCriterioCobit" runat="server" Text="<%$ Resources: Menu, m0403020212 %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblCriterio" runat="server" Text="<%$ Resources:Idioma, Caracteristica %>"
                Height="25px" CssClass="subtitulo" Width="136px"></asp:Label>: &nbsp;&nbsp;
            <asp:Label ID="lblDescripcionCriterio" runat="server" Height="25px" CssClass="subtitulo"></asp:Label>
            <br />
            <br />
            <asp:Label ID="lblNoCriterioCobit" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:GridView ID="gvListaCriterioCobit" runat="server" DataKeyNames="idPregunta"
                AutoGenerateColumns="False" AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idPregunta" HeaderText="<%$ Resources: Idioma, lblId %>"
                        ItemStyle-Width="70px"></asp:BoundField>
                    <asp:BoundField DataField="descripcionPregunta" HeaderText="<%$ Resources: Idioma, lblNombre %>"
                        ItemStyle-Width="350px"></asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="170px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                &nbsp;<asp:LinkButton ID="lnkEditar" runat="server" CommandArgument='<%# Eval("idPregunta")%>'
                                    CommandName="EDITAR">
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                </asp:LinkButton>&nbsp;&nbsp;
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idPregunta")%>'>
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="170px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnAgregarCriterioCobit" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />&nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>" />
            <br />
        </div>
    </div>
</asp:Content>
