﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audEditarTipoE.aspx.vb" Inherits="AudiControl.audEditarTipoE" Title="<%$ Resources:TituloPaginas, TitEditarTipoEmpresa %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdTipoE" runat="server" Text="" Visible="False"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="False"></asp:Label>
    <asp:Label ID="lblAuditora" runat="server" Text="" Visible="False"></asp:Label>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblMantenimientoTipoE %>"
            CssClass="ruta"></asp:Label>
    </div>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblConfiguracion %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblEditarTipoEmpresa %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblMensExitoTipoE" runat="server" Text="<%$ Resources:Idioma, lblExito %>"
            Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td align="right" style="width: 52px; height: 11px;">
                    <asp:Label ID="lblNombreTipoE" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                    *
                </td>
                <td style="width: 450px; height: 11px; text-align: left;">
                    <asp:TextBox ID="txtNombreTipoE" runat="server" Height="16px" Width="240px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2" style="height: 9px">
                    <asp:RequiredFieldValidator ID="rfvTipoE" runat="server" ControlToValidate="txtNombreTipoE">
                        <asp:Label ID="lblValidacion" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2" style="height: 26px">
                    <asp:Button ID="btnAgregarTE" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnAceptar%>" />
                    &nbsp;
                    <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>"
                        CausesValidation="false" />
                    &nbsp;
                    <asp:Button ID="btnVolverTE" runat="server" Text="<%$ Resources:Idioma, btnVolver%>"
                        CausesValidation="false" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
