﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="audCaracterizacionProcesoA.aspx.vb" Inherits="AudiControl.audCaracterizacionProcesoA"
    Title="<%$ Resources:TituloPaginas, TitCaracterizacionProceso %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdProceso" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div style="text-align: center">
        <div class="header">
            <asp:Label ID="lblCaracterizacionProceso" runat="server" Text="<%$ Resources:TituloPasos, lblCaracterizacionProceso %>"
                Visible="false"></asp:Label>
            <asp:Label ID="lblCaracterizacionTI" runat="server" Text="<%$ Resources:TituloPasos, lblCaracterizacionTI %>"
                Visible="false"></asp:Label>
            <asp:Label ID="lblCaracterizacionIT" runat="server" Text="<%$ Resources:TituloPasos, lblCaracterizacionIT %>"
                Visible="false"></asp:Label>
        </div>
        <div align="center">
            <br />
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblNombre" runat="server" Text="<%$ Resources: lblNombre %>" CssClass="subtituloTercerNivel"></asp:Label>
                        <asp:Label ID="lblAsterisco" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblObjetivos" runat="server" Text="<%$ Resources: lblObjetivos %>"
                            Style="text-align: center" CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <br />
                        <asp:TextBox ID="txtNombreProceso" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="600"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNombreProceso" runat="server" ControlToValidate="txtNombreProceso"
                            Height="22px" Width="395px">
                            <asp:Label ID="lblNombreProcesoObligatorio" runat="server" Text="<%$ Resources:lblNombreObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cvNombreProceso" runat="server" ControlToValidate="txtNombreProceso"></asp:CustomValidator>
                    </td>
                    <td>
                        <asp:TextBox ID="txtObjetivo" runat="server" Width="395px" Height="70px" TextMode="MultiLine"
                            MaxLength="1000"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvObjetivo" runat="server" ControlToValidate="txtObjetivo"></asp:CustomValidator>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblInicioEstudio" runat="server" Text="<%$ Resources: lblInicioProceso %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblFinProceso" runat="server" Text="<%$ Resources: lblFinProceso %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="txtInicioProceso" runat="server" Width="400px" TextMode="MultiLine"
                            MaxLength="1000" Height="70px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvInicioProceso" runat="server" ControlToValidate="txtInicioProceso"></asp:CustomValidator>
                    </td>
                    <td>
                        <asp:TextBox ID="txtFinProceso" runat="server" Width="400px" TextMode="MultiLine"
                            MaxLength="1000" Height="70px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvFinProceso" runat="server" ControlToValidate="txtFinProceso"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEntradas" runat="server" Text="<%$ Resources: lblEntradas %>" CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblSalidas" runat="server" Text="<%$ Resources: lblSalidas %>" Style="text-align: center"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="txtEntradas" runat="server" Width="400px" TextMode="MultiLine" MaxLength="1000"
                            Height="70px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvEntradas" runat="server" ControlToValidate="txtEntradas"></asp:CustomValidator>
                    </td>
                    <td>
                        <asp:TextBox ID="txtSalidas" runat="server" Width="400px" TextMode="MultiLine" MaxLength="1000"
                            Height="70px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvSalidas" runat="server" ControlToValidate="txtSalidas"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblProveedores" runat="server" Text="<%$ Resources: lblProveedores %>"
                            CssClass="subtituloTercerNivel"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblClientes" runat="server" CssClass="subtituloTercerNivel" Text="<%$ Resources: lblClientes %>"
                            Style="text-align: center"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="txtProveedores" runat="server" Width="400px" TextMode="MultiLine"
                            MaxLength="1000" Height="70px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvProveedores" runat="server" ControlToValidate="txtProveedores"></asp:CustomValidator>
                    </td>
                    <td>
                        <asp:TextBox ID="txtClientes" runat="server" Width="400px" TextMode="MultiLine" MaxLength="1000"
                            Height="70px"></asp:TextBox>
                        <br />
                        <asp:CustomValidator ID="cvClientes" runat="server" ControlToValidate="txtClientes"></asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblSeleccionEscenario" runat="server" Text="<%$ Resources: lblEscenarioSeleccionado %>"
                CssClass="subtituloSegundoNivel"></asp:Label>
            <asp:Label ID="lblAsterisco0" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"
                CssClass="subtituloSegundoNivel"></asp:Label>
            <div style="text-align: center;">
                <br />
                <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false">
                    <Columns>
                        <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                            ItemStyle-Width="70px" />
                        <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                            HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="450px" />
                    </Columns>
                </asp:GridView>
                <br />
            </div>
            <table>
                <tr>
                    <td align="center" colspan="2">
                        &nbsp;
                        <asp:LinkButton ID="lnkSiguiente" runat="server">
                            <asp:Label ID="lblSiguiente" runat="server" Text="<%$ Resources:Idioma, lblSiguiente %>"></asp:Label></asp:LinkButton>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        <br />
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                            Width="100px" />
                        &nbsp;<br />
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2">
                        &nbsp;
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
