<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListaSitiosCartaporSitio.aspx.vb" Inherits="AudiControl.ListaSitiosCartaporSitio"
    Title="<%$ Resources:TituloPaginas, InformeDetalladoControlInterno %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblCarta" runat="server" Text="<%$ Resources:Idioma, lblCartadeEntrega %>"></asp:Label>
    </div>
    <div align="center">
        <br />
        <asp:Label ID="lblSitiosCompletar" runat="server" Text="" CssClass="colorError"></asp:Label>
        <br />
        <div style="overflow: auto; width: 965px; height: 250px;">
            <asp:GridView ID="gvAreasYOficinasPruebas" runat="server" AllowPaging="False" AutoGenerateColumns="false"
                Visible="false" Style="text-align: center">
                <Columns>
                    <asp:BoundField DataField="idSitio" HeaderText="<%$ Resources: idioma,IdSitio %>" />
                    <asp:BoundField DataField="idArea" HeaderText="<%$ Resources: idioma,IdArea %>" ItemStyle-Width="80px"
                        SortExpression="idArea">
                        <ItemStyle Width="80px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources: idioma ,lblArea %>"
                        SortExpression="nombreArea" />
                    <asp:BoundField DataField="idOficina" HeaderText="<%$ Resources: idioma, idOficina %>"
                        ItemStyle-Width="80px" SortExpression="idOficina" />
                    <asp:BoundField DataField="nombreOficina" HeaderText="<%$ Resources: idioma, lblOficina %>"
                        SortExpression="nombreOficina" />
                    <asp:BoundField DataField="idZona" HeaderText="<%$ Resources: idioma, idRegional %>" />
                    <asp:BoundField DataField="nombreZona" HeaderText="<%$ Resources: idioma, Regional %>" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRedactado  %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblRespondido" runat="server" Text='' Visible="True"></asp:Label>
                            <asp:Label ID="lblSitioSeleccionado" runat="server" Text='<%# Eval("idSitioSeleccionado")%>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkAsignar" runat="server" CommandArgument='<%# Eval("idSitioSeleccionado")%>'
                                    CommandName="EDITAR">
                                    <asp:Label ID="lblAccionHacer" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                </asp:LinkButton>
                                &nbsp;&nbsp;
                            </div>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
        </div>
        &nbsp;
        <br />
    </div>
</asp:Content>
