<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarAreasCartaporArea.aspx.vb" Inherits="AudiControl.ListarAreasCartaporArea"
    Title="<%$ Resources:TituloPaginas, InformeDetalladoControlInterno %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblCarta" runat="server" Text="<%$ Resources:Idioma, lblCartadeEntrega %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <div style="overflow: auto; width: 900px; height: 250px;">
            <asp:GridView ID="gvAreas" runat="server" AutoGenerateColumns="false" Width="600px"
                Style="text-align: center">
                <Columns>
                    <asp:BoundField DataField="idEstudioArea" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="50px" SortExpression="idEstudioArea">
                        <ItemStyle Width="50px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources:Idioma, lblArea %>"
                        ItemStyle-Width="400px" SortExpression="nombreArea">
                        <ItemStyle Width="400px" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRedactado  %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblRespondido" runat="server" Text='' Visible="True"></asp:Label>
                            <asp:Label ID="lblEstudioareaSeleccionada" runat="server" Text='<%# Eval("idEstudioArea")%>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkAsignar" runat="server" CommandArgument='<%# Eval("idEstudioArea")%>'
                                    CommandName="EDITAR">
                                    <asp:Label ID="lblAccionHacer" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                </asp:LinkButton>
                                &nbsp;&nbsp;
                            </div>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
        &nbsp;
        <br />
    </div>
</asp:Content>
