<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionTecnica.aspx.vb" Inherits="AudiControl.SeleccionTecnica"
    Title="<%$ Resources: Menu, m0404060103 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources: msgQuitaControl %>" runat="server"
        Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorradoTecnicas" Text="<%$ Resources: msgQuitaTecnica %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <div align="center">
            <asp:Label ID="Label1" runat="server" Text="<%$ Resources: Menu, m0404060103 %>"></asp:Label>
        </div>
    </div>
    <asp:Label ID="lbltenicaSeleccionadaendrp" runat="server" Text="" Visible="false"></asp:Label>
    <br />
    <asp:Label ID="lblFaltaControlesAsignar" runat="server" CssClass="colorError"></asp:Label>
    <br />
    <div class="alineacionIzquierda">
        <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
            BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
            Orientation="Horizontal">
            <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
            <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
            <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
            <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
            <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
            <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                Font-Bold="True" ForeColor="White" />
            <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                BorderWidth="1px" />
            <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                BorderWidth="1px" />
            <Items>
                <asp:MenuItem Text="<%$ Resources: Pestana1 %>" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Pestana2 %>" Value="1"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <div align="center">
        <asp:MultiView ActiveViewIndex="0" ID="mvTecnica" runat="server">
            <asp:View ID="vwEdicion" runat="server">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr valign="top">
                        <td align="center" class="TabArea" style="width: 100%">
                            <br />
                            <asp:Label ID="lblTecnicasSeleccionadas" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,TecnicasPC %>"></asp:Label>
                            <br />
                            <br />
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblTecnicaElegible" runat="server" Text="<%$ Resources: TecnicaElegible %>"
                                            Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                        <br />
                                    </td>
                                    <td>
                                        <br />
                                        <br />
                                    </td>
                                    <td>
                                        <asp:Label ID="lblTecnicaElegida" runat="server" Text="<%$ Resources: TecnicaElegida %>"
                                            Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                                        &nbsp;<asp:Label ID="lblAsterisco" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblTecnicaSeleccionObligatorio" runat="server" CssClass="colorError"
                                            Text=""></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <div style="overflow: auto; width: 400px; height: 200px">
                                            <asp:GridView ID="gvTecnicaElegible" runat="server" AutoGenerateColumns="false" DataKeyNames="id">
                                                <Columns>
                                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                        <ItemTemplate>
                                                            <asp:CheckBox ID="chkTecnicaElegible" runat="server" OnCheckedChanged="chkSeleccionarTecnica_CheckedChanged"
                                                                AutoPostBack="true" />
                                                            <asp:Label ID="lblidTecnica" runat="server" Text='<%# Eval("id") %>' Visible="false"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Center" />
                                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                    </asp:TemplateField>
                                                    <asp:BoundField DataField="id" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px" />
                                                    <asp:BoundField DataField="nombre" HeaderText="<%$ Resources: TecnicaAuditoria %>"
                                                        ItemStyle-Width="280px" />
                                                </Columns>
                                            </asp:GridView>
                                            <br />
                                        </div>
                                        <br />
                                    </td>
                                    <td style="width: 50px">
                                        <asp:Button ID="btnPasarUna" runat="server" Text="&gt;" Width="36px" />
                                        <asp:Button ID="btnPasarTodas" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                        <asp:Button ID="btnQuitarUna" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorradoTecnicas').innerHTML)) return false;" /><br />
                                        <asp:Button ID="btnQuitarTodas" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorradoTecnicas').innerHTML)) return false;" /><br />
                                        <br />
                                        <br />
                                    </td>
                                    <td>
                                        <div style="overflow: auto; width: 400px; height: 200px">
                                            <asp:GridView ID="gvTecnicaElegida" runat="server" AutoGenerateColumns="False" DataKeyNames="idTecnicaAuditoriaSeleccionada">
                                                <Columns>
                                                    <asp:BoundField DataField="idTecnicaAuditoriaSeleccionda" Visible="false" />
                                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                        <ItemTemplate>
                                                            <asp:CheckBox ID="chkTecnicaElegida" runat="server" OnCheckedChanged="chkSeleccionarTecnica_CheckedChanged"
                                                                AutoPostBack="true" />
                                                            <asp:Label ID="lblidTecnica" runat="server" Text='<%# Eval("id") %>' Visible="false"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                    </asp:TemplateField>
                                                    <asp:BoundField DataField="id" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px">
                                                    </asp:BoundField>
                                                    <asp:BoundField DataField="nombre" HeaderText="<%$ Resources: TecnicaAuditoria %>"
                                                        ItemStyle-Width="280px"></asp:BoundField>
                                                </Columns>
                                            </asp:GridView>
                                            <br />
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3" align="center">
                                        <asp:Label ID="lbltecnicasseleccion" runat="server" CssClass="subtituloSegundoNivel"
                                            Text="<%$ Resources:Idioma,DescribeTecnica %>"></asp:Label>
                                        <br />
                                        <asp:TextBox ID="txtDescripcionTecnica" runat="server" Height="65px" Width="847px"
                                            TextMode="MultiLine"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <br />
                            <asp:Button ID="btnMantenimiento" runat="server" Text="<%$ Resources: Mantenimiento %>"
                                Width="240px" />&nbsp;
                            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>" />&nbsp;
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwTecnica" runat="server">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr valign="top">
                        <td align="center" class="TabArea" style="width: 100%">
                            <br />
                            <asp:Label ID="lblControlesTecnicasSeleccion" runat="server" CssClass="subtitulo "
                                Text="<%$ Resources:Idioma,ControlesTecnicasPC %>"></asp:Label>
                            <br />
                            <br />
                            <table>
                                <tr>
                                    <td colspan="3" align="center">
                                        <asp:Label ID="lblSeleccioneTecnica" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,SeleccioneTecnicaVerificacion %>"></asp:Label>
                                        <br />
                                        &nbsp;
                                        <asp:DropDownList ID="drpTecnica" runat="server" AutoPostBack="true">
                                        </asp:DropDownList>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblTEcnicaSeleccionada" runat="server" CssClass="subtituloSegundoNivel"
                                            Text="<%$ Resources:Idioma,DescribeTecnica %>"></asp:Label>
                                        <br />
                                        <asp:TextBox ID="txtDescripcionTecnicaVerificar" runat="server" Height="46px" TextMode="MultiLine"
                                            Width="847px"></asp:TextBox>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblSinControl" runat="server" CssClass="colorError" Text="<%$ Resources: SinControl %>"
                                            Visible="False"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorError"
                                            Text=""></asp:Label>
                                        <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
                                        <asp:Label ID="lblNoControl" runat="server" CssClass="colorError" Text="<%$ Resources: ControlElegido %>"
                                            Visible="false"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblControlElegible" runat="server" Text="<%$ Resources: ControlElegible %>"
                                            Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                        <br />
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                        <asp:Label ID="lblControlElegido" runat="server" Text="<%$ Resources: ControlElegido %>"
                                            Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                                        &nbsp;<asp:Label ID="lblAsterisco1" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblControlSeleccionObligatorio" runat="server" CssClass="colorError"
                                            Text=""></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <div style="overflow: auto; width: 400px; height: 200px">
                                            <asp:GridView ID="gvControlElegible" runat="server" AutoGenerateColumns="false" DataKeyNames="idControl">
                                                <Columns>
                                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                        <ItemTemplate>
                                                            <asp:CheckBox ID="chkControlElegible" runat="server" OnCheckedChanged="chkSeleccionarControl_CheckedChanged"
                                                                AutoPostBack="true" />
                                                            <asp:Label ID="lblidControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Center" />
                                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                    </asp:TemplateField>
                                                    <asp:BoundField DataField="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                        ItemStyle-Width="90px" />
                                                    <asp:BoundField DataField="descripcionControl" HeaderText="<%$ Resources: Control %>"
                                                        ItemStyle-Width="280px" />
                                                </Columns>
                                            </asp:GridView>
                                            <br />
                                        </div>
                                        <br />
                                    </td>
                                    <td style="width: 50px">
                                        <asp:Button ID="btnControlPasaUno" runat="server" Height="19px" Text="&gt;" Width="36px" />
                                        <asp:Button ID="btnControlPasa" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                        <asp:Button ID="btnControlQuitaUno" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                        <asp:Button ID="btnControlQuita" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                        <br />
                                        <br />
                                    </td>
                                    <td>
                                        <div style="overflow: auto; width: 400px; height: 200px">
                                            <asp:GridView ID="gvControlElegido" runat="server" AutoGenerateColumns="False" DataKeyNames="idTecnicaAuditoriaControl">
                                                <Columns>
                                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                        <ItemTemplate>
                                                            <asp:CheckBox ID="chkControlElegido" runat="server" OnCheckedChanged="chkSeleccionarControl_CheckedChanged"
                                                                AutoPostBack="true" />
                                                            <asp:Label ID="lblidControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                    </asp:TemplateField>
                                                    <asp:BoundField DataField="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                        ItemStyle-Width="70px"></asp:BoundField>
                                                    <asp:BoundField DataField="descripcionControl" HeaderText="<%$ Resources: Control %>"
                                                        ItemStyle-Width="280px"></asp:BoundField>
                                                </Columns>
                                            </asp:GridView>
                                            <br />
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3" align="center">
                                        <asp:Label ID="lblControlSel" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources:Idioma,DescribeControl %>"></asp:Label>
                                        <br />
                                        <asp:TextBox ID="txtDescripcionControl" runat="server" Height="58px" TextMode="MultiLine"
                                            Width="847px"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                            <br />
                            &nbsp;<asp:Button ID="btnReporteControlesXTecnica" runat="server" CausesValidation="False"
                                Text="<%$ Resources:Idioma, btnReporte %>" />
                            &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>" />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
