﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ConclusionCriterio.aspx.vb" Inherits="AudiControl.ConclusionCriterio"
    Title="<%$ Resources:Menu, m0404070404 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources: Menu, m0404070404 %>"></asp:Label>
        </div>
        <div align="center">
            <br />
            <asp:Label runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, EvaluacionCaracteristica %>"></asp:Label>
            <br />
            <br />
            <asp:GridView ID="gvListaCriterio" runat="server" AutoGenerateColumns="false" AutoGenerateSelectButton="true"
                SelectedRowStyle-BackColor="Bisque" SelectedRowStyle-ForeColor="Sienna" DataKeyNames="idCriterio,idCriterioEstudio"
                SelectedIndex="0">
                <Columns>
                    <asp:BoundField DataField="idCriterio" HeaderText="<%$ Resources:Idioma, lblId %>" />
                    <asp:BoundField DataField="nombreCriterio" HeaderText="<%$ Resources: Idioma, Caracteristica %>" />
                    <asp:BoundField DataField="Pmp" HeaderText="<%$ Resources: Idioma, pmp %>" ItemStyle-Width="30px" />
                    <asp:BoundField DataField="Puntos" HeaderText="<%$ Resources: Idioma, lblPO %>" />
                    <asp:BoundField DataField="Porcentaje" HeaderText="<%$ Resources: Idioma, lblPorcObtenido %>"
                        DataFormatString="{0:F2}" />
                    <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources: Idioma, lblValor %>"
                        ItemStyle-Width="30px" />
                    <asp:TemplateField HeaderText="<%$ Resources: idioma, GradoSatisfaccion %>" ItemStyle-Width="130px">
                        <ItemTemplate>
                            <asp:Label runat="server" Text='<%# Eval("descripcionProteccion") %>'></asp:Label>
                            <asp:Label ID="colorProteccion" runat="server" Text='<%# Eval("colorProteccion") %>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="valorResidual" HeaderText="<%$ Resources: Idioma, lblValor %>"
                        ItemStyle-Width="30px" />
                    <asp:TemplateField HeaderText="<%$ Resources: Idioma, lblRR %>" ItemStyle-Width="130px">
                        <ItemTemplate>
                            <asp:Label runat="server" Text='<%# Eval("descripcionResidual") %>'></asp:Label>
                            <asp:Label ID="colorResidual" runat="server" Text='<%# Eval("colorResidual") %>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="<%$ Resources: idioma, Concluido %>" ItemStyle-Width="50px">
                        <ItemTemplate>
                            <asp:Label ID="lblSiNo" runat="server"></asp:Label>
                            <asp:Label ID="lblTerminado" runat="server" Text='<%# Eval("Terminado") %>' Visible="false"></asp:Label>
                            <asp:Label ID="lblConclusion" runat="server" Text='<%# Eval("Conclusion") %>' Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idCriterioEstudio" Visible="false" />
                </Columns>
            </asp:GridView>
            <br />
            <br />
            <div style="text-align: center">
                <asp:Label runat="server" Text="<%$ Resources: Idioma, Caracteristica %>" CssClass="subtitulo"></asp:Label>
                <br />
                <br />
                <asp:TextBox ID="txtDescribeCaracteristica" runat="server" Height="52px" TextMode="MultiLine"
                    Width="710px" ReadOnly="true"></asp:TextBox>
                <br />
                <br />
                <asp:Label ID="lblopinionAuditor" runat="server" Text="<%$ Resources:Idioma, ConclusionAuditoria %>"
                    CssClass="subtitulo"></asp:Label>&nbsp; *
                <br />
                <br />
                <asp:TextBox ID="txtOpinionAuditor" runat="server" Height="52px" TextMode="MultiLine"
                    Width="710px"></asp:TextBox><br />
                <asp:RequiredFieldValidator ID="rfvConclusion" runat="server" ControlToValidate="txtOpinionAuditor"
                    CssClass="colorError" ErrorMessage="<%$ Resources: Idioma, ConculsionObligatoria %>"></asp:RequiredFieldValidator>
                <br />
                <br />
                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                    CausesValidation="true" />&nbsp;
                <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                    CausesValidation="false" />
            </div>
        </div>
        <br />
        <br />
    </div>
</asp:Content>
