﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="Cuestionario.aspx.vb" Inherits="AudiControl.Cuestionario" Title="<%$ Resources:Menu, m0404070201 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="../../Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdRespuesta" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPerfil" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent ">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblResponderCuestionario" runat="server"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="false"></asp:Label><br />
            <asp:MultiView ActiveViewIndex="0" ID="mvCuestionario" runat="server">
                <asp:View ID="vwCuestionario" runat="server">
                    <br />
                    <asp:Label CssClass="subtitulo" ID="lblSeleccionUnSitio" runat="server" Text="<%$ Resources: Idioma, SeleccionSitio %>"></asp:Label><br />
                    <asp:DropDownList ID="drpSitio" runat="server" AutoPostBack="true">
                    </asp:DropDownList>
                    <br />
                    <br />
                    <asp:Label CssClass="subtitulo" ID="lblSeleccionUnaTecnica" runat="server" Text="<%$ Resources:Idioma,SeleccioneTecnicaVerificacion %>"></asp:Label><br />
                    <asp:DropDownList ID="drpTecnicasVerificacion" runat="server" AutoPostBack="true">
                    </asp:DropDownList>
                    <br />
                    <br />
                    <asp:Label ID="lblSinMotivo" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                    <table runat="server" visible="true">
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:GridView ID="gvCifra" runat="server" AutoGenerateColumns="false" DataKeyNames="idRespuestaSustantiva">
                                    <Columns>
                                        <asp:BoundField DataField="idCifra" />
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="300px" HeaderText="<%$ Resources: Dato %>">
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" />
                                            <ItemTemplate>
                                                <asp:Label ID="lblIdCifraCritica" runat="server" Text='<%# Eval("idCifraCriticaAmenaza") %>'
                                                    Visible="false"></asp:Label>
                                                <asp:Label ID="lblCifraC" runat="server" Text='<%# Eval("idCifra") %>' Visible="false"></asp:Label>
                                                <asp:Label ID="lblDescripcionControl" runat="server" Text='<%# Eval("descripcion") %>'
                                                    Width="500px"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                            HeaderText="<%$ Resources: Idioma,lblRespuestaGridView %>" ItemStyle-VerticalAlign="Top"
                                            ItemStyle-Width="200px">
                                            <ItemTemplate>
                                                <asp:DropDownList ID="drpRespuesta" runat="server" OnSelectedIndexChanged="drpRespuesta_OnSelectedIndexChanged"
                                                    AutoPostBack="True">
                                                </asp:DropDownList>
                                                <asp:Label ID="lblIdRespuestaEmpresa" Text='<%# Eval("idRespuestaContestada") %>'
                                                    runat="server" Visible="false"></asp:Label>
                                                <asp:Label ID="lblIdTecnicaAuditoriaControl" Text='<%# Eval("idTecnicaAuditoriaSeleccionada") %>'
                                                    runat="server" Visible="false"></asp:Label>
                                                <asp:Label ID="lblValorRespuesta" Text='<%# Eval("Respondido") %>' runat="server"
                                                    Visible="false"></asp:Label>
                                            </ItemTemplate>
                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px" HeaderText="<%$ Resources:Idioma, lblComentario %>">
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="15px" />
                                            <ItemTemplate>
                                                <asp:TextBox ID="txtComentario" runat="server" Text='<%# Eval("comentario") %>' Width="180px"
                                                    Hight="80px" TextMode="MultiLine" MaxLength="300" onblur="valirLongitud(this,300);"></asp:TextBox>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, Motivos %>"
                                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                            <ItemTemplate>
                                                <asp:LinkButton ID="lnkAsignarMotivos" runat="server" CommandName="SELECCIONAR" CommandArgument='<%# Eval("idTecnicaAuditoriaSeleccionada")%>'
                                                    CausesValidation="false">
                                                    <asp:Label ID="lblAsignaMotivos" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label>
                                                </asp:LinkButton></ItemTemplate>
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px" />
                                        </asp:TemplateField>
                                        <asp:BoundField DataField="idRespuestaSustantiva" Visible="false" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnGuardarRespuesta" runat="server" Text="<%$ Resources: Idioma, btnGuardar %>" />
                    <br />
                    <asp:DropDownList ID="drpReportes" runat="server">
                        <asp:ListItem Text="<%$ Resources: ReporteListaChequeo %>" Value="2"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: ReporteNoConformidad %>" Value="3"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: ReporteListaChequeoAmenaza %>" Value="4"></asp:ListItem>
                    </asp:DropDownList>
                    &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnreporte %>" />
                </asp:View>
                <asp:View ID="vwMotivo" runat="server">
                    <div class="alineacionIzquierda">
                        <asp:Label ID="lblSitioPrueba" runat="server" CssClass="subtitulo" Width="1000px"></asp:Label><br />
                        <asp:Label ID="lblTecnicaAuditoria" runat="server" CssClass="subtitulo" Width="1000px"></asp:Label><br />
                        <asp:Label ID="lblCifra" runat="server" CssClass="subtitulo" Width="1000px"></asp:Label>
                    </div>
                    <br />
                    <asp:Label ID="lblSeleccioneMotivo" runat="server" CssClass="subtitulo" Text="<%$ Resources: Seleccion %>"></asp:Label>
                    <br />
                    <asp:Label ID="lblDebeSeleccionarMotivo" Text="<%$ Resources: Idioma, rfvSeleccionMotivoNoConforme %>"
                        runat="server" CssClass="colorError" Visible="false"></asp:Label>
                    <br />
                    <asp:GridView ID="gvListaMotivos" runat="server" AutoGenerateColumns="False" PageSize="15"
                        Visible="False">
                        <Columns>
                            <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblSeleccionar %>">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkSeleccionMotivo" runat="server" />
                                    <asp:Label ID="lblSeleccionMotivo" runat="server" Text='<%# Eval("idMotivoIoNC") %>'
                                        Visible="false"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="idMotivoIoNC" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="50px" />
                            <asp:BoundField DataField="Motivo" HeaderText="<%$ Resources:Idioma, Motivonoconformidad %>"
                                ItemStyle-Width="600px" />
                        </Columns>
                    </asp:GridView>
                    <asp:Label ID="lblNoMotivos" runat="server" Text="" CssClass="colorError"></asp:Label>
                    <br />
                    <br />
                    <asp:Button ID="btnAgregar" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnGuardar %>" />
                    &nbsp;<asp:Button ID="btnMantenimientoMotivos" runat="server" CausesValidation="false"
                        Text="<%$ Resources: MantenimientoMotivo %>" Width="266px" />
                    <br />
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
