﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ResultadoEvaluacionCriterio.aspx.vb" Inherits="AudiControl.ResultadoEvaluacionCriterio"
    Title="<%$ Resources:Menu, m0404070403 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div >
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources: Menu, m0404070403 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <br />
            <asp:Label runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, EvaluacionCaracteristica %>"></asp:Label>
            <br />
            <br />
            <asp:GridView ID="gvListaCriterio" runat="server" AutoGenerateColumns="false" ShowFooter="True">
                <Columns>
                    <asp:BoundField DataField="idCriterio" HeaderText="<%$ Resources:Idioma, lblId %>" />
                    <asp:BoundField DataField="nombreCriterio" HeaderText="<%$ Resources: Idioma, Caracteristica %>" />
                    <asp:BoundField DataField="Pmp" HeaderText="<%$ Resources: Idioma, pmp %>" ItemStyle-Width="30px" />
                    <asp:BoundField DataField="Puntos" HeaderText="<%$ Resources: Idioma, lblPO %>" />
                    <asp:BoundField DataField="Porcentaje" HeaderText="<%$ Resources: Idioma, lblPorcObtenido %>"
                        DataFormatString="{0:F2}" />
                    <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources: Idioma, lblValor %>"
                        ItemStyle-Width="30px" />
                    <asp:TemplateField HeaderText="<%$ Resources: idioma, GradoSatisfaccion %>" ItemStyle-Width="130px">
                        <ItemTemplate>
                            <asp:Label runat="server" Text='<%# Eval("descripcionProteccion") %>'></asp:Label>
                            <asp:Label ID="colorProteccion" runat="server" Text='<%# Eval("colorProteccion") %>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="valorResidual" HeaderText="<%$ Resources: Idioma, lblValor %>"
                        ItemStyle-Width="30px" />
                    <asp:TemplateField HeaderText="<%$ Resources: Idioma, lblRR %>" ItemStyle-Width="130px">
                        <ItemTemplate>
                            <asp:Label runat="server" Text='<%# Eval("descripcionResidual") %>'></asp:Label>
                            <asp:Label ID="colorResidual" runat="server" Text='<%# Eval("colorResidual") %>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <br />
            <div align="center">
                <telerik:ReportViewer ID="rvGraficaCriterio" runat="server" Height="400px" ToolbarVisible="False"
                    Width="660px" Report="Com.Audisis.Reportes.GraficaEvaluacionCriterio, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                </telerik:ReportViewer>
                <br />
                <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>" />
                <br />
            </div>
        </div>
        <br />
        <br />
    </div>
</asp:Content>
