<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionCriterio.aspx.vb" Inherits="AudiControl.SeleccionCriterio"
    Title="<%$ Resources: Menu, m0404070401 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaRelacion %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="Label1" runat="server" Text="<%$ Resources: Menu, m0404070401 %>"></asp:Label>
        </div>
        <br />
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources: Pestana1 %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources: Pestana2 %>" Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ActiveViewIndex="0" ID="mvCaracteristicaInformacion" runat="server">
                <asp:View ID="vwCaracteristica" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="Label2" runat="server" CssClass="subtitulo" Text="<%$ Resources: Caracteristicas %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label3" runat="server" Text="<%$ Resources: CaracteristicaSeleccionable %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                            <br />
                                        </td>
                                        <td>
                                            <br />
                                            <br />
                                        </td>
                                        <td>
                                            <asp:Label ID="lblCaracteristicaSeleccionada" runat="server" Text="<%$ Resources: CaracteristicaSeleccionada %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                                            &nbsp;<asp:Label ID="lblAsterisco" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvCaracteristicaElegible" runat="server" AutoGenerateColumns="false"
                                                    DataKeyNames="idCriterio">
                                                    <Columns>
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkCaracteristicaElegible" runat="server" OnCheckedChanged="chkCaracteristica_CheckedChanged"
                                                                    AutoPostBack="true" />
                                                                <asp:Label ID="lblidCaracteristica" runat="server" Text='<%# Eval("idCriterio") %>'
                                                                    Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center" />
                                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idCriterio" HeaderText="<%$ Resources: Idioma, lblId %>"
                                                            ItemStyle-Width="90px" />
                                                        <asp:BoundField DataField="nombreCriterio" HeaderText="<%$ Resources: Caracteristica %>"
                                                            ItemStyle-Width="280px" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                            <br />
                                        </td>
                                        <td style="width: 50px">
                                            <asp:Button ID="btnPasarTodas" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnPasarUna" runat="server" Text="&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnQuitarUna" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <asp:Button ID="btnQuitarTodas" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <br />
                                            <br />
                                        </td>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvCaracteristicaElegida" runat="server" AutoGenerateColumns="False"
                                                    DataKeyNames="idCriterioEstudio">
                                                    <Columns>
                                                        <asp:BoundField DataField="idCriterio" Visible="false" />
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkCaracteristicaElegida" runat="server" OnCheckedChanged="chkCaracteristica_CheckedChanged"
                                                                    AutoPostBack="true" />
                                                                <asp:Label ID="lblidCaracteristica" runat="server" Text='<%# Eval("idCriterio") %>'
                                                                    Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idCriterio" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                            ItemStyle-Width="70px"></asp:BoundField>
                                                        <asp:BoundField DataField="nombreCriterio" HeaderText="<%$ Resources: Caracteristica %>"
                                                            ItemStyle-Width="280px"></asp:BoundField>
                                                        <asp:BoundField DataField="idCriterioEstudio" Visible="false" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblDescripcion" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources: DescripcionCaracteristica %>"></asp:Label>
                                            <br />
                                            <asp:TextBox ID="txtDescripcionCaracteristica" runat="server" Height="65px" Width="847px"
                                                TextMode="MultiLine"></asp:TextBox>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                                &nbsp;
                                <asp:Button ID="btnMantenimiento" runat="server" Text="<%$ Resources: Mantenimiento %>"
                                    Width="221px" />&nbsp;
                                <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources: Idioma, btnReporte %>" />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwCriterio" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="Label4" runat="server" CssClass="subtitulo" Text="<%$ Resources: Criterios %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td colspan="3" style="height: 33px" align="center">
                                            <asp:Label ID="Label5" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources: Caracteristica %>"></asp:Label>:&nbsp;
                                            <asp:DropDownList ID="drpCaracteristica" runat="server" AutoPostBack="true">
                                            </asp:DropDownList>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" align="center">
                                            <asp:Label ID="Label6" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources: DescripcionCaracteristica %>"></asp:Label>
                                            <br />
                                            <asp:TextBox ID="txtDescribeCaracteristica" runat="server" Height="75px" TextMode="MultiLine"
                                                Width="847px"></asp:TextBox>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblSinControl" runat="server" CssClass="colorError" Text="<%$ Resources: SinControl %>"
                                                Visible="False"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorError"
                                                Text=""></asp:Label>
                                            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
                                            <asp:Label ID="lblNoControl" runat="server" CssClass="colorError" Text="<%$ Resources: CriterioSeleccionado %>"
                                                Visible="false"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label7" runat="server" Text="<%$ Resources: CriterioSeleccionable %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                                            <br />
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                            <asp:Label ID="Label8" runat="server" Text="<%$ Resources: CriterioSeleccionado %>"
                                                Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>&nbsp;
                                            <asp:Label ID="lblAsterisco1" runat="server" Text="<%$ Resources: Idioma, lblAsterisco %>"></asp:Label><br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvCriterioElegible" runat="server" AutoGenerateColumns="false"
                                                    DataKeyNames="idPregunta">
                                                    <Columns>
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkCriterioElegible" runat="server" />
                                                                <asp:Label ID="lblidCriterio" runat="server" Text='<%# Eval("idPregunta") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center" />
                                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idPregunta" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                            ItemStyle-Width="90px" />
                                                        <asp:BoundField DataField="descripcionPregunta" HeaderText="<%$ Resources: Criterio %>"
                                                            ItemStyle-Width="280px" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                            <br />
                                        </td>
                                        <td style="width: 50px">
                                            <asp:Button ID="btnCriterioPasa" runat="server" Text="&gt;&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnCriterioPasaUno" runat="server" Text="&gt;" Width="36px" /><br />
                                            <asp:Button ID="btnCriterioQuitaUno" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <asp:Button ID="btnCriterioQuita" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" /><br />
                                            <br />
                                            <br />
                                        </td>
                                        <td>
                                            <div style="overflow: auto; width: 400px; height: 200px">
                                                <asp:GridView ID="gvCriterioElegido" runat="server" AutoGenerateColumns="False" DataKeyNames="idCuestionarioCriterio">
                                                    <Columns>
                                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                                            <ItemTemplate>
                                                                <asp:CheckBox ID="chkCriterioElegido" runat="server" />
                                                                <asp:Label ID="lblidCriterio" runat="server" Text='<%# Eval("idPregunta") %>' Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px" />
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idPregunta" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                            ItemStyle-Width="70px" />
                                                        <asp:BoundField DataField="descripcionPregunta" HeaderText="<%$ Resources: Criterio %>"
                                                            ItemStyle-Width="280px" />
                                                        <asp:BoundField DataField="idCuestionarioCriterio" Visible="false" />
                                                    </Columns>
                                                </asp:GridView>
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                &nbsp;<asp:Button ID="btnCheckList" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>" />&nbsp;
                                <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>" />
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
