﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="FactorPonderacionCategoriaPorTipoAuditoria.aspx.vb" Inherits="AudiControl.FactorPonderacionCategoriaPorTipoAuditoria"
    Title="<%$ Resources:TituloPaginas, TitFactorPonderacionCategoriaProceso %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModeloRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblidFactorRiesgoAsigna" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblPonderacionCategoriaProceso %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:MultiView ID="mvAsignaImpacto" ActiveViewIndex="0" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <br />
                    <asp:GridView ID="gvListaFactores" runat="server" AutoGenerateColumns="False" PageSize="15"
                        Visible="False">
                        <Columns>
                            <asp:BoundField DataField="idFactorRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px" SortExpression="idFactorRiesgo">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="descripcionFactor" HeaderText="<%$ Resources:Idioma, lblFactoresRiesgo %>"
                                ItemStyle-Width="450px" SortExpression="descripcionFactor">
                                <ItemStyle Width="450px" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblImpacto %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:Label ID="lblSi" runat="server" Text=""></asp:Label>
                                        &nbsp;&nbsp;
                                        <asp:Label ID="lblIdFactorR" runat="server" Text='<%# Eval("idFactorRiesgo") %>'
                                            Visible="false"></asp:Label>
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandArgument='<%# Eval("idFactorRiesgo")%>'
                                            CommandName="EDITAR">
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, AsignarImpactos %>"></asp:Label>
                                        </asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnReporte" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnReporte %>" />
                    <br />
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <br />
                    <asp:Label ID="lblFactorRiesgoElegido" runat="server" CssClass="subtitulo " Text=""></asp:Label>
                    <br />
                    <br />
                    <asp:GridView ID="gvListaCategorias" runat="server" AutoGenerateColumns="False" Width="70%">
                        <Columns>
                            <asp:BoundField DataField="idCategoriaRiesgo" HeaderText="<%$ Resources:Idioma, lblid %>"
                                ItemStyle-Width="50px" SortExpression="idCategoriaRiesgo" />
                            <asp:BoundField DataField="descripcionCategoria" HeaderText="<%$ Resources:Idioma, lblCategoria %>"
                                ItemStyle-Width="250px" SortExpression="descripcionCategoria" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblImpacto %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                <ItemTemplate>
                                    <asp:Label ID="lblIdCategoria" runat="server" Text='<%# Eval("idCategoriaRiesgo") %>'
                                        Visible="false"></asp:Label>
                                    <asp:TextBox ID="txtimpacto" runat="server" Height="17" MaxLength="5" Text='<%# Eval("pesoCategoriaFactor") %>'
                                        TextMode="SingleLine" Width="40"></asp:TextBox>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                    <br />
                </asp:View>
            </asp:MultiView>
        </div>
</asp:Content>
