﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="IngresarTrabajosAuditoria.aspx.vb" Inherits="AudiControl.IngresarTrabajosAuditoria"
    Title="<%$ Resources:Menu, m0402020101 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td style="width: 216px">
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTituloIngresarTA" runat="server" Text="<%$ Resources:Menu, m0402020101 %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="Label1" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources:Idioma, lblAnoAuditoria %>"
                            Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                Height="21px" Width="159px"></asp:Label>*
            <asp:DropDownList ID="drpTipoAuditoria" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblNoTrabajoAud" runat="server" Visible="False" CssClass="colorError"></asp:Label>
            <br />
            <asp:Label ID="lblRelacion" runat="server" Visible="False" CssClass="colorError"></asp:Label>
            <br />
            <asp:Panel ID="PanelContGrillaTrabajos" runat="server" Visible="true" SkinID="panelSkinned">
                <asp:GridView ID="gvListaTrabajosAuditoria" runat="server" AutoGenerateColumns="False"
                    Style="text-align: left" DataKeyNames="idTrabajoAuditoria">
                    <Columns>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:CheckBox ID="chkSeleccion" runat="server" />
                                <asp:Label ID="lblIdTrabajos" runat="server" Text='<%# Eval("trabajoseleccionplan") %>'
                                    Visible="false"></asp:Label>
                                <asp:Label ID="lblIdTipoAuditoria" runat="server" Text='<%# Eval("idTipoAuditoria") %>'
                                    Visible="false"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="idTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblIdTrabajo %>"
                            ItemStyle-Width="60px" SortExpression="idTrabajoAuditoria">
                            <ItemStyle Width="60px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NombreTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                            ItemStyle-Width="290px" SortExpression="NombreTrabajoAuditoria">
                            <ItemStyle Width="290px" />
                        </asp:BoundField>
                        <asp:ButtonField runat="server" ButtonType="Link" CommandName="MODIFICAR" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                            Text="<%$ Resources:Idioma, lblEditar %>" />
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <br />
            <table>
                <tr>
                    <td align="center" style="height: 31px">
                        &nbsp;<asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="true" />
                        &nbsp;&nbsp;<asp:Button ID="btnMantenimiento" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                            CausesValidation="true" Enabled="False" />
                        &nbsp;&nbsp;
                        <br />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
