﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTiposAuditoriaParaImpactoFactores.aspx.vb" Inherits="AudiControl.ListarTiposAuditoriaParaImpactoFactores"
    Title="<%$ Resources:Menu, m0402020104 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402020104 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblNoTipoAuditoria" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <br />
            <asp:Panel ID="PanelContGrilla" runat="server" SkinID="panelSkinned">
                <asp:GridView ID="gvListaTiposAuditoria" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="idTipoAuditoria" Style="text-align: left" Width="673px">
                    <Columns>
                        <asp:BoundField DataField="idTipoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>"
                            ItemStyle-Width="60px" SortExpression="idTipoAuditoria">
                            <ItemStyle Width="60px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NombreAuditoria" HeaderText="<%$ Resources:Idioma, lblTipoAuditoria %>"
                            ItemStyle-Width="290px" SortExpression="NombreAuditoria">
                            <ItemStyle Width="290px" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblImpacto %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                            <ItemTemplate>
                                <div style="text-align: center">
                                    <asp:Label ID="lblSi" runat="server" Text=""></asp:Label>
                                    &nbsp;&nbsp;
                                    <asp:Label ID="lblidTipoAuditoria" runat="server" Text='<%# Eval("idTipoAuditoria")%>'
                                        Visible="false"></asp:Label>
                                </div>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:ButtonField ButtonType="Link" CommandName="RIESGOXFACTOR" runat="server" Text="<%$ Resources:TituloPasos, lblRiesgosporFactor %>"
                            HeaderText="<%$ Resources:Idioma, lblAccion %>" />
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <br />
        </div>
    </div>
</asp:Content>
