﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTrabajosASupervisar.aspx.vb" Inherits="AudiControl.ListarTrabajosASupervisar"
    Title="<%$ Resources:TituloPaginas, TitEfecturarSeguimiento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblSeguimientoInterna %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <br />
            <asp:Panel ID="Panel1" runat="server" SkinID="panelSkinned">
                <asp:GridView ID="gvListaTrabajos" runat="server" AutoGenerateColumns="False" DataKeyNames="idTrabajoAuditoria"
                    Style="text-align: left" Width="673px">
                    <Columns>
                        <asp:BoundField DataField="idTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblId  %>"
                            ItemStyle-Width="60px" SortExpression="idTrabajoAuditoria">
                            <ItemStyle Width="60px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NombreTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblTrabajoAuditoria  %>"
                            ItemStyle-Width="290px" SortExpression="NombreTrabajoAuditoria">
                            <ItemStyle Width="290px" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEstado  %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                            <ItemTemplate>
                                <asp:Label ID="lblSi" runat="server" Text='<%# Eval("seguimiento")%>' Visible="false"></asp:Label>
                                <asp:Label ID="lblEstadoSeguimiento" runat="server" Text=""></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSupervisaTrabajaosInternos %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                            <ItemTemplate>
                                <asp:Label ID="lblTrabajoAuditoria" runat="server" Text='<%# Eval("idTrabajoAuditoria")%>'
                                    Visible="false"></asp:Label>
                                <asp:Label ID="lblRespondido" runat="server" Text=""></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="100px" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                            <ItemTemplate>
                                <asp:LinkButton ID="lnkAgregar" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idTrabajoAuditoria")%>'
                                    CausesValidation="false">
                                    <asp:Label ID="lblAgregar" runat="server" Text="<%$ Resources:Idioma, lblEfectuarSeguimientoYa %>"></asp:Label></asp:LinkButton>
                                <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idTrabajoAuditoria")%>'
                                    CausesValidation="false">
                                    <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" />
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <br />
            <asp:Label ID="lblNoSeguimiento" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <br />
            <asp:Label ID="lblProcesoAuditado" runat="server" Text="" CssClass="subtitulo "></asp:Label>
            <br />
            <asp:GridView ID="gvSeguimientos" runat="server" AutoGenerateColumns="False" AllowPaging="True"
                PageSize="6">
                <Columns>
                    <asp:BoundField DataField="idSeguimiento" ItemStyle-Width="10px" HeaderText="<%$ Resources:Idioma, lblId  %>">
                        <ItemStyle Width="10px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="fechaSeguimiento" ItemStyle-Width="300px" HeaderText="<%$ Resources:Idioma, lblFechaSeguimiento  %>">
                        <ItemStyle Width="400px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="porcentajeAvance" HeaderText="<%$ Resources:Idioma, lblPorcentajeAvance  %>" />
                    <asp:BoundField DataField="descripcionAvance" HeaderText="<%$ Resources:Idioma, lblDescripcion  %>" />
                    <asp:BoundField DataField="comentarios" HeaderText="<%$ Resources:Idioma, lblDescripcionAvance %>" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px"
                        Visible="False">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="VER" CommandArgument='<%# Eval("idSeguimiento")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            &nbsp;
        </div>
    </div>
</asp:Content>
