<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTrabajosParaCronograma.aspx.vb" Inherits="AudiControl.ListarTrabajosParaCronograma"
    Title="<%$ Resources:Menu, m0402020302 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgSeguroCerrarPlan %>" runat="server"
            Style="display: none"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402020302 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblNoEmpresa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <br />
            <div class="alineacionIzquierda">
                <table>
                    <tr>
                        <td class="alineacionIzquierda">
                            <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                        </td>
                    </tr>
                </table>
            </div>
            <br />
            <asp:Panel ID="Panel1" runat="server" SkinID="panelSkinned">
                <asp:GridView ID="gvListaTrabajosAuditoriaCronograma" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="idTrabajoAuditoria" Style="text-align: left" Width="673px">
                    <Columns>
                        <asp:BoundField DataField="idTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>"
                            ItemStyle-Width="60px" SortExpression="idTrabajoAuditoria">
                            <ItemStyle Width="60px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NombreTrabajoAuditoria" HeaderText="<%$ Resources:Idioma, lblTrabajoAuditoria %>"
                            ItemStyle-Width="290px" SortExpression="NombreTrabajoAuditoria">
                            <ItemStyle Width="290px" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblDetallePlan %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                            <ItemTemplate>
                                <asp:Label ID="lblSi" runat="server" Text='<%# Eval("respondido")%>' Visible="false"></asp:Label>
                                <asp:Label ID="lblRespondido" runat="server" Text=""></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                            <ItemTemplate>
                                <asp:LinkButton ID="lnkResponder" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idTrabajoAuditoria")%>'
                                    CausesValidation="false">
                                    <asp:Label CommandName="ACCION" ID="lblResponder" runat="server" CommandArgument="<%$ Resources:Idioma, btnAgregar %>"
                                        Text="<%$ Resources:Idioma, btnAgregar %>"></asp:Label></asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <asp:Button ID="btnCerrarPlan" runat="server" Text="<%$ Resources:Idioma, btnCerrarplan %>"
                Visible="False" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;" />
            <br />
            &nbsp;&nbsp;
        </div>
    </div>
</asp:Content>
