﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ResponderCuestionarioFactoresInterna.aspx.vb" Inherits="AudiControl.ResponderCuestionarioFactoresInterna"
    Title="<%$ Resources:TituloPaginas, TitResponderCuestionarioFactores %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanAnualAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdFactorRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdRespuestaFactor" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblUnicaRespuesta" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblPonderacionFactor" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblResponderCuestionarioFactoresInterna %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblProcesoAuditado" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div align="center">
            <table id="tblListaFactores" runat="server">
                <tr>
                    <td>
                        <asp:Label ID="lblFactores" runat="server" Text="<%$ Resources:Idioma, lblFactores %>"
                            CssClass="subtituloSegundoNivel "></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvListaFactores" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idFactorRiesgo" SortExpression="idFactorRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="100px" />
                                <asp:BoundField DataField="descripcionFactor" SortExpression="descripcionFactor"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRespondido %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSi" runat="server" Text='<%# Eval("respondido")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblRespondido" runat="server" Text=""></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkResponder" runat="server" CommandName="RESPONDER" CommandArgument='<%# Eval("idFactorRiesgo")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblResponder" runat="server" Text="<%$ Resources:TituloPasos, lblResponderCuestionarioFactoresInterna %>"></asp:Label></asp:LinkButton>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
                <tr>
                    <td>
                        <br />
                        <br />
                    </td>
                </tr>
            </table>
            <table id="tblRespuestas" runat="server" visible="false">
                <tr>
                    <td>
                        <asp:Label ID="lblFactor" runat="server" Text="<%$ Resources:Idioma, lblFactor %>"
                            CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvRespuestasFactor" runat="server" AutoGenerateColumns="False">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="*" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="50px" Visible="True">
                                    <ItemTemplate>
                                        <input name="rbtRespuesta" type="radio" value='<%# Eval("idRespuestaFactor") %>'
                                            <%# Eval("seleccionada") %> />
                                        <asp:Label ID="lblSeleccion" runat="server" Text='' Visible="true"></asp:Label>
                                        <asp:Label ID="lblIdRespuestaFactor" runat="server" Text='<%# Eval("idRespuestaFactor") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblPesoRespuesta" runat="server" Text='<%# Eval("pesoRespuesta") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdFactorRiesgoEntidad" runat="server" Text='<%# Eval("idFactorRiesgo") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="50px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="*" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="50px" Visible="False">
                                    <ItemTemplate>
                                        <input name="chkRespuesta" type="checkbox" value='<%# Eval("idRespuestaFactor") %>'
                                            <%# Eval("seleccionada") %> visible="false" />
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="50px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="pesoRespuesta" SortExpression="pesoRespuesta" HeaderText="<%$ Resources:Idioma, lblPeso %>"
                                    ItemStyle-Width="30px">
                                    <ItemStyle Width="30px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionRespuesta" SortExpression="descripcionRespuesta"
                                    HeaderText="<%$ Resources:Idioma, lblRespuesta %>" ItemStyle-Width="400px">
                                    <ItemStyle Width="400px"></ItemStyle>
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnVolverDos" runat="server" Text="<%$ Resources:Idioma, btnguardar %>"
                CausesValidation="false" Visible="false" /><br />
        </div>
    </div>
</asp:Content>
