<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="VerFactoresSegunExpoRiesgoPorEntidadAuditada.aspx.vb" Inherits="AudiControl.VerFactoresSegunExpoRiesgoPorEntidadAuditada"
    Title="<%$ Resources:TituloPaginas, TitResultadosFactoresExpoRiesgoPorEntidad %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="alineacionIzquierda">
            <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblFactoresExpoRiesgo %>"
                CssClass="ruta"></asp:Label>
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblFactorExpoRiesgo %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div align="center">
            <asp:GridView ID="gvMatriz" runat="server" AutoGenerateColumns="true" HeaderStyle-HorizontalAlign="Center">
                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
            </asp:GridView>
            <br />
            <telerik:ReportViewer ID="rvResultadosFactoresPorExpoRiesgo" runat="server" Height="330px"
                Width="660px" ToolbarVisible="False" Report="Com.Audisis.Reportes.ReporteGraficaFactoresSegunExpoRiesgo, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
            </telerik:ReportViewer>
            <asp:DropDownList ID="drpReportes" runat="server">
                <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaporFactor %>" Value="2"></asp:ListItem>
                <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaPorCategoria %>" Value="3"></asp:ListItem>
            </asp:DropDownList>
            &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="false" />
            &nbsp;
            <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                CausesValidation="false" />
        </div>
</asp:Content>
