<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="VerFactoresSegunNivelSegAndEmpresaAud.aspx.vb" Inherits="AudiControl.VerFactoresSegunNivelSegAndEmpresaAud"
    Title="<%$ Resources:TituloPaginas, TitResultadosFactoresPorEntidad %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="alineacionIzquierda">
            <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblFactoresNivelSeg %>"
                CssClass="ruta"></asp:Label>
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblFactoresNivelSeg %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
        </div>
        <div class="alineacionIzquierda">
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div align="center">
            <asp:GridView ID="gvFactores" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idFactorRiesgo" SortExpression="idFactorRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="70px" />
                    <asp:BoundField DataField="descripcionFactor" SortExpression="descripcionFactor"
                        HeaderText="<%$ Resources:Idioma, lblFactor %>" ItemStyle-Width="350px" />
                    <asp:BoundField DataField="ponderacion" SortExpression="ponderacion" HeaderText="<%$ Resources:Idioma, lblPonderacion %>"
                        ItemStyle-Width="70px" />
                    <asp:BoundField DataField="puntajeMaximo" SortExpression="puntajeMaximo" HeaderText="<%$ Resources:Idioma, lblPMP %>"
                        ItemStyle-Width="70px" />
                    <asp:BoundField DataField="puntajeObtenidoFactor" SortExpression="puntajeObtenidoFactor"
                        HeaderText="<%$ Resources:Idioma, lblPO %>" ItemStyle-Width="70px" />
                    <asp:BoundField DataField="pesoObtenidoFactor" SortExpression="pesoObtenidoFactor"
                        HeaderText="<%$ Resources:Idioma, lblPesoObt %>" ItemStyle-Width="70px" />
                </Columns>
            </asp:GridView>
            <telerik:ReportViewer ID="rvFactoresNivSeg" runat="server" Height="400px" Report="Com.Audisis.Reportes.ReporteGraficaResultadosCuestionarioNivSeg, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                Width="660px" ToolbarVisible="False">
            </telerik:ReportViewer>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="false" />
            &nbsp;
            <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                CausesValidation="false" />
        </div>
    </div>
</asp:Content>
