﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audListarCategorias.aspx.vb" Inherits="AudiControl.audListarCategorias"
    Title="<%$ Resources:TituloPaginas, TitCategorias %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoCategoria" runat="server" Text="<%$ Resources:TituloPasos, lblListadoCategoria %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:Label ID="lblNoCategoria" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:GridView ID="gvListaCategoria" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                        HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px">
                        <ItemStyle Width="70px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                        HeaderText="<%$ Resources:Idioma, lblCategoria %>" ItemStyle-Width="350px">
                        <ItemStyle Width="350px"></ItemStyle>
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idCategoriaRiesgo")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar('Riesgo',false)"
                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCategoriaRiesgo")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkVerRelacion" runat="server" CommandName="VER RELACION" CommandArgument='<%# Eval("idCategoriaRiesgo")%>'
                                CausesValidation="false" Visible="False">
                                <asp:Label ID="lblVerRelacion" runat="server" Text="<%$ Resources:Idioma, lblVerRelacion %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="250px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
        <br />
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                        <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                        </asp:RadioButtonList>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                            <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                    <td>
                        <br />
                        <asp:TextBox ID="txtCriterio" runat="server" />
                        &nbsp;
                        <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                            CausesValidation="true" />
                        <br />
                        <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                            <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                    <td>
                        &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
                        <br />
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; &nbsp;
                        <br />
                        <asp:Button ID="btnAgregarCategoria" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                            CausesValidation="false" />
                        &nbsp;
                        <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        &nbsp;
                    </td>
                </tr>
            </table>
        </div>
</asp:Content>
